// *************************************************************
// Copyright (c) 1991-2023 LEAD Technologies, Inc.
// All Rights Reserved.
// *************************************************************
//
//  LTDicomContextGroup.h
//  Leadtools.Dicom
//

#import <Leadtools.Dicom/LTDicomDateTimeValue.h>

typedef NS_ENUM(NSInteger, LTDicomContextIdentifierType) {
	LTDicomContextIdentifierTypeCID2,
	LTDicomContextIdentifierTypeCID4,
	LTDicomContextIdentifierTypeCID5,
	LTDicomContextIdentifierTypeCID6,
	LTDicomContextIdentifierTypeCID7,
	LTDicomContextIdentifierTypeCID8,
	LTDicomContextIdentifierTypeCID9,
	LTDicomContextIdentifierTypeCID10,
	LTDicomContextIdentifierTypeCID11,
	LTDicomContextIdentifierTypeCID12,
	LTDicomContextIdentifierTypeCID18,
	LTDicomContextIdentifierTypeCID19,
	LTDicomContextIdentifierTypeCID20,
	LTDicomContextIdentifierTypeCID21,
	LTDicomContextIdentifierTypeCID23,
	LTDicomContextIdentifierTypeCID25,
	LTDicomContextIdentifierTypeCID26,
	LTDicomContextIdentifierTypeCID29,
	LTDicomContextIdentifierTypeCID30,
	LTDicomContextIdentifierTypeCID42,
	LTDicomContextIdentifierTypeCID82,
	LTDicomContextIdentifierTypeCID244,
	LTDicomContextIdentifierTypeCID3000,
	LTDicomContextIdentifierTypeCID3001,
	LTDicomContextIdentifierTypeCID3003,
	LTDicomContextIdentifierTypeCID3010,
	LTDicomContextIdentifierTypeCID3011,
	LTDicomContextIdentifierTypeCID3014,
	LTDicomContextIdentifierTypeCID3015,
	LTDicomContextIdentifierTypeCID3019,
	LTDicomContextIdentifierTypeCID3082,
	LTDicomContextIdentifierTypeCID3090,
	LTDicomContextIdentifierTypeCID3101,
	LTDicomContextIdentifierTypeCID3240,
	LTDicomContextIdentifierTypeCID3241,
	LTDicomContextIdentifierTypeCID3250,
	LTDicomContextIdentifierTypeCID3254,
	LTDicomContextIdentifierTypeCID3261,
	LTDicomContextIdentifierTypeCID3262,
	LTDicomContextIdentifierTypeCID3263,
	LTDicomContextIdentifierTypeCID3264,
	LTDicomContextIdentifierTypeCID3271,
	LTDicomContextIdentifierTypeCID3335,
	LTDicomContextIdentifierTypeCID3337,
	LTDicomContextIdentifierTypeCID3339,
	LTDicomContextIdentifierTypeCID4009,
	LTDicomContextIdentifierTypeCID4010,
	LTDicomContextIdentifierTypeCID4011,
	LTDicomContextIdentifierTypeCID4012,
	LTDicomContextIdentifierTypeCID4013,
	LTDicomContextIdentifierTypeCID4014,
	LTDicomContextIdentifierTypeCID4015,
	LTDicomContextIdentifierTypeCID4016,
	LTDicomContextIdentifierTypeCID4017,
	LTDicomContextIdentifierTypeCID4018,
	LTDicomContextIdentifierTypeCID4019,
	LTDicomContextIdentifierTypeCID4020,
	LTDicomContextIdentifierTypeCID4021,
	LTDicomContextIdentifierTypeCID4030,
	LTDicomContextIdentifierTypeCID4031,
	LTDicomContextIdentifierTypeCID4200,
	LTDicomContextIdentifierTypeCID4201,
	LTDicomContextIdentifierTypeCID4202,
	LTDicomContextIdentifierTypeCID4203,
	LTDicomContextIdentifierTypeCID4204,
	LTDicomContextIdentifierTypeCID4205,
	LTDicomContextIdentifierTypeCID4206,
	LTDicomContextIdentifierTypeCID4207,
	LTDicomContextIdentifierTypeCID4208,
	LTDicomContextIdentifierTypeCID4209,
	LTDicomContextIdentifierTypeCID5000,
	LTDicomContextIdentifierTypeCID5001,
	LTDicomContextIdentifierTypeCID6000,
	LTDicomContextIdentifierTypeCID6001,
	LTDicomContextIdentifierTypeCID6002,
	LTDicomContextIdentifierTypeCID6003,
	LTDicomContextIdentifierTypeCID6004,
	LTDicomContextIdentifierTypeCID6005,
	LTDicomContextIdentifierTypeCID6006,
	LTDicomContextIdentifierTypeCID6007,
	LTDicomContextIdentifierTypeCID6008,
	LTDicomContextIdentifierTypeCID6009,
	LTDicomContextIdentifierTypeCID6010,
	LTDicomContextIdentifierTypeCID6011,
	LTDicomContextIdentifierTypeCID6012,
	LTDicomContextIdentifierTypeCID6013,
	LTDicomContextIdentifierTypeCID6014,
	LTDicomContextIdentifierTypeCID6015,
	LTDicomContextIdentifierTypeCID6016,
	LTDicomContextIdentifierTypeCID6017,
	LTDicomContextIdentifierTypeCID6018,
	LTDicomContextIdentifierTypeCID6019,
	LTDicomContextIdentifierTypeCID6020,
	LTDicomContextIdentifierTypeCID6021,
	LTDicomContextIdentifierTypeCID6022,
	LTDicomContextIdentifierTypeCID6023,
	LTDicomContextIdentifierTypeCID6024,
	LTDicomContextIdentifierTypeCID6025,
	LTDicomContextIdentifierTypeCID6026,
	LTDicomContextIdentifierTypeCID6027,
	LTDicomContextIdentifierTypeCID6028,
	LTDicomContextIdentifierTypeCID6029,
	LTDicomContextIdentifierTypeCID6030,
	LTDicomContextIdentifierTypeCID6031,
	LTDicomContextIdentifierTypeCID6032,
	LTDicomContextIdentifierTypeCID6033,
	LTDicomContextIdentifierTypeCID6034,
	LTDicomContextIdentifierTypeCID6035,
	LTDicomContextIdentifierTypeCID6036,
	LTDicomContextIdentifierTypeCID6037,
	LTDicomContextIdentifierTypeCID6038,
	LTDicomContextIdentifierTypeCID6039,
	LTDicomContextIdentifierTypeCID6040,
	LTDicomContextIdentifierTypeCID6041,
	LTDicomContextIdentifierTypeCID6042,
	LTDicomContextIdentifierTypeCID6043,
	LTDicomContextIdentifierTypeCID6044,
	LTDicomContextIdentifierTypeCID6045,
	LTDicomContextIdentifierTypeCID6046,
	LTDicomContextIdentifierTypeCID6047,
	LTDicomContextIdentifierTypeCID6100,
	LTDicomContextIdentifierTypeCID6101,
	LTDicomContextIdentifierTypeCID6102,
	LTDicomContextIdentifierTypeCID6103,
	LTDicomContextIdentifierTypeCID6104,
	LTDicomContextIdentifierTypeCID6105,
	LTDicomContextIdentifierTypeCID6106,
	LTDicomContextIdentifierTypeCID6107,
	LTDicomContextIdentifierTypeCID6108,
	LTDicomContextIdentifierTypeCID6109,
	LTDicomContextIdentifierTypeCID6110,
	LTDicomContextIdentifierTypeCID6111,
	LTDicomContextIdentifierTypeCID6112,
	LTDicomContextIdentifierTypeCID6113,
	LTDicomContextIdentifierTypeCID6114,
	LTDicomContextIdentifierTypeCID6115,
	LTDicomContextIdentifierTypeCID6116,
	LTDicomContextIdentifierTypeCID6117,
	LTDicomContextIdentifierTypeCID6118,
	LTDicomContextIdentifierTypeCID6119,
	LTDicomContextIdentifierTypeCID6120,
	LTDicomContextIdentifierTypeCID6121,
	LTDicomContextIdentifierTypeCID6122,
	LTDicomContextIdentifierTypeCID6123,
	LTDicomContextIdentifierTypeCID6124,
	LTDicomContextIdentifierTypeCID6125,
	LTDicomContextIdentifierTypeCID6126,
	LTDicomContextIdentifierTypeCID6127,
	LTDicomContextIdentifierTypeCID6128,
	LTDicomContextIdentifierTypeCID6129,
	LTDicomContextIdentifierTypeCID6130,
	LTDicomContextIdentifierTypeCID6131,
	LTDicomContextIdentifierTypeCID6132,
	LTDicomContextIdentifierTypeCID6133,
	LTDicomContextIdentifierTypeCID6134,
	LTDicomContextIdentifierTypeCID6135,
	LTDicomContextIdentifierTypeCID6136,
	LTDicomContextIdentifierTypeCID6137,
	LTDicomContextIdentifierTypeCID6138,
	LTDicomContextIdentifierTypeCID6139,
	LTDicomContextIdentifierTypeCID6140,
	LTDicomContextIdentifierTypeCID6141,
	LTDicomContextIdentifierTypeCID6142,
	LTDicomContextIdentifierTypeCID6143,
	LTDicomContextIdentifierTypeCID6144,
	LTDicomContextIdentifierTypeCID6145,
	LTDicomContextIdentifierTypeCID7000,
	LTDicomContextIdentifierTypeCID7001,
	LTDicomContextIdentifierTypeCID7002,
	LTDicomContextIdentifierTypeCID7003,
	LTDicomContextIdentifierTypeCID7004,
	LTDicomContextIdentifierTypeCID7005,
	LTDicomContextIdentifierTypeCID7010,
	LTDicomContextIdentifierTypeCID7011,
	LTDicomContextIdentifierTypeCID7012,
	LTDicomContextIdentifierTypeCID7201,
	LTDicomContextIdentifierTypeCID7202,
	LTDicomContextIdentifierTypeCID7203,
	LTDicomContextIdentifierTypeCID7210,
	LTDicomContextIdentifierTypeCID7452,
	LTDicomContextIdentifierTypeCID7453,
	LTDicomContextIdentifierTypeCID7454,
	LTDicomContextIdentifierTypeCID7455,
	LTDicomContextIdentifierTypeCID7456,
	LTDicomContextIdentifierTypeCID7460,
	LTDicomContextIdentifierTypeCID7461,
	LTDicomContextIdentifierTypeCID7462,
	LTDicomContextIdentifierTypeCID7470,
	LTDicomContextIdentifierTypeCID7471,
	LTDicomContextIdentifierTypeCID7472,
	LTDicomContextIdentifierTypeCID9231,
	LTDicomContextIdentifierTypeCID9232,
	LTDicomContextIdentifierTypeCID9300,
	LTDicomContextIdentifierTypeCID12001,
	LTDicomContextIdentifierTypeCID12002,
	LTDicomContextIdentifierTypeCID12140,
	LTDicomContextIdentifierTypeCID12141,
	LTDicomContextIdentifierTypeUserDefined = 1,
};

NS_ASSUME_NONNULL_BEGIN

NS_CLASS_AVAILABLE(10_10, 8_0)
@interface LTDicomContextGroup : NSObject

@property (nonatomic, assign, readonly)         BOOL isExtensible;

@property (nonatomic, assign, readonly)         LTDicomContextIdentifierType contextIdentifier;

@property (nonatomic, copy, readonly)           NSString *contextIdentifierValue;
@property (nonatomic, copy, readonly, nullable) NSString *name;

@property (nonatomic, strong, readonly)         LTDicomDateTimeValue *contextGroupVersion;

- (instancetype)init __unavailable;

@end

NS_ASSUME_NONNULL_END
