// *************************************************************
// Copyright (c) 1991-2023 LEAD Technologies, Inc.
// All Rights Reserved.
// *************************************************************
//
//  LTDicomIodEnums.h
//  Leadtools.Dicom
//

// Start of class definitions
typedef NS_ENUM(NSInteger, LTDicomClassType) {
        LTDicomClassTypeCRImageStorage                                                    =     0, // Computed Radiography Image Storage
        LTDicomClassTypeCTImageStorage                                                    =     1, // CT Image Storage
        LTDicomClassTypeMRImageStorage                                                    =     2, // MR Image Storage
        LTDicomClassTypeNMImageStorage                                                    =     3, // Nuclear Medicine Image Storage
        LTDicomClassTypeUSImageStorage                                                    =     5, // Ultrasound Image Storage
        LTDicomClassTypeUSMultiFrameImageStorage                                          =     7, // Ultrasound Multi-Frame Image Storage
        LTDicomClassTypeSCImageStorage                                                    =     9, // Secondary Capture Image Storage
        LTDicomClassTypeXAImageStorage                                                    =    15, // X-Ray Angiographic Image Storage
        LTDicomClassTypeXRFImageStorage                                                   =    17, // X-Ray Radiofluoroscopic Image Storage
        LTDicomClassTypeRTImageStorage                                                    =    18, // RT Image Storage
        LTDicomClassTypeRTDoseStorage                                                     =    19, // RT Dose Storage
        LTDicomClassTypeRTStructureSetStorage                                             =    20, // RT Structure Set Storage
        LTDicomClassTypeRTPlanStorage                                                     =    21, // RT Plan Storage
        LTDicomClassTypePetImageStorage                                                   =    22, // Positron Emission Tomography Image Storage
        LTDicomClassTypeDXImageStoragePresentation                                        =    27, // Digital X-Ray Image Storage - For Presentation
        LTDicomClassTypeDXImageStorageProcessing                                          =    28, // Digital X-Ray Image Storage - For Processing
        LTDicomClassTypeDXMammographyImageStoragePresentation                             =    29, // Digital Mammography X-Ray Image Storage - For Presentation
        LTDicomClassTypeDXMammographyImageStorageProcessing                               =    30, // Digital Mammography X-Ray Image Storage - For Processing
        LTDicomClassTypeDXIntraOralImageStoragePresentation                               =    31, // Digital Intra-Oral X-Ray Image Storage - For Presentation
        LTDicomClassTypeDXIntraOralImageStorageProcessing                                 =    32, // Digital Intra-Oral X-Ray Image Storage - For Processing
        LTDicomClassTypeRTBeamsTreatmentRecordStorage                                     =    33, // RT Beams Treatment Record Storage
        LTDicomClassTypeRTBrachyTreatmentRecordStorage                                    =    34, // RT Brachy Treatment Record Storage
        LTDicomClassTypeRTTreatmentSummaryRecordStorage                                   =    35, // RT Treatment Summary Record Storage
        LTDicomClassTypeVLEndoscopicImageStorage                                          =    36, // VL Endoscopic Image Storage
        LTDicomClassTypeVLMicroscopicImageStorage                                         =    37, // VL Microscopic Image Storage
        LTDicomClassTypeVLSlideCoordinatesMicroscopicImageStorage                         =    38, // VL Slide-Coordinates Microscopic Image Storage
        LTDicomClassTypeVLPhotographicImageStorage                                        =    39, // VL Photographic Image Storage
        LTDicomClassTypeBasicFilmSession                                                  =    46, // Basic Film Session
        LTDicomClassTypeBasicFilmBox                                                      =    47, // Basic Film Box
        LTDicomClassTypeBasicGrayscaleImageBox                                            =    48, // Basic Grayscale Image Box
        LTDicomClassTypeBasicColorImageBox                                                =    49, // Basic Color Image Box
        LTDicomClassTypeBasicAnnotationBox                                                =    50, // Basic Annotation Box
        LTDicomClassTypePrintJob                                                          =    51, // Print Job
        LTDicomClassTypePrinter                                                           =    52, // Printer
        LTDicomClassTypeStorageCommitmentPushModel                                        =    55, // Storage Commitment  Push Model
        LTDicomClassTypeStorageCommitmentPullModel                                        =    56, // Storage Commitment  Pull Model
        LTDicomClassTypeModalityPerformedProcedureStep                                    =    58, // Modality Performed Procedure Step
        LTDicomClassTypePresentationLut                                                   =    59, // Presentation LUT
        LTDicomClassTypeBasicGrayscalePrintMeta                                           =    64, // Basic Grayscale Print Meta
        LTDicomClassTypeBasicColorPrintMeta                                               =    65, // Basic Color Print Meta
        LTDicomClassTypePrinterConfiguration                                              =    69, // Printer Configuration
        LTDicomClassTypeBasicDirectory                                                    =    71, // Basic Directory
        LTDicomClassTypePatientRootQueryPatient                                           =    72, // Patient level for the patient root query/retrieve model
        LTDicomClassTypePatientRootQueryStudy                                             =    73, // Study level for the patient root query/retrieve model
        LTDicomClassTypePatientRootQuerySeries                                            =    74, // Series level for the patient root query/retrieve model
        LTDicomClassTypePatientRootQueryImage                                             =    75, // Image level for the patient root query/retrieve model
        LTDicomClassTypeStudyRootQueryStudy                                               =    76, // Study level for the study root query/retrieve model
        LTDicomClassTypeStudyRootQuerySeries                                              =    77, // Series level for the study root query/retrieve model
        LTDicomClassTypeStudyRootQueryImage                                               =    78, // Image level for the study root query/retrieve model
        LTDicomClassTypePatientStudyQueryPatient                                          =    79, // Patient level  for the patient/study only query/retrieve model
        LTDicomClassTypePatientStudyQueryStudy                                            =    80, // Study level for the patient/study only query/retrieve model
        LTDicomClassTypeBasicTextSRStorage                                                =    81, // Basic Text SR Storage
        LTDicomClassTypeEnhancedSRStorage                                                 =    82, // Enhanced SR Storage
        LTDicomClassTypeComprehensiveSRStorage                                            =    83, // Comprehensive SR Storage
        LTDicomClassTypeModalityWorklist                                                  =    84, // Modality Worklist
        LTDicomClassTypeGrayscaleSoftcopyPresentationStateStorage                         =    85, // Grayscale Softcopy Presentation State Storage
        LTDicomClassTypeBasicVoiceAudioStorage                                            =    86, // Basic Voice Audio Waveform Storage
        LTDicomClassTypeTwelveLeadEcgStorage                                              =    87, // 12-Lead ECG Storage
        LTDicomClassTypeGeneralEcgStorage                                                 =    88, // General ECG Storage
        LTDicomClassTypeAmbulatoryEcgStorage                                              =    89, // Ambulatory ECG Storage
        LTDicomClassTypeHemodynamicStorage                                                =    90, // Hemodynamic Waveform Storage
        LTDicomClassTypeBasicCardiacEpStorage                                             =    91, // Basic Cardiac Electrophysiology Waveform Storage
        LTDicomClassTypeEnhancedMRImageStorage                                            =    92, // Enhanced MR Image Storage
        LTDicomClassTypeMRSpectroscopyStorage                                             =    93, // MR Spectroscopy Storage
        LTDicomClassTypeRawDataStorage                                                    =    94, // RAW Data Storage
        LTDicomClassTypeSCMultiFrameSingleBitImageStorage                                 =    95, // Secondary Capture Multi-Frame Single Bit Image Storage
        LTDicomClassTypeSCMultiFrameGrayscaleByteImageStorage                             =    96, // Secondary Capture Multi-Frame Grayscale Byte Image Storage
        LTDicomClassTypeSCMultiFrameGrayscaleWordImageStorage                             =    97, // Secondary Capture Multi-Frame Grayscale Word Image Storage
        LTDicomClassTypeSCMultiFrameTrueColorImageStorage                                 =    98, // Secondary Capture Multi-Frame True Color Image Storage
        LTDicomClassTypeKeyObjectSelectionDocumentStorage                                 =   102, // Key Object Selection Document Storage
        LTDicomClassTypeMammographyCadSRStorage                                           =   103, // Mammography CAD SR Storage
        LTDicomClassTypeChestCadSRStorage                                                 =   104, // Chest CAD SR Storage
        LTDicomClassTypeOphthalmicPhotography8BitImageStorage                             =   106, // Ophthalmic Photography 8 Bit Image Storage
        LTDicomClassTypeOphthalmicPhotography16BitImageStorage                            =   107, // Ophthalmic Photography 16 Bit Image Storage
        LTDicomClassTypeStereometricRelationshipStorage                                   =   108, // Stereometric Relationship Storage
        LTDicomClassTypeVideoEndoscopicImageStorage                                       =   109, // Video Endoscopic Image Storage
        LTDicomClassTypeVideoMicroscopicImageStorage                                      =   110, // Video Microscopic Image Storage
        LTDicomClassTypeVideoPhotographicImageStorage                                     =   111, // Video Photographic Image Storage
        LTDicomClassTypeUndefined                                                         =   112, // (.NET)
        LTDicomClassTypePseudoColorSoftcopyPresentationStateStorage                       =   113, // Pseudo-Color Softcopy Presentation State Storage
        LTDicomClassTypeBlendingSoftcopyPresentationStateStorage                          =   114, // Blending Softcopy Presentation State Storage
        LTDicomClassTypeProcedureLogStorage                                               =   115, // Procedure Log Storage
        LTDicomClassTypeXRayRadiationDoseSRStorage                                        =   116, // X-Ray Radiation Dose SR Storage
        LTDicomClassTypeEnhancedCTImageStorage                                            =   117, // Enhanced Computed Tomography Image Storage
        LTDicomClassTypeSpatialRegistrationStorage                                        =   118, // Spatial Registration Storage
        LTDicomClassTypeDeformableSpatialRegistrationStorage                              =   119, // Deformable Spatial Registration Storage
        LTDicomClassTypeSpatialFiducialsStorage                                           =   120, // Spatial Fiducials Storage
        LTDicomClassTypeHangingProtocolStorage                                            =   121, // Hanging Protocol Storage
        LTDicomClassTypeEncapsulatedPdfStorage                                            =   122, // Encapsulated PDF Storage
        LTDicomClassTypeEncapsulatedCdaStorage                                            =   123, // Encapsulated CDA Storage
        LTDicomClassTypeRealWorldValueMappingStorage                                      =   124, // Real World Value Mapping Storage
        LTDicomClassTypeEnhancedXAImageStorage                                            =   125, // Enhanced XA Image Storage
        LTDicomClassTypeEnhancedXRFImageStorage                                           =   126, // Enhanced XRF Image Storage
        LTDicomClassTypeRTIonPlanStorage                                                  =   127, // RT Ion Plan Storage
        LTDicomClassTypeRTIonBeamsTreatmentRecordStorage                                  =   128, // RT Ion Beams Treatment Record Storage
        LTDicomClassTypeSegmentationStorage                                               =   129, // Segmentation Storage
        LTDicomClassTypeOphthalmicTomographyImageStorage                                  =   130, // Ophthalmic Tomography Image Storage
        LTDicomClassTypeXRay3dAngiographicImageStorage                                    =   131, // X-Ray 3D Angiographic Image Storage
        LTDicomClassTypeXRay3dCraniofacialImageStorage                                    =   132, // X-Ray 3D Craniofacial Image Storage
        LTDicomClassTypeBasicImageBox                                                     =   133, // Basic Image Box
        LTDicomClassTypeInstanceAvailabilityNotification                                  =   134, // Instance Availability Notification
        LTDicomClassTypeMediaCreationManagement                                           =   135, // Media Creation Management
        LTDicomClassTypeEnhancedPetImageStorage                                           =   136, // Enhanced PET Image Storage
        LTDicomClassTypeLensometryMeasurementsStorage                                     =   137, // Lensometry Measurements Storage
        LTDicomClassTypeAutorefractionMeasurementsStorage                                 =   138, // Autorefraction Measurements Storage
        LTDicomClassTypeKeratometryMeasurementsStorage                                    =   139, // Keratometry Measurements Storage
        LTDicomClassTypeSubjectiveRefractionMeasurementsStorage                           =   140, // Subjective Refraction Measurements Storage
        LTDicomClassTypeVisualAcuityMeasurementsStorage                                   =   141, // Visual Acuity Measurements Storage
        LTDicomClassTypeSpectaclePrescriptionReportStorage                                =   142, // Spectacle Prescription Report Storage
      // Part IV
        LTDicomClassTypeSubstanceAdministrationLogging                                    =   143, // Substance Administration Logging
        LTDicomClassTypeGeneralRelevantPatientInformationQuery                            =   144, // General Relevant Patient Information Query
        LTDicomClassTypeHangingProtocolInformationModelFind                               =   145, // Hanging Protocol Information Model Find
        LTDicomClassTypeProductCharacteristicsQuery                                       =   146, // Product Characteristics Query
        LTDicomClassTypeSubstanceApprovalQuery                                            =   147, // Substance Approval Query
        LTDicomClassTypeBasicStructuredDisplayStorage                                     =   148, // Basic Structured Display Storage
        LTDicomClassTypeEnhancedUSVolumeStorage                                           =   149, // Enhanced Ultrasound Volume Storage
        LTDicomClassTypeArterialPulseWaveformStorage                                      =   150, // Arterial Pulse Waveform Storage
        LTDicomClassTypeRespiratoryWaveformStorage                                        =   151, // Respiratory Waveform Storage
        LTDicomClassTypeGeneralAudioWaveformStorage                                       =   152, // General Audio Waveform Storage
        LTDicomClassTypeBreastTomosynthesisImageStorage                                   =   153, // Breast Tomosynthesis Image Storage
        LTDicomClassTypeColonCadSRStorage                                                 =   154, // Colon CAD SR Storage
        LTDicomClassTypeSurfaceSegmentationStorage                                        =   155, // Surface Segmentation Storage
        LTDicomClassTypeColorPaletteStorage                                               =   156, // Color Palette Storage
        LTDicomClassTypeEnhancedMRColorImageStorage                                       =   157, // Enhanced MR Color Image Storage
      // 2011 classes
      // Annex A
        LTDicomClassTypeVLWholeSlideMicroscopyImageStorage                                =   158, // VL Whole Slide Microscopy Image Storage
        LTDicomClassTypeXAXRFGrayscaleSoftcopyPresentationStateStorage                    =   159, // Xa/XRF Grayscale Softcopy Presentation State Storage
        LTDicomClassTypeMacularGridThicknessAndVolumeReportStorage                        =   160, // Macular Grid Thickness And Volume Report Storage
        LTDicomClassTypeImplantationPlanSRDocumentStorage                                 =   161, // Implantation Plan SR Document Storage
        LTDicomClassTypeOphthalmicAxialMeasurementsStorage                                =   162, // Ophthalmic Axial Measurements Storage
        LTDicomClassTypeIntraocularLensCalculationsStorage                                =   163, // Intraocular Lens Calculations Storage
        LTDicomClassTypeGenericImplantTemplateStorage                                     =   164, // Generic Implant Template Storage
        LTDicomClassTypeImplantAssemblyTemplateStorage                                    =   165, // Implant Assembly Template Storage
        LTDicomClassTypeImplantTemplateGroupStorage                                       =   166, // Implant Template Group Storage
        LTDicomClassTypeRTBeamsDeliveryInstructionStorage                                 =   167, // RT Beams Delivery Instruction Storage
        LTDicomClassTypeOphthalmicVisualFieldStaticPerimetryMeasurementsStorage           =   168, // Ophthalmic Visual Field Static Perimetry Measurements Storage
        LTDicomClassTypeIntravascularOctImageStoragePresentation                          =   169, // Intravascular Optical Coherence Tomography Storage - For Presentation
        LTDicomClassTypeIntravascularOctImageStorageProcessing                            =   170, // Intravascular Optical Coherence Tomography Storage - For Processing
        LTDicomClassTypeOphthalmicThicknessMapStorage                                     =   171, // Ophthalmic Thickness Map Storage
        LTDicomClassTypeUnifiedProcedureStepPush                                          =   172, // Unified Procedure Step  Push
        LTDicomClassTypeUnifiedProcedureStepPull                                          =   173, // Unified Procedure Step  Pull
        LTDicomClassTypeUnifiedProcedureStepWatch                                         =   174, // Unified Procedure Step  Watch
        LTDicomClassTypeUnifiedProcedureStepEvent                                         =   175, // Unified Procedure Step  Event
        LTDicomClassTypeRTConventionalMachineVerification                                 =   176, // RT Conventional Machine Verification
        LTDicomClassTypeRTIonMachineVerification                                          =   177, // RT Ion Machine Verification
        LTDicomClassTypeColorSoftcopyPresentationStateStorage                             =   178, // Color Softcopy Presentation State Storage
        LTDicomClassTypeDisplaySystem                                                     =   179, // Display System
        LTDicomClassTypeComprehensive3dSRStorage                                          =   180, // Comprehensive 3D SR Storage
        LTDicomClassTypeRadiopharmaceuticalRadiationDoseSRStorage                         =   181, // Radiopharmaceutical Radiation Dose SR Storage
        LTDicomClassTypeSurfaceScanMeshStorage                                            =   183, // Surface Scan Mesh Storage
        LTDicomClassTypeSurfaceScanPointCloudStorage                                      =   184, // Surface Scan Point Cloud Storage
        LTDicomClassTypeLegacyConvertedEnhancedCTImageStorage                             =   185, // Legacy Converted Enhanced CT Image Storage
        LTDicomClassTypeLegacyConvertedEnhancedMRImageStorage                             =   186, // Legacy Converted Enhanced MR Image Storage
        LTDicomClassTypeLegacyConvertedEnhancedPetImageStorage                            =   187, // Legacy Converted Enhanced PET Image Storage
        LTDicomClassTypeCornealTopographyMapStorage                                       =   188, // Corneal Topography Map Storage
        LTDicomClassTypeBreastProjectionXRayImageStoragePresentation                      =   189, // Breast Projection X-Ray Image Storage - For Presentation
        LTDicomClassTypeBreastProjectionXRayImageStorageProcessing                        =   190, // Breast Projection X-Ray Image Storage - For Processing
      // 2015C
        LTDicomClassTypeExtensibleSRStorage                                               =   191, // Extensible SR Storage
        LTDicomClassTypeParametricMapStorage                                              =   192, // Parametric Map Storage
        LTDicomClassTypeWideFieldOphthalmicPhotographyStereographicProjectionImageStorage =   193, // Wide Field Ophthalmic Photography Stereographic Projection Image Storage
        LTDicomClassTypeWideFieldOphthalmicPhotography3dCoordinatesImageStorage           =   194, // Wide Field Ophthalmic Photography 3D Coordinates Image Storage
      // 2021a Classes
        LTDicomClassTypeRealTimeVideoEndoscopicImageStorage                               =   195, // Real-Time Video Endoscopic Image Storage
        LTDicomClassTypeRealTimeVideoPhotographicImageStorage                             =   196, // Real-Time Video Photographic Image Storage
        LTDicomClassTypeDermoscopicPhotographyImageStorage                                =   197, // Dermoscopic Photography Image Storage
        LTDicomClassTypeAdvancedBlendingPresentationStateStorage                          =   198, // Advanced Blending Presentation State Storage
        LTDicomClassTypeRealTimeAudioWaveformStorage                                      =   199, // Real-Time Audio Waveform Storage
        LTDicomClassTypeRoutineScalpElectroencephalogramStorage                           =   200, // Routine Scalp Electroencephalogram Storage
        LTDicomClassTypeElectromyogramWaveformStorage                                     =   201, // Electromyogram Waveform Storage
        LTDicomClassTypeElectrooculogramWaveformStorage                                   =   202, // Electrooculogram Waveform Storage
        LTDicomClassTypeSleepElectroencephalogramStorage                                  =   203, // Sleep Electroencephalogram Storage
        LTDicomClassTypeMultiChannelRespiratoryWaveformStorage                            =   204, // Multi-Channel Respiratory Waveform Storage
        LTDicomClassTypeBodyPositionWaveformStorage                                       =   205, // Body Position Waveform Storage
        LTDicomClassTypeAcquisitionContextSRStorage                                       =   206, // Acquisition Context SR Storage
        LTDicomClassTypeSimplifiedAdultEchoSRStorage                                      =   207, // Simplified Adult Echo SR Storage
        LTDicomClassTypePatientRadiationDoseSRStorage                                     =   208, // Patient Radiation Dose SR Storage
        LTDicomClassTypePlannedImagingAgentAdministrationSRStorage                        =   209, // Planned Imaging Agent Administration SR Storage
        LTDicomClassTypePerformedImagingAgentAdministrationSRStorage                      =   210, // Performed Imaging Agent Administration SR Storage
        LTDicomClassTypeRenditionSelectionDocumentStorage                                 =   211, // Rendition Selection Document Storage
        LTDicomClassTypeTractographyResultsStorage                                        =   212, // Tractography Results Storage
        LTDicomClassTypeRTBrachyApplicationSetupDeliveryInstructionStorage                =   213, // RT Brachy Application Setup Delivery Instruction Storage
        LTDicomClassTypeGrayscalePlanarMprVolumetricPresentationStateStorage              =   214, // Grayscale Planar MPR Volumetric Presentation State Storage
        LTDicomClassTypeCompositingPlanarMprVolumetricPresentationStateStorage            =   215, // Compositing Planar MPR Volumetric Presentation State Storage
        LTDicomClassTypeVolumeRenderingVolumetricPresentationStateStorage                 =   216, // Volume Rendering Volumetric Presentation State Storage
        LTDicomClassTypeContentAssessmentResultsStorage                                   =   217, // Content Assessment Results Storage
        LTDicomClassTypeCTPerformedProcedureProtocolStorage                               =   218, // CT Performed Procedure Protocol Storage
        LTDicomClassTypeCTDefinedProcedureProtocolStorage                                 =   219, // CT Defined Procedure Protocol Storage
        LTDicomClassTypeXAPerformedProcedureProtocolStorage                               =   220, // XA Performed Procedure Protocol Storage
        LTDicomClassTypeXADefinedProcedureProtocolStorage                                 =   221, // XA Defined Procedure Protocol Storage
        LTDicomClassTypeOphthalmicOpticalCoherenceTomographyEnFaceImageStorage            =   222, // Ophthalmic Optical Coherence Tomography En Face Image Storage
        LTDicomClassTypeOphthalmicOpticalCoherenceTomographyBScanVolumeAnalysisStorage    =   223, // Ophthalmic Optical Coherence Tomography B-Scan Volume Analysis Storage
        LTDicomClassTypeEncapsulatedStlStorage                                            =   224, // Encapsulated STL Storage
        LTDicomClassTypeEncapsulatedObjStorage                                            =   225, // Encapsulated OBJ Storage
        LTDicomClassTypeEncapsulatedMtlStorage                                            =   226, // Encapsulated MTL Storage
        LTDicomClassTypeUnifiedProcedureStepQuery                                         =   227, // Unified Procedure Step  Query
        LTDicomClassTypeEnhancedXRayRadiationDoseSRStorage                                =   228, // Enhanced X-Ray Radiation Dose SR Storage
        LTDicomClassTypeMax                                                               =   228, //
        LTDicomClassTypeUnknown                                                           = 65535, //
      // Begin Deprecated
        LTDicomClassTypeBasicCardiacEp                                                    =    91, // CLASS_BASIC_CARDIAC_EP_STORAGE, //
        LTDicomClassTypeDXIntraoralImageStoragePresentation                               =    31, // CLASS_DX_INTRA_ORAL_IMAGE_STORAGE_PRESENTATION, //
        LTDicomClassTypeDXIntraoralImageStorageProcessing                                 =    32, // CLASS_DX_INTRA_ORAL_IMAGE_STORAGE_PROCESSING, //
        LTDicomClassTypeBasicTextSR                                                       =    81, // CLASS_BASIC_TEXT_SR_STORAGE, //
        LTDicomClassTypeEnhancedSR                                                        =    82, // CLASS_ENHANCED_SR_STORAGE, //
        LTDicomClassTypeComprehensiveSR                                                   =    83, // CLASS_COMPREHENSIVE_SR_STORAGE, //
        LTDicomClassTypeGrayscaleSoftcopyPresentationState                                =    85, // CLASS_GRAYSCALE_SOFTCOPY_PRESENTATION_STATE_STORAGE, //
        LTDicomClassTypeBasicVoiceAudio                                                   =    86, // CLASS_BASIC_VOICE_AUDIO_STORAGE, //
        LTDicomClassTypeTwelveLeadEcg                                                     =    87, // CLASS_12_LEAD_ECG_STORAGE, //
        LTDicomClassTypeGeneralEcg                                                        =    88, // CLASS_GENERAL_ECG_STORAGE, //
        LTDicomClassTypeAmbulatoryEcg                                                     =    89, // CLASS_AMBULATORY_ECG_STORAGE, //
        LTDicomClassTypeHemodynamic                                                       =    90, // CLASS_HEMODYNAMIC_STORAGE, //
        LTDicomClassTypeKeyObjectSelectionDocument                                        =   102, // CLASS_KEY_OBJECT_SELECTION_DOCUMENT_STORAGE, //
        LTDicomClassTypeMammographyCadSR                                                  =   103, // CLASS_MAMMOGRAPHY_CAD_SR_STORAGE, //
        LTDicomClassTypeChestCadSR                                                        =   104, // CLASS_CHEST_CAD_SR_STORAGE, //
        LTDicomClassTypeOphthalmic8BitPhotographyImageStorage                             =   106, // CLASS_OPHTHALMIC_PHOTOGRAPHY_8_BIT_IMAGE_STORAGE, //
        LTDicomClassTypeOphthalmic16BitPhotographyImageStorage                            =   107, // CLASS_OPHTHALMIC_PHOTOGRAPHY_16_BIT_IMAGE_STORAGE, //
      // End Deprecated

};
// End of class definitions
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

// Start of module definitions
typedef NS_ENUM(NSInteger, LTDicomModuleType) {
        LTDicomModuleTypePatient                                                           =   0, // Table C.7-1                 Patient Module Attributes
        LTDicomModuleTypeGeneralStudy                                                      =   1, // Table C.7-3                 General Study Module Attributes
        LTDicomModuleTypePatientStudy                                                      =   2, // Table C.7-4a                Patient Study Module Attributes
        LTDicomModuleTypeGeneralSeries                                                     =   3, // Table C.7-5a                General Series Module Attributes
        LTDicomModuleTypeCRSeries                                                          =   4, // Table C.8-1                 CR Series Module Attributes
        LTDicomModuleTypeGeneralEquipment                                                  =   5, // Table C.7-8                 General Equipment Module Attributes
        LTDicomModuleTypeGeneralImage                                                      =   6, // Table C.7-9                 General Image Module Attributes
        LTDicomModuleTypeImagePixel                                                        =   7, // Table C.7-11a               Image Pixel Module Attributes
        LTDicomModuleTypeContrastBolus                                                     =   8, // Table C.7-12                Contrast/Bolus Module Attributes
        LTDicomModuleTypeCRImage                                                           =   9, // Table C.8-2                 CR Image Module Attributes
        LTDicomModuleTypeOverlayPlane                                                      =  10, // Table C.9-2                 Overlay Plane Module Attributes
        LTDicomModuleTypeModalityLut                                                       =  12, // Table C.11-1                Modality LUT Module Attributes
        LTDicomModuleTypeVoiLut                                                            =  13, // Table C.11-2                VOI LUT Module Attributes
        LTDicomModuleTypeSOPCommon                                                         =  14, // Table C.12-1                SOP Common Module Attributes
        LTDicomModuleTypeFrameOfReference                                                  =  15, // Table C.7-6                 Frame of Reference Module Attributes
        LTDicomModuleTypeImagePlane                                                        =  16, // Table C.7-10                Image Plane Module Attributes
        LTDicomModuleTypeCTImage                                                           =  17, // Table C.8-3                 CT Image Module Attributes
        LTDicomModuleTypeMRImage                                                           =  18, // Table C.8-4                 MR Image Module Attributes
        LTDicomModuleTypeNMPetPatientOrientation                                           =  19, // Table C.8-5                 NM/PET Patient Orientation Module Attributes
        LTDicomModuleTypeNMImagePixel                                                      =  20, // Table C.8-6                 NM Image Pixel Module Attributes
        LTDicomModuleTypeMultiFrame                                                        =  21, // Table C.7-14                Multi-frame Module Attributes
        LTDicomModuleTypeNMMultiFrame                                                      =  22, // Table C.8-7                 NM Multi-frame Module Attributes
        LTDicomModuleTypeNMImage                                                           =  23, // Table C.8-9                 NM Image Module Attributes
        LTDicomModuleTypeNMIsotope                                                         =  24, // Table C.8-10                NM Isotope Module Attributes
        LTDicomModuleTypeNMDetector                                                        =  25, // Table C.8-11                NM Detector Module Attributes
        LTDicomModuleTypeNMTomoAcquisition                                                 =  26, // Table C.8-12                NM Tomo Acquisition Module Attributes
        LTDicomModuleTypeNMMultiGatedAcquisition                                           =  27, // Table C.8-13                NM Multi-Gated Acquisition Module Attributes
        LTDicomModuleTypeNMPhase                                                           =  28, // Table C.8-14                NM Phase Module Attributes
        LTDicomModuleTypeNMReconstruction                                                  =  29, // Table C.8-15                NM Reconstruction Module Attributes
        LTDicomModuleTypeMultiFrameOverlay                                                 =  30, // Table C.9-3                 Multi-frame Overlay Module Attributes
        LTDicomModuleTypePaletteColorLookupTable                                           =  32, // Table C.7-22                Palette Color Lookup Table Module Attributes
        LTDicomModuleTypeUSRegionCalibration                                               =  33, // Table C.8-17                US Region Calibration Module Attributes
        LTDicomModuleTypeUSImage                                                           =  34, // Table C.8-18                US Image Module Attributes
        LTDicomModuleTypeCine                                                              =  37, // Table C.7-13                Cine Module Attributes
        LTDicomModuleTypeSCEquipment                                                       =  38, // Table C.8-24                SC Equipment Module Attributes
        LTDicomModuleTypeSCImage                                                           =  39, // Table C.8-25                SC Image Module Attributes
        LTDicomModuleTypeFramePointers                                                     =  44, // Table C.7-15                Frame Pointers Module Attributes
        LTDicomModuleTypeMask                                                              =  45, // Table C.7-16                Mask Module Attributes
        LTDicomModuleTypeDisplayShutter                                                    =  46, // Table C.7-17                Display Shutter Module Attributes
        LTDicomModuleTypeDevice                                                            =  47, // Table C.7-18                Device Module Attributes
        LTDicomModuleTypeTherapy                                                           =  48, // Table C.7-19                Intervention Module Attributes
        LTDicomModuleTypeXRayImage                                                         =  49, // Table C.8-26                X-Ray Image Module Attributes
        LTDicomModuleTypeXRayAcquisition                                                   =  50, // Table C.8-27                X-Ray Acquisition Module Attributes
        LTDicomModuleTypeXRayCollimator                                                    =  51, // Table C.8-28                X-Ray Collimator Module Attributes
        LTDicomModuleTypeXRayTable                                                         =  52, // Table C.8-29                X-Ray Table Module Attributes
        LTDicomModuleTypeXAPositioner                                                      =  53, // Table C.8-30                XA Positioner Module Attributes
        LTDicomModuleTypeXRFPositioner                                                     =  57, // Table C.8-31                XRF Positioner Module Attributes
        LTDicomModuleTypeXRayTomographyAcquisition                                         =  58, // Table C.8-32                X-Ray Tomography Acquisition Module Attributes
        LTDicomModuleTypeRTSeries                                                          =  59, // Table C.8-37                RT Series Module Attributes
        LTDicomModuleTypeRTImage                                                           =  60, // Table C.8-38                RT Image Module Attributes
        LTDicomModuleTypeApproval                                                          =  61, // Table C.8-52                Approval Module Attributes
        LTDicomModuleTypeRTDose                                                            =  62, // Table C.8-39                RT Dose Module Attributes
        LTDicomModuleTypeRTDvh                                                             =  63, // Table C.8-40                RT DVH Module Attributes
        LTDicomModuleTypeStructureSet                                                      =  64, // Table C.8-41                Structure Set Module Attributes
        LTDicomModuleTypeROIContour                                                        =  65, // Table C.8-42                ROI Contour Module Attributes
        LTDicomModuleTypeRTDoseROI                                                         =  66, // Table C.8-43                RT Dose ROI Module Attributes
        LTDicomModuleTypeRTROIObservations                                                 =  67, // Table C.8-44                RT ROI Observations Module Attributes
        LTDicomModuleTypeRTGeneralPlan                                                     =  68, // Table C.8-45                RT General Plan Module Attributes
        LTDicomModuleTypeRTPrescription                                                    =  69, // Table C.8-46                RT Prescription Module Attributes
        LTDicomModuleTypeRTToleranceTables                                                 =  70, // Table C.8-47                RT Tolerance Tables Module Attributes
        LTDicomModuleTypeRTPatientSetup                                                    =  71, // Table C.8-48                RT Patient Setup Module Attributes
        LTDicomModuleTypeRTFractionScheme                                                  =  72, // Table C.8-49                RT Fraction Scheme Module Attributes
        LTDicomModuleTypeRTBeams                                                           =  73, // Table C.8-50                RT Beams Module Attributes
        LTDicomModuleTypeRTBrachyApplicationSetups                                         =  74, // Table C.8-51                RT Brachy Application Setups Module Attributes
        LTDicomModuleTypePetSeries                                                         =  75, // Table C.8-60                PET Series Module Attributes
        LTDicomModuleTypePetIsotope                                                        =  76, // Table C.8-61                PET Isotope Module Attributes
        LTDicomModuleTypePetMultiGatedAcquisition                                          =  77, // Table C.8-62                PET Multi-Gated Acquisition Module Attributes
        LTDicomModuleTypePetImage                                                          =  78, // Table C.8-63                PET Image Module Attributes
        LTDicomModuleTypePatientRelationship                                               =  89, // Table C.2-1                 Patient Relationship Module Attributes
        LTDicomModuleTypePatientIdentification                                             =  90, // Table C.2-2                 Patient Identification Module Attributes
        LTDicomModuleTypePatientDemographic                                                =  91, // Table C.2-3                 Patient Demographic Module Attributes
        LTDicomModuleTypePatientMedical                                                    =  92, // Table C.2-4                 Patient Medical Module Attributes
        LTDicomModuleTypeVisitRelationship                                                 =  93, // Table C.3-1                 Visit Relationship Module Attributes
        LTDicomModuleTypeVisitIdentification                                               =  94, // Table C.3-2                 Visit Identification Module Attributes
        LTDicomModuleTypeVisitAdmission                                                    =  95, // Table C.3-4                 Visit Admission Module Attributes
        LTDicomModuleTypeVisitStatus                                                       =  96, // Table C.3-3                 Visit Status Module Attributes
        LTDicomModuleTypeBasicFilmSessionPresentation                                      = 117, // Table C.13-1                Basic Film Session Presentation Module Attributes
        LTDicomModuleTypeBasicFilmSessionRelationship                                      = 118, // Table C.13-2                Basic Film Session Relationship Module Attributes
        LTDicomModuleTypeBasicFilmBoxPresentation                                          = 119, // Table C.13-3                Basic Film Box Presentation Module Attributes
        LTDicomModuleTypeBasicFilmBoxRelationship                                          = 120, // Table C.13-4                Basic Film Box Relationship Module Attributes
        LTDicomModuleTypeImageBoxPresentationGrayscale                                     = 121, // Table C.13-5                Image Box Pixel Presentation Module Attributes
        LTDicomModuleTypeImageBoxPresentationColor                                         = 122, // Table C.13-5                Image Box Pixel Presentation Module Attributes
        LTDicomModuleTypeBasicAnnotationPresentation                                       = 124, // Table C.13-7                Basic Annotation Presentation Module Attributes
        LTDicomModuleTypePrintJob                                                          = 125, // Table C.13-8                Print Job Module Attributes
        LTDicomModuleTypePrinter                                                           = 126, // Table C.13-9                Printer Module Attributes
        LTDicomModuleTypeStorageCommitment                                                 = 129, // Table C.14-1                Storage Commitment Module Attributes
        LTDicomModuleTypePerformedProcedureStepRelationship                                = 132, // Table C.4-13                Performed Procedure Step Relationship Module Attributes
        LTDicomModuleTypePerformedProcedureStepInformation                                 = 133, // Table C.4-14                Performed Procedure Step Information Module Attributes
        LTDicomModuleTypeImageAcquisitionResults                                           = 134, // Table C.4-15                Image Acquisition Results Module Attributes
        LTDicomModuleTypeBillingAndMaterialManagementCodes                                 = 136, // Table C.4-17                Billing and Material Management Code Module Attributes
        LTDicomModuleTypePresentationLut                                                   = 137, // Table C.11-4                Presentation LUT Module Attributes
        LTDicomModuleTypeFilesetIdentification                                             = 148, // Table F.3-2                 File-Set Identification Module Attributes
        LTDicomModuleTypeDirectoryInformation                                              = 149, // Table F.3-3                 Directory Information Module Attributes
        LTDicomModuleTypePatientKey                                                        = 150, // Table F.5-1                 Patient Keys
        LTDicomModuleTypeStudyKey                                                          = 151, // Table F.5-2                 Study Keys
        LTDicomModuleTypeSeriesKey                                                         = 152, // Table F.5-3                 Series Keys
        LTDicomModuleTypeImageKey                                                          = 153, // Table F.5-4                 Image Keys
        LTDicomModuleTypeRTDoseKey                                                         = 159, // Table F.5-19                RT Dose Keys
        LTDicomModuleTypeRTStructureSetKey                                                 = 160, // Table F.5-20                RT Structure Set Keys
        LTDicomModuleTypeRTPlanKey                                                         = 161, // Table F.5-21                RT Plan Keys
        LTDicomModuleTypeRTTreatmentRecordKey                                              = 162, // Table F.5-22                RT Treatment Record Keys
        LTDicomModuleTypePrivateKey                                                        = 168, // Table F.6.1                 Private Directory Record Definition
        LTDicomModuleTypeDXSeries                                                          = 170, // Table C.8-68                DX Series Module Attributes
        LTDicomModuleTypeDXAnatomyImaged                                                   = 171, // Table C.8-69                DX Anatomy Imaged Module Attributes
        LTDicomModuleTypeDXImage                                                           = 172, // Table C.8-70                DX Image Module Attributes
        LTDicomModuleTypeDXDetector                                                        = 173, // Table C.8-71                DX Detector Module Attributes
        LTDicomModuleTypeDXPositioning                                                     = 174, // Table C.8-72                DX Positioning Module Attributes
        LTDicomModuleTypeAcquisitionContext                                                = 175, // Table C.7.6.14-1            Acquisition Context Module Attributes
        LTDicomModuleTypeXRayAcquisitionDose                                               = 176, // Table C.8-33                X-Ray Acquisition Dose Module Attributes
        LTDicomModuleTypeXRayGeneration                                                    = 177, // Table C.8-34                X-Ray Generation Module Attributes
        LTDicomModuleTypeXRayFiltration                                                    = 178, // Table C.8-35                X-Ray Filtration Module Attributes
        LTDicomModuleTypeXRayGrid                                                          = 179, // Table C.8-36                X-Ray Grid Module Attributes
        LTDicomModuleTypeImageHistogram                                                    = 180, // Table C.11.5-1              Image Histogram Module Attributes
        LTDicomModuleTypeMammographySeries                                                 = 181, // Table C.8-73                Mammography Series Module Attributes
        LTDicomModuleTypeMammographyImage                                                  = 182, // Table C.8-74                Mammography Image Module Attributes
        LTDicomModuleTypeIntraOralSeries                                                   = 183, // Table C.8-75                Intra-Oral Series Module Attributes
        LTDicomModuleTypeIntraOralImage                                                    = 184, // Table C.8-76                Intra-Oral Image Module Attributes
        LTDicomModuleTypeRTGeneralTreatmentRecord                                          = 185, // Table C.8-53                RT General Treatment Record Module Attributes
        LTDicomModuleTypeRTTreatmentMachineRecord                                          = 186, // Table C.8-54                RT Treatment Machine Record Module Attributes
        LTDicomModuleTypeMeasuredDoseReferenceRecord                                       = 187, // Table C.8-55                Measured Dose Reference Record Module Attributes
        LTDicomModuleTypeCalculatedDoseReferenceRecord                                     = 188, // Table C.8-56                Calculated Dose Reference Record Module Attributes
        LTDicomModuleTypeRTBeamsSessionRecord                                              = 189, // Table C.8-57                RT Beams Session Record Module Attributes
        LTDicomModuleTypeRTTreatmentSummaryRecord                                          = 190, // Table C.8-59                RT Treatment Summary Record Module Attributes
        LTDicomModuleTypeRTBrachySessionRecord                                             = 191, // Table C.8-58                RT Brachy Session Record Module Attributes
        LTDicomModuleTypeVLImage                                                           = 192, // Table C.8-77                VL Image Module Attributes
        LTDicomModuleTypeSlideCoordinates                                                  = 193, // Table C.8-78                Slide Coordinates Module Attributes
        LTDicomModuleTypePrinterConfiguration                                              = 195, // Table C.13-13               Printer Configuration Module Attributes
        LTDicomModuleTypeSRDocumentSeries                                                  = 196, // Table C.17-1                SR Document Series Module Attributes
        LTDicomModuleTypeSRDocumentGeneral                                                 = 197, // Table C.17-2                SR Document General Module Attributes
        LTDicomModuleTypeSRDocumentContent                                                 = 198, // Table C.17-4                SR Document Content Module Attributes
        LTDicomModuleTypeSRDocumentKey                                                     = 199, // Table F.5-25                SR Document Keys
        LTDicomModuleTypeScheduledProcedureStep                                            = 200, // Table C.4-10                Scheduled Procedure Step Module Attributes
        LTDicomModuleTypeRequestedProcedure                                                = 201, // Table C.4-11                Requested Procedure Module Attributes
        LTDicomModuleTypeImagingServiceRequest                                             = 202, // Table C.4-12                Imaging Service Request Module Attributes
        LTDicomModuleTypePresentationSeries                                                = 203, // Table C.11.9-1              Presentation Series Module Attributes
        LTDicomModuleTypePresentationStateIdentification                                   = 204, // Table C.11.10-1             Presentation State Identification Module Attributes
        LTDicomModuleTypeBitmapDisplayShutter                                              = 205, // Table C.7.6.15-1            Bitmap Display Shutter Module Attributes
        LTDicomModuleTypeOverlayActivation                                                 = 206, // Table C.11.7-1              Overlay Activation Module Attributes
        LTDicomModuleTypeDisplayedArea                                                     = 207, // Table C.10-4                Displayed Area Module Attributes
        LTDicomModuleTypeGraphicAnnotation                                                 = 208, // Table C.10-5                Graphic Annotation Module Attributes
        LTDicomModuleTypeSpatialTransformation                                             = 209, // Table C.10-6                Spatial Transformation Module Attributes
        LTDicomModuleTypeGraphicLayer                                                      = 210, // Table C.10-7                Graphic Layer Module Attributes
        LTDicomModuleTypeSoftcopyVoiLut                                                    = 211, // Table C.11.8-1              Softcopy VOI LUT Module Attributes
        LTDicomModuleTypeSoftcopyPresentationLut                                           = 212, // Table C.11.6-1              Softcopy Presentation LUT Module Attributes
        LTDicomModuleTypeSynchronization                                                   = 213, // Table C.7-7                 Synchronization Module Attributes
        LTDicomModuleTypeWaveformIdentification                                            = 214, // Table C.10-8                Waveform Identification Module Attributes
        LTDicomModuleTypeWaveform                                                          = 215, // Table C.10-9                Waveform Module Attributes
        LTDicomModuleTypeWaveformAnnotation                                                = 216, // Table C.10-11               Waveform Annotation Module Attributes
        LTDicomModuleTypePresentationKey                                                   = 217, // Table F.5-23                Presentation Keys
        LTDicomModuleTypeWaveformKey                                                       = 218, // Table F.5-24                Waveform Keys
        LTDicomModuleTypeClinicalTrialSubject                                              = 219, // Table C.7-2b                Clinical Trial Subject Module Attributes
        LTDicomModuleTypeClinicalTrialStudy                                                = 220, // Table C.7-4b                Clinical Trial Study Module Attributes
        LTDicomModuleTypeClinicalTrialSeries                                               = 221, // Table C.7-5b                Clinical Trial Series Module Attributes
        LTDicomModuleTypeMultiFrameFunctionalGroups                                        = 222, // Table C.7.6.16-1            Multi-frame Functional Groups Module Attributes
        LTDicomModuleTypeMultiFrameDimension                                               = 223, // Table C.7.6.17-1            Multi-frame Dimension Module Attributes
        LTDicomModuleTypeCardiacSynchronization                                            = 224, // Table C.7.6.18-1            Cardiac Synchronization Module Attributes
        LTDicomModuleTypeRespiratorySynchronization                                        = 225, // Table C.7.6.18-2            Respiratory Synchronization Module Attributes
        LTDicomModuleTypeBulkMotionSynchronization                                         = 226, // Table C.7.6.18-3            Bulk Motion Synchronization Module Attributes
        LTDicomModuleTypeSupplementalPaletteColorLookupTable                               = 227, // Table C.7.6.19-1            Supplemental Palette Color Lookup Table Module Attributes
        LTDicomModuleTypeEnhancedMRImage                                                   = 228, // Table C.8-79                Enhanced MR Image Module Attributes
        LTDicomModuleTypeMRPulseSequence                                                   = 229, // Table C.8-87                MR Pulse Sequence Module Attributes
        LTDicomModuleTypeMRSpectroscopy                                                    = 230, // Table C.8-102               MR Spectroscopy Module Attributes
        LTDicomModuleTypeMRSpectroscopyPulseSequence                                       = 231, // Table C.8-103               MR Spectroscopy Pulse Sequence Module Attributes
        LTDicomModuleTypeMRSpectroscopyData                                                = 232, // Table C.8-106               MR Spectroscopy Data Module Attributes
        LTDicomModuleTypeRawData                                                           = 233, // Table C.19-1                Raw Data Module Attributes
        LTDicomModuleTypeSCMultiFrameImage                                                 = 234, // Table C.8-25b               SC Multi-frame Image Module Attributes
        LTDicomModuleTypeSCMultiFrameVector                                                = 235, // Table C.8-25c               SC Multi-frame Vector Module Attributes
        LTDicomModuleTypeKeyObjectDocumentSeries                                           = 236, // Table C.17.6-1              Key Object Document Series Module Attributes
        LTDicomModuleTypeKeyObjectDocument                                                 = 237, // Table C.17.6-2              Key Object Document Module Attributes
        LTDicomModuleTypeKeyObjectDocumentKey                                              = 243, // Table F.5-26                Key Object Document Keys
        LTDicomModuleTypeOphthalmicPhotographySeries                                       = 244, // Table C.8.17.1-1            Ophthalmic Photography Series Module Attributes
        LTDicomModuleTypeOphthalmicPhotographyImage                                        = 245, // Table C.8.17.2-1            Ophthalmic Photography Image Module Attributes
        LTDicomModuleTypeOphthalmicPhotographicParameters                                  = 246, // Table C.8.17.3-1            Ophthalmic Photographic Parameters Module Attributes
        LTDicomModuleTypeOphthalmicPhotographyAcquisitionParameters                        = 247, // Table C.8.17.4-1            Ophthalmic Photography Acquisition Parameters Module Attributes
        LTDicomModuleTypeOcularRegionImaged                                                = 248, // Table C.8.17.5-1            Ocular Region Imaged Module Attributes
        LTDicomModuleTypeStereometricSeries                                                = 249, // Table C.8.18.1-1            Stereometric Series Module Attributes
        LTDicomModuleTypeStereometricRelationship                                          = 250, // Table C.8.18.2-1            Stereometric Relationship Module Attributes
        LTDicomModuleTypeEnhancedContrastBolus                                             = 251, // Table C.7-12b               Enhanced Contrast/Bolus Module Attributes
        LTDicomModuleTypeCommonInstanceReference                                           = 252, // Table C.12-8                Common Instance Reference Module Attributes
        LTDicomModuleTypeUndefined                                                         = 253, // (for .NET)
        LTDicomModuleTypeIntervention                                                      = 254, // Table C.7-19                Intervention Module Attributes
        LTDicomModuleTypePresentationStateRelationship                                     = 255, // Table C.11.11-1             Presentation State Relationship Module Attributes
        LTDicomModuleTypePresentationStateShutter                                          = 256, // Table C.11.12-1             Presentation State Shutter Module Attributes
        LTDicomModuleTypePresentationStateMask                                             = 257, // Table C.11.13-1             Presentation State Mask Module Attributes
        LTDicomModuleTypeIccProfile                                                        = 258, // Table C.11.15-1             ICC Profile Module Attributes
        LTDicomModuleTypePresentationStateBlending                                         = 259, // Table C.11.14-1             Presentation State Blending Module Attributes
        LTDicomModuleTypeMRSeries                                                          = 260, // Table C.8-101               MR Series Module Attributes
        LTDicomModuleTypeEnhancedGeneralEquipment                                          = 261, // Table C.7-8b                Enhanced General Equipment Module Attributes
        LTDicomModuleTypeCTSeries                                                          = 262, // Table C.8-113               CT Series Module Attributes
        LTDicomModuleTypeEnhancedCTImage                                                   = 263, // Table C.8-114               Enhanced CT Image Module Attributes
        LTDicomModuleTypeSpatialRegistrationSeries                                         = 264, // Table C.20.1-1              Spatial Registration Series Module Attributes
        LTDicomModuleTypeSpatialRegistration                                               = 265, // Table C.20.2-1              Spatial Registration Module Attributes
        LTDicomModuleTypeDeformableSpatialRegistration                                     = 266, // Table C.20.3-1              Deformable Spatial Registration Module Attributes
        LTDicomModuleTypeSpatialFiducialsSeries                                            = 267, // Table C.21.1-1              Spatial Fiducials Series Module Attributes
        LTDicomModuleTypeSpatialFiducials                                                  = 268, // Table C.21.2-1              Spatial Fiducials Module Attributes
        LTDicomModuleTypeHangingProtocolDefinition                                         = 269, // Table C.23.1-1              Hanging Protocol Definition Module Attributes
        LTDicomModuleTypeHangingProtocolEnvironment                                        = 270, // Table C.23.2-1              Hanging Protocol Environment Module Attributes
        LTDicomModuleTypeHangingProtocolDisplay                                            = 271, // Table C.23.3-1              Hanging Protocol Display Module Attributes
        LTDicomModuleTypeEncapsulatedDocumentSeries                                        = 272, // Table C.24-1                Encapsulated Document Series Module Attributes
        LTDicomModuleTypeEncapsulatedDocument                                              = 273, // Table C.24-2                Encapsulated Document Module Attributes
        LTDicomModuleTypeRealWorldValueMappingSeries                                       = 274, // Table C.25.1-1              Real World Value Mapping Series Module Attributes
        LTDicomModuleTypeRealWorldValueMapping                                             = 275, // Table C.25.2-1              Real World Value Mapping Module Attributes
        LTDicomModuleTypeXAXRFSeries                                                       = 276, // Table C.8.19.1-1            XA/XRF Series Module Attributes
        LTDicomModuleTypeEnhancedXAXRFImage                                                = 277, // Table C.8.19.2-1            Enhanced XA/XRF Image Module Table
        LTDicomModuleTypeXAXRFAcquisition                                                  = 278, // Table C.8.19.3-1            XA/XRF Acquisition Module Attributes
        LTDicomModuleTypeXRayImageIntensifier                                              = 279, // Table C.8.19.4-1            X-Ray Image Intensifier Module Attributes
        LTDicomModuleTypeXRayDetector                                                      = 280, // Table C.8.19.5-1            X-Ray Detector Module Attributes
        LTDicomModuleTypeXAXRFMultiFramePresentation                                       = 281, // Table C.8.19.7-1            XA/XRF Multi-frame Presentation Module Attributes
        LTDicomModuleTypeRTIonToleranceTables                                              = 282, // Table C.8.8.24-1            RT Ion Tolerance Tables Module Attributes
        LTDicomModuleTypeRTIonBeams                                                        = 283, // Table C.8.8.25-1            RT Ion Beams Module Attributes
        LTDicomModuleTypeRTIonBeamsSessionRecord                                           = 284, // Table C.8.8.26-1            RT Ion Beams Session Record Module Attributes
        LTDicomModuleTypeSegmentationSeries                                                = 285, // Table C.8.20-1              Segmentation Series Module Attributes
        LTDicomModuleTypeSegmentationImage                                                 = 286, // Table C.8.20-2              Segmentation Image Module Attributes
        LTDicomModuleTypeOphthalmicTomographySeries                                        = 287, // Table C.8.17.6-1            Ophthalmic Tomography Series Module Attributes
        LTDicomModuleTypeOphthalmicTomographyImage                                         = 288, // Table C.8.17.7-1            Ophthalmic Tomography Image Module Attributes
        LTDicomModuleTypeOphthalmicTomographyAcquisitionParameters                         = 289, // Table C.8.17.8-1            Ophthalmic Tomography Acquisition Parameters Module Attributes
        LTDicomModuleTypeOphthalmicTomographyParameters                                    = 290, // Table C.8.17.9-1            Ophthalmic Tomography Parameters Module Attributes
        LTDicomModuleTypeEnhancedSeries                                                    = 291, // Table C.7-5c                Enhanced Series Module Attributes
        LTDicomModuleTypePatientOrientation                                                = 292, // Table C.7.6.20-1            Patient Orientation Module Attributes
        LTDicomModuleTypeImageEquipmentCoordinateRelationship                              = 293, // Table C.7.6.21-1            Image - Equipment Coordinate Relationship Module Attributes
        LTDicomModuleTypeXRay3dImage                                                       = 294, // Table C.8.21.1-1            X-Ray 3D Image Module Attributes
        LTDicomModuleTypeXRay3dAngiographicImageContributingSources                        = 295, // Table C.8.21.2.1-1          X-Ray 3D Angiographic Image Contributing Sources Module Attributes
        LTDicomModuleTypeXRay3dAngiographicAcquisition                                     = 296, // Table C.8.21.3.2-1          X-Ray 3D Angiographic Acquisition Module Attributes
        LTDicomModuleTypeXRay3dReconstruction                                              = 297, // Table C.8.21.4-1            X-Ray 3D Reconstruction Module Attributes
        LTDicomModuleTypeXRay3dCraniofacialImageContributingSources                        = 298, // Table C.8.21.2.2-1          X-Ray 3D Craniofacial Image Contributing Sources Module Attributes
        LTDicomModuleTypeXRay3dCraniofacialAcquisition                                     = 299, // Table C.8.21.3.3-1          X-Ray 3D Craniofacial Acquisition Module Attributes
        LTDicomModuleTypeEnhancedPetSeries                                                 = 300, // Table C.8.22-1              Enhanced PET Series Module Attributes
        LTDicomModuleTypeEnhancedPetIsotope                                                = 301, // Table C.8.22-9              Enhanced PET Isotope Module Attributes
        LTDicomModuleTypeEnhancedPetAcquisition                                            = 302, // Table C.8.22-2              Enhanced PET Acquisition Module Attributes
        LTDicomModuleTypeEnhancedPetImage                                                  = 303, // Table C.8.22-3              Enhanced PET Image Module Attributes
      // sup117_ft.doc
      // sup130_ft.doc
        LTDicomModuleTypeLensometryMeasurementsSeries                                      = 304, // Table C.8.25.1-1            Lensometry Measurements Series Module Attributes
        LTDicomModuleTypeGeneralOphthalmicRefractiveMeasurements                           = 305, // Table C.8.25.7-1            General Ophthalmic Refractive Measurements Module Attributes
        LTDicomModuleTypeLensometryMeasurements                                            = 306, // Table C.8.25.8-1            Lensometry Measurements Module Attributes
        LTDicomModuleTypeAutorefractionMeasurementsSeries                                  = 307, // Table C.8.25.2-1            Autorefraction Measurements Series Module Attributes
        LTDicomModuleTypeAutorefractionMeasurements                                        = 308, // Table C.8.25.9-1            Autorefraction Measurements Module Attributes
        LTDicomModuleTypeKeratometryMeasurementsSeries                                     = 309, // Table C.8.25.3-1            Keratometry Measurements Series Module Attributes
        LTDicomModuleTypeKeratometryMeasurements                                           = 310, // Table C.8.25.10-1           Keratometry Measurements Module Attributes
        LTDicomModuleTypeSubjectiveRefractionMeasurementsSeries                            = 311, // Table C.8.25.4-1            Subjective Refraction Measurements Series Module Attributes
        LTDicomModuleTypeSubjectiveRefractionMeasurements                                  = 312, // Table C.8.25.11-1           Subjective Refraction Measurements Module Attributes
        LTDicomModuleTypeVisualAcuityMeasurementsSeries                                    = 313, // Table C.8.25.5-1            Visual Acuity Measurements Series Module Attributes
        LTDicomModuleTypeVisualAcuityMeasurements                                          = 314, // Table C.8.25.12-1           Visual Acuity Measurements Module Attributes
      // Part4
        LTDicomModuleTypeSubstanceAdministrationLogging                                    = 315, // Table C.26-4                Substance Administration Log Module Attributes
        LTDicomModuleTypeModalityHangingProtocol                                           = 316, // Table K.6-1                 Attributes for the Modality Worklist Information Model
        LTDicomModuleTypeProductCharacteristics                                            = 317, // Table C.26-1                Product Characteristics Module Attributes
        LTDicomModuleTypeSubstanceApprovalPatient                                          = 318, // Table V.6-2                 Patient: Attributes for the Substance Approval Query Information Model
        LTDicomModuleTypeSubstanceApprovalVisit                                            = 319, // Table V.6-2                 Visit: Attributes for the Substance Approval Query Information Model
        LTDicomModuleTypeSubstanceApprovalProduct                                          = 320, // Table V.6-2                 Product: Attributes for the Substance Approval Query Information Model
        LTDicomModuleTypeSubstanceAdministration                                           = 321, // Table C.26-3                Substance Administration Module Attributes
        LTDicomModuleTypeSubstanceApproval                                                 = 322, // Table C.26-2                Substance Approval Module Attributes
      // New Modules begin here
        LTDicomModuleTypeImageBoxPresentationModule                                        = 324, // Table C.13-5                Image Box Pixel Presentation Module Attributes
        LTDicomModuleTypeSOPCommonInformation                                              = 325, // Table C.12-1                SOP Common Module Attributes
        LTDicomModuleTypeInstanceAvailabilityNotification                                  = 326, // Table C.4.23-1              Instance Availability Notification Module Attributes
        LTDicomModuleTypeMediaCreationManagement                                           = 327, // Table C.22.1-1              Media Creation Management Module Attributes
        LTDicomModuleTypeSpectroscopyKey                                                   = 328, // Table F.5-27                Spectroscopy Keys
        LTDicomModuleTypeRawDataKey                                                        = 329, // Table F.5-28                Raw Data Keys
        LTDicomModuleTypeRegistrationKey                                                   = 330, // Table F.5-29                Registration Keys
        LTDicomModuleTypeFiducialKey                                                       = 331, // Table F.5-30                Fiducial Keys
        LTDicomModuleTypeHangingProtocolKey                                                = 332, // Table F.5-31                Hanging Protocol Keys
        LTDicomModuleTypeEncapsulatedDocumentKey                                           = 333, // Table F.5-32                Encapsulated Document Keys
        LTDicomModuleTypeRealWorldValueMappingKey                                          = 335, // Table F.5-34                Real World Value Mapping Keys
        LTDicomModuleTypeStereometricRelationshipKey                                       = 336, // Table F.5-35                Stereometric Relationship Keys
        LTDicomModuleTypeStructuredDisplay                                                 = 337, // Table C.11.16-1             Structured Display Module Attributes
        LTDicomModuleTypeStructuredDisplayImageBox                                         = 338, // Table C.11.17-1             Structured Display Image Box Module Attributes
        LTDicomModuleTypeStructuredDisplayAnnotation                                       = 339, // Table C.11.18-1             Structured Display Annotation Module Attributes
      // All 2008 supplements go here
        LTDicomModuleTypeEnhancedUSSeries                                                  = 340, // Table C.8.24.1-1            Enhanced US Series Module Attributes
        LTDicomModuleTypeUltrasoundFrameOfReference                                        = 341, // Table C.8.24.2-1            Ultrasound Frame of Reference Module Attributes
        LTDicomModuleTypeEnhancedPaletteColorLookupTable                                   = 342, // Table C.7.6.23-1            Enhanced Palette Color Lookup Table Module Attributes
        LTDicomModuleTypeEnhancedUSImage                                                   = 343, // Table C.8.24.3-1            Enhanced US Image Module Attributes
        LTDicomModuleTypeIvusImage                                                         = 344, // Table C.8.24.4-1            IVUS Image Module Attributes
        LTDicomModuleTypeExcludedIntervals                                                 = 345, // Table C.8.24.5-1            Excluded Intervals Module Attributes
        LTDicomModuleTypeSpecimen                                                          = 346, // Table C.7.6.22-1            Specimen Module Attributes
        LTDicomModuleTypeEnhancedMammographySeries                                         = 347, // Table C.8-76b               Enhanced Mammography Series Module Attributes
        LTDicomModuleTypeBreastTomosynthesisContributingSources                            = 348, // Table C.8.21.2.3-1          Breast Tomosynthesis Contributing Sources Module Attributes
        LTDicomModuleTypeBreastTomosynthesisAcquisition                                    = 349, // Table C.8.21.3.4-1          Breast Tomosynthesis Acquisition Module Attributes
        LTDicomModuleTypeBreastView                                                        = 350, // Table C.8.21.6-1            Breast View Module Attributes
        LTDicomModuleTypeSurfaceSegmentation                                               = 351, // Table C.8.23-1              Surface Segmentation Module Attributes
        LTDicomModuleTypeSurfaceMesh                                                       = 352, // Table C.27-1                Surface Mesh Module Attributes
        LTDicomModuleTypeColorPaletteDefinition                                            = 353, // Table C.28.1-1              Color Palette Definition Module Attributes
      // 2011
        LTDicomModuleTypeFrameExtraction                                                   = 354, // Table C.12-9                Frame Extraction Module Attributes
        LTDicomModuleTypeGenericImplantTemplate2dDrawings                                  = 355, // Table C.29.1.2-1            Generic Implant Template 2D Drawings Module Attributes
        LTDicomModuleTypeGenericImplantTemplate3dModels                                    = 356, // Table C.29.1.3-1            Generic Implant Template 3D Models Module Attributes
        LTDicomModuleTypeGenericImplantTemplateDescription                                 = 357, // Table C.29.1.1-1            Generic Implant Template Description Module Attributes
        LTDicomModuleTypeGenericImplantTemplateMatingFeatures                              = 358, // Table C.29.1.4-1            Generic Implant Template Mating Features Module Attributes
        LTDicomModuleTypeGenericImplantTemplatePlanningLandmarks                           = 359, // Table C.29.1.5-1            Generic Implant Template Planning Landmarks Module Attributes
        LTDicomModuleTypeGraphicGroup                                                      = 360, // Table C.10-12               Graphic Group Module Attributes
        LTDicomModuleTypeImplantAssemblyTemplate                                           = 361, // Table C.29.2-1              Implant Assembly Template Module Attributes
        LTDicomModuleTypeOpticalPath                                                       = 362, // Table C.8.12.5-1            Optical Path Module Attributes
        LTDicomModuleTypeWholeSlideMicroscopySeries                                        = 363, // Table C.8.12.3-1            Whole Slide Microscopy Series Module Attributes
        LTDicomModuleTypeWholeSlideMicroscopyImage                                         = 364, // Table C.8.12.4-1            Whole Slide Microscopy Image Module Attributes
        LTDicomModuleTypeMultiResolutionNavigation                                         = 365, // Table C.8.12.7-1            Multi-Resolution Navigation Module Attributes
        LTDicomModuleTypeSlideLabel                                                        = 366, // Table C.8.12.8-1            Slide Label Module Attributes
        LTDicomModuleTypeXAXRFPresentationStateMask                                        = 367, // Table C.11.19-1             XA/XRF Presentation State Mask Module Attributes
        LTDicomModuleTypeXAXRFPresentationStateShutter                                     = 368, // Table C.11.20-1             XA/XRF Presentation State Shutter Module Attributes
        LTDicomModuleTypeXAXRFPresentationStatePresentation                                = 369, // Table C.11.21-1             XA/XRF Presentation State Presentation Module Attributes
        LTDicomModuleTypeOphthalmicAxialMeasurementsSeries                                 = 370, // Table C.8.25.13-1           Ophthalmic Axial Measurements Series Module Attributes
        LTDicomModuleTypeOphthalmicAxialMeasurements                                       = 371, // Table C.8.25.14-1           Ophthalmic Axial Measurements Module Attributes
        LTDicomModuleTypeIntraocularLensCalculationsSeries                                 = 372, // Table C.8.25.15-1           Intraocular Lens Calculations Series Module Attributes
        LTDicomModuleTypeIntraocularLensCalculations                                       = 373, // Table C.8.25.16-1           Intraocular Lens Calculations Module Attributes
        LTDicomModuleTypeImplantTemplateGroup                                              = 374, // Table C.29.3-1              Implant Template Group Module Attributes
        LTDicomModuleTypeRTBeamsDeliveryInstruction                                        = 375, // Table C.8.8.29-1            RT Beams Delivery Instruction Module Attributes
        LTDicomModuleTypeVisualFieldStaticPerimetryMeasurementsSeries                      = 376, // Table C.8.26.1-1            Visual Field Static Perimetry Measurements Series Module Attributes
        LTDicomModuleTypeVisualFieldStaticPerimetryTestParameters                          = 377, // Table C.8.26.2-1            Visual Field Static Perimetry Test Parameters Module Attributes
        LTDicomModuleTypeVisualFieldStaticPerimetryTestReliability                         = 378, // Table C.8.26.3-1            Visual Field Static Perimetry Test Reliability Module Attributes
        LTDicomModuleTypeVisualFieldStaticPerimetryTestMeasurements                        = 379, // Table C.8.26.4-1            Visual Field Static Perimetry Test Measurements Module Attributes
        LTDicomModuleTypeVisualFieldStaticPerimetryTestResults                             = 380, // Table C.8.26.5-1            Visual Field Static Perimetry Test Results Module Attributes
        LTDicomModuleTypeOphthalmicPatientClinicalInformationAndTestLensParameters         = 381, // Table C.8.26.6-1            Ophthalmic Patient Clinical Information and Test Lens Parameters Module Attributes
        LTDicomModuleTypeIntravascularOctSeries                                            = 382, // Table C.8.27.1-1            Intravascular OCT Series Module Attributes
        LTDicomModuleTypeIntravascularOctImage                                             = 383, // Table C.8.27.2-1            Intravascular OCT Image Module Attributes
        LTDicomModuleTypeIntravascularOctAcquisitionParameters                             = 384, // Table C.8.27.3-1            Intravascular OCT Acquisition Parameters Module Attributes
        LTDicomModuleTypeIntravascularOctProcessingParameters                              = 385, // Table C.8.27.4-1            Intravascular OCT Processing Parameters Module Attributes
        LTDicomModuleTypeIntravascularImageAcquisitionParameters                           = 386, // Table C.8.27.5-1            Intravascular Image Acquisition Parameters Module Attributes
        LTDicomModuleTypeOphthalmicThicknessMapSeries                                      = 387, // Table C.8.28.1-1            Ophthalmic Thickness Map Series Module Attributes
        LTDicomModuleTypeOphthalmicThicknessMap                                            = 388, // Table C.8.28.2-1            Ophthalmic Thickness Map Module Attributes
        LTDicomModuleTypeOphthalmicThicknessMapQualityRating                               = 389, // Table C.8.28.3-1            Ophthalmic Thickness Map Quality Rating Module Attributes
        LTDicomModuleTypeUnifiedProcedureStepRelationship                                  = 390, // Table C.30.4-1              Unified Procedure Step Relationship Module Attributes
        LTDicomModuleTypeUnifiedProcedureStepScheduledProcedureInformation                 = 391, // Table C.30.2-1              Unified Procedure Step Scheduled Procedure Information Module Attributes
        LTDicomModuleTypeUnifiedProcedureStepProgressInformation                           = 392, // Table C.30.1-1              Unified Procedure Step Progress Information Module Attributes
        LTDicomModuleTypeUnifiedProcedureStepPerformedProcedureInformation                 = 393, // Table C.30.3-1              Unified Procedure Step Performed Procedure Information Module Attributes
        LTDicomModuleTypeRTGeneralMachineVerification                                      = 394, // Table C.31-1                RT General Machine Verification Module Attributes
        LTDicomModuleTypeRTIonMachineVerification                                          = 395, // Table C.31-3                RT Ion Machine Verification Module Attributes
        LTDicomModuleTypeRTConventionalMachineVerification                                 = 396, // Table C.31-2                RT Conventional Machine Verification Module Attributes
      // 2014
        LTDicomModuleTypeEnhancedPetCorrections                                            = 399, // Table C.8.22-19             Enhanced PET Corrections Module Attributes
        LTDicomModuleTypeOpticalSurfaceScannerSeries                                       = 400, // Table C.8.29-1              Optical Surface Scanner Series Module Attributes
        LTDicomModuleTypeUvMapping                                                         = 401, // Table C.27.6-1              UV Mapping Module Attributes
        LTDicomModuleTypeScanProcedure                                                     = 402, // Table C.8.29-2              Scan Procedure Module Attributes
        LTDicomModuleTypePointCloud                                                        = 403, // Table C.27.5-1              Point Cloud Module Attributes
        LTDicomModuleTypeCornealTopographyMapSeries                                        = 404, // Table C.8.30.1-1            Corneal Topography Map Series Module Attributes
        LTDicomModuleTypeCornealTopographyMapImage                                         = 405, // Table C.8.30.2-1            Corneal Topography Map Image Module Attributes
        LTDicomModuleTypeCornealTopographyMapAnalysis                                      = 406, // Table C.8.30.3-1            Corneal Topography Map Analysis Module Attributes
        LTDicomModuleTypeEnhancedMammographyImage                                          = 407, // Table C.8.31-1              Enhanced Mammography Image Module Attributes
        LTDicomModuleTypeDisplaySystem                                                     = 408, // Table C.32.1-1              Display System Module Attributes
        LTDicomModuleTypeTargetLuminanceCharacteristics                                    = 409, // Table C.32.2-1              Target Luminance Characteristics Module Attributes
        LTDicomModuleTypeQaResults                                                         = 410, // Table C.32.3-1              QA Results Module Attributes
      // 2015C
        LTDicomModuleTypeParametricMapSeries                                               = 411, // Table PS3.3_C.8.32-1        Parametric Map Series Module Attributes
        LTDicomModuleTypeFloatingPointImagePixel                                           = 412, // Table PS3.3_C.7.6.24-1      Floating Point Image Pixel Module Attributes
        LTDicomModuleTypeDoubleFloatingPointImagePixel                                     = 413, // Table PS3.3_C.7.6.25-1      Double Floating Point Image Pixel Module Attributes
        LTDicomModuleTypeParametricMapImage                                                = 414, // Table PS3.3_C.8.32-2        Parametric Map Image Module Attributes
        LTDicomModuleTypeWideFieldOphthalmicPhotographyStereographicProjection             = 415, // Table C.8.17.11-1           Wide Field Ophthalmic Photography Stereographic Projection Module Attributes
        LTDicomModuleTypeWideFieldOphthalmicPhotographyQualityRating                       = 416, // Table C.8.17.13-1           Wide Field Ophthalmic Photography Quality Rating Module Attributes
        LTDicomModuleTypeWideFieldOphthalmicPhotography3dCoordinates                       = 417, // Table C.8.17.12-1           Wide Field Ophthalmic Photography 3D Coordinates Module Attributes
      // 2021a Modules
        LTDicomModuleTypeGeneralReference                                                  = 418, // Table C.12-10               General Reference Module Attributes
        LTDicomModuleTypeMultiEnergyCTImage                                                = 419, // Table C.8.2.2-1             Multi-energy CT Image Module Attributes
        LTDicomModuleTypeVLPhotographicEquipment                                           = 420, // Table C.8.12.10-1           VL Photographic Equipment Module Attributes
        LTDicomModuleTypeVLPhotographicAcquisition                                         = 421, // Table C.8.12.11-1           VL Photographic Acquisition Module Attributes
        LTDicomModuleTypeVLPhotographicGeolocation                                         = 422, // Table C.8.12.12-1           VL Photographic Geolocation Module Attributes
        LTDicomModuleTypeRealTimeBulkDataFlow                                              = 423, // Table C.7.6.26-1            Real-Time Bulk Data Flow Module Attributes
        LTDicomModuleTypeRealTimeAcquisition                                               = 424, // Table C.7.6.28-1            Real-Time Acquisition Module Attributes
        LTDicomModuleTypeCurrentFrameFunctionalGroups                                      = 425, // Table C.7.6.27-1            Current Frame Functional Groups Module Attributes
        LTDicomModuleTypeDermoscopicImage                                                  = 426, // Table C.8.12.13-1           Dermoscopic Image Module Attributes
        LTDicomModuleTypeAdvancedBlendingPresentationState                                 = 427, // Table C.11.33-1             Advanced Blending Presentation State Module Attributes
        LTDicomModuleTypeAdvancedBlendingPresentationStateDisplay                          = 428, // Table C.11.34.1-1           Advanced Blending Presentation State Display Module Attributes
        LTDicomModuleTypeTimezone                                                          = 429, // Table C.12.5-1              Timezone Module Attributes
        LTDicomModuleTypeEnhancedMultiEnergyCTAcquisition                                  = 430, // Table C.8.15.4-1            Enhanced Multi-energy CT Acquisition Module Attributes
        LTDicomModuleTypeTractographyResultsSeries                                         = 431, // Table C.8.33-1              Tractography Results Series Module Attributes
        LTDicomModuleTypeTractographyResults                                               = 432, // Table C.8.33-2              Tractography Results Module Attributes
        LTDicomModuleTypeRTBrachyApplicationSetupDeliveryInstruction                       = 433, // Table C.8.8.30-1            RT Brachy Application Setup Delivery Instruction Module Attributes
        LTDicomModuleTypeVolumetricPresentationStateIdentification                         = 434, // Table C.11.22-1             Volumetric Presentation State Identification Module Attributes
        LTDicomModuleTypeVolumetricPresentationStateRelationship                           = 435, // Table C.11.23-1             Volumetric Presentation State Relationship Module Attributes
        LTDicomModuleTypeVolumeCropping                                                    = 436, // Table C.11.24-1             Volume Cropping Module Attributes
        LTDicomModuleTypePresentationViewDescription                                       = 437, // Table C.11.25-1             Presentation View Description Module Attributes
        LTDicomModuleTypeMultiPlanarReconstructionGeometry                                 = 438, // Table C.11.26-1             Multi-Planar Reconstruction Geometry Module Attributes
        LTDicomModuleTypeMprVolumetricPresentationStateDisplay                             = 439, // Table C.11.27-1             MPR Volumetric Presentation State Display Module Attributes
        LTDicomModuleTypeVolumetricGraphicAnnotation                                       = 440, // Table C.11.28-1             Volumetric Graphic Annotation Module Attributes
        LTDicomModuleTypePresentationAnimation                                             = 441, // Table C.11.29-1             Presentation Animation Module Attributes
        LTDicomModuleTypeVolumeRenderGeometry                                              = 442, // Table C.11.30-1             Volume Render Geometry Module Attributes
        LTDicomModuleTypeRenderShading                                                     = 443, // Table C.11.31-1             Render Shading Module Attributes
        LTDicomModuleTypeRenderDisplay                                                     = 444, // Table C.11.32-1             Render Display Module Attributes
        LTDicomModuleTypeContentAssessmentResults                                          = 445, // Table C.33.1-1              Content Assessment Results Module Attributes
        LTDicomModuleTypeCTProtocolSeries                                                  = 446, // Table C.34.1-1              CT Protocol Series Module Attributes
        LTDicomModuleTypeProtocolContext                                                   = 447, // Table C.34.2-1              Protocol Context Module Attributes
        LTDicomModuleTypePatientProtocolContext                                            = 448, // Table C.34.3-1              Patient Protocol Context Module Attributes
        LTDicomModuleTypeInstructions                                                      = 449, // Table C.34.7-1              Instructions Module Attributes
        LTDicomModuleTypePatientPositioning                                                = 450, // Table C.34.8-1              Patient Positioning Module Attributes
        LTDicomModuleTypePerformedCTAcquisition                                            = 451, // Table C.34.10-1             Performed CT Acquisition Module Attributes
        LTDicomModuleTypePerformedCTReconstruction                                         = 452, // Table C.34.12-1             Performed CT Reconstruction Module Attributes
        LTDicomModuleTypePerformedStorage                                                  = 453, // Table C.34.14-1             Performed Storage Module Attributes
        LTDicomModuleTypeClinicalTrialContext                                              = 454, // Table C.34.4-1              Clinical Trial Context Module Attributes
        LTDicomModuleTypePatientSpecification                                              = 455, // Table C.34.5-1              Patient Specification Module Attributes
        LTDicomModuleTypeEquipmentSpecification                                            = 456, // Table C.34.6-1              Equipment Specification Module Attributes
        LTDicomModuleTypeGeneralDefinedAcquisition                                         = 457, // Table C.34.9-1              General Defined Acquisition Module Attributes
        LTDicomModuleTypeGeneralDefinedReconstruction                                      = 458, // Table C.34.11-1             General Defined Reconstruction Module Attributes
        LTDicomModuleTypeDefinedStorage                                                    = 459, // Table C.34.13-1             Defined Storage Module Attributes
        LTDicomModuleTypeXAProtocolSeries                                                  = 460, // Table C.34.16-1             XA Protocol Series Module Attributes
        LTDicomModuleTypePerformedXAAcquisition                                            = 461, // Table C.34.17-1             Performed XA Acquisition Module Attributes
        LTDicomModuleTypePerformedXAReconstruction                                         = 462, // Table C.34.18-1             Performed XA Reconstruction Module Attributes
        LTDicomModuleTypeOphthalmicTomographyEnFaceSeries                                  = 463, // Table C.8.17.17-1           Ophthalmic Tomography En Face Series Module Attributes
        LTDicomModuleTypeOphthalmicOpticalCoherenceTomographyEnFaceImage                   = 464, // Table C.8.17.14-1           Ophthalmic Optical Coherence Tomography En Face Image Module Attributes
        LTDicomModuleTypeOphthalmicOpticalCoherenceTomographyEnFaceImageQualityRating      = 465, // Table C.8.17.15-1           Ophthalmic Optical Coherence Tomography En Face Image Quality Rating Module Attributes
        LTDicomModuleTypeOphthalmicTomographyBScanVolumeAnalysisSeries                     = 466, // Table C.8.17.18-1           Ophthalmic Tomography B-scan Volume Analysis Series Module Attributes
        LTDicomModuleTypeOphthalmicOpticalCoherenceTomographyBScanVolumeAnalysisImage      = 467, // Table C.8.17.16-1           Ophthalmic Optical Coherence Tomography B-scan Volume Analysis Image Module Attributes
        LTDicomModuleTypeManufacturing3dModel                                              = 468, // Table C.35.1-1              Manufacturing 3D Model Module Attributes
        LTDicomModuleTypeImageBoxPresentation                                              = 469, // Table C.13-5                Image Box Pixel Presentation Module Attributes
        LTDicomModuleTypePaletteKey                                                        = 470, // Table F.5-36                Palette Keys
        LTDicomModuleTypeImplantKey                                                        = 471, // Table F.5-37                Implant Keys
        LTDicomModuleTypeImplantAssemblyKey                                                = 472, // Table F.5-38                Implant Assembly Keys
        LTDicomModuleTypeImplantGroupKey                                                   = 473, // Table F.5-39                Implant Group Keys
        LTDicomModuleTypePlanKey                                                           = 474, // Table F.5-40                Plan Keys
        LTDicomModuleTypeMeasurementKey                                                    = 475, // Table F.5-41                Measurement Keys
        LTDicomModuleTypeSurfaceKey                                                        = 476, // Table F.5-42                Surface Keys
        LTDicomModuleTypeSurfaceScanKey                                                    = 477, // Table F.5-43                Surface Scan Keys
        LTDicomModuleTypeTractographyResultsKey                                            = 478, // Table F.5-44                Tractography Results Keys
        LTDicomModuleTypeContentAssessmentResultsDirectoryRecordResultsKey                 = 479, // Table F.5-45                Content Assessment Results Directory Record Results Keys
        LTDicomModuleTypeRadiotherapyKey                                                   = 480, // Table F.5-46                Radiotherapy Keys
        LTDicomModuleTypeMax                                                               = 480, //
};
// End of module definitions
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

typedef NS_ENUM(NSInteger, LTDicomIodType) {
	LTDicomIodTypeClass = 0,
	LTDicomIodTypeModule,
	LTDicomIodTypeElement,
};

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

typedef NS_ENUM(NSInteger, LTDicomIodUsageType) {
	LTDicomIodUsageTypeMandatoryModule         = 0,
	LTDicomIodUsageTypeConditionalModule       = 1,
	LTDicomIodUsageTypeOptionalModule          = 2,
	LTDicomIodUsageTypeType1MandatoryElement   = 3,
	LTDicomIodUsageTypeType1ConditionalElement = 4,
	LTDicomIodUsageTypeType2MandatoryElement   = 5,
	LTDicomIodUsageTypeType2ConditionalElement = 6,
	LTDicomIodUsageTypeOptionalElement         = 7,
};

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
