// *************************************************************
// Copyright (c) 1991-2023 LEAD Technologies, Inc.
// All Rights Reserved.
// *************************************************************
//
//  LTDicomUidType.h
//  Leadtools.Dicom
//

NS_ASSUME_NONNULL_BEGIN

NS_CLASS_AVAILABLE(10_10, 8_0)
@interface LTDicomUidType : NSObject

@property (class, nonatomic, strong, readonly) NSString *verificationClass;
@property (class, nonatomic, strong, readonly) NSString *implicitVRLittleEndian;
@property (class, nonatomic, strong, readonly) NSString *explicitVRLittleEndian;
@property (class, nonatomic, strong, readonly) NSString *deflatedExplicitVRLittleEndian;
@property (class, nonatomic, strong, readonly) NSString *explicitVRBigEndian;
@property (class, nonatomic, strong, readonly) NSString *jpegBaseline1;
@property (class, nonatomic, strong, readonly) NSString *jpegExtended2_4;
@property (class, nonatomic, strong, readonly) NSString *jpegExtended3_5;
@property (class, nonatomic, strong, readonly) NSString *jpegSpectralNonhier6_8;
@property (class, nonatomic, strong, readonly) NSString *jpegSpectralNonhier7_9;
@property (class, nonatomic, strong, readonly) NSString *jpegFullNonhier10_12;
@property (class, nonatomic, strong, readonly) NSString *jpegFullNonhier11_13;
@property (class, nonatomic, strong, readonly) NSString *jpegLosslessNonhier14;
@property (class, nonatomic, strong, readonly) NSString *jpegLosslessNonhier15;
@property (class, nonatomic, strong, readonly) NSString *jpegExtendedHier16_18;
@property (class, nonatomic, strong, readonly) NSString *jpegExtendedHier17_19;
@property (class, nonatomic, strong, readonly) NSString *jpegSpectralHier20_22;
@property (class, nonatomic, strong, readonly) NSString *jpegSpectralHier21_23;
@property (class, nonatomic, strong, readonly) NSString *jpegFullHier24_26;
@property (class, nonatomic, strong, readonly) NSString *jpegFullHier25_27;
@property (class, nonatomic, strong, readonly) NSString *jpegLosslessHierProcess28;
@property (class, nonatomic, strong, readonly) NSString *jpegLosslessHierProcess29;
@property (class, nonatomic, strong, readonly) NSString *jpegLosslessNonhier14B;
@property (class, nonatomic, strong, readonly) NSString *jpegLSLossless;
@property (class, nonatomic, strong, readonly) NSString *jpegLSLossy;
@property (class, nonatomic, strong, readonly) NSString *jpeg2000LosslessOnly;
@property (class, nonatomic, strong, readonly) NSString *jpeg2000;
@property (class, nonatomic, strong, readonly) NSString *jpeg2000Part2MultiComponentImageCompressionLosslessOnly;
@property (class, nonatomic, strong, readonly) NSString *jpeg2000Part2MultiComponentImageCompression;
@property (class, nonatomic, strong, readonly) NSString *jpipReferenced;
@property (class, nonatomic, strong, readonly) NSString *jpipReferencedDeflate;
@property (class, nonatomic, strong, readonly) NSString *mpeg2MainProfileMainLevel;
@property (class, nonatomic, strong, readonly) NSString *mpeg2MainProfileHighLevel;
@property (class, nonatomic, strong, readonly) NSString *mpeg4AvcH264HighProfileLevel4_1;
@property (class, nonatomic, strong, readonly) NSString *mpeg4AvcH264BdCompatibleHighProfileLevel_4_1;
@property (class, nonatomic, strong, readonly) NSString *mpeg4AvcH264HighProfileLevel42_for_2d_video;
@property (class, nonatomic, strong, readonly) NSString *mpeg4AvcH264HighProfileLevel42_for_3d_video;
@property (class, nonatomic, strong, readonly) NSString *mpeg4AvcH264StereoHighProfileLevel4_2;
@property (class, nonatomic, strong, readonly) NSString *hevcH265MainProfileLevel5_1;
@property (class, nonatomic, strong, readonly) NSString *hevcH265Main10ProfileLevel5_1;
@property (class, nonatomic, strong, readonly) NSString *rleLossless;
@property (class, nonatomic, strong, readonly) NSString *rfc2557MimeEncapsulation;
@property (class, nonatomic, strong, readonly) NSString *xmlEncoding;
@property (class, nonatomic, strong, readonly) NSString *smpteSt2110_20UncompressedProgressiveActiveVideo;
@property (class, nonatomic, strong, readonly) NSString *smpteSt2110_20UncompressedInterlacedActiveVideo;
@property (class, nonatomic, strong, readonly) NSString *smpteSt2110_30PcmDigitalAudio;
@property (class, nonatomic, strong, readonly) NSString *mediaStorageDirectory;
@property (class, nonatomic, strong, readonly) NSString *talairachBrainAtlasFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2T1FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2T2FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2PdFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2EpiFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2FilT1FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2PETFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2TransmFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2SpectFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2GrayFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2WhiteFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2CsfFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2BrainmaskFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2Avg305t1FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2Avg152t1FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2Avg152t2FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2Avg152pdFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *spm2Singlesubjt1FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *icbm452T1FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *icbmSingleSubjectMriFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *iec61217FixedCoordinateSystemFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *standardRoboticArmCoordinateSystemFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *sri24FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *colin27FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *lpba40AirFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *lpba40FlirtFrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *lpba40Spm5FrameOfReference;
@property (class, nonatomic, strong, readonly) NSString *hotIronColorPaletteSopInstance;
@property (class, nonatomic, strong, readonly) NSString *petColorPaletteSopInstance;
@property (class, nonatomic, strong, readonly) NSString *hotMetalBlueColorPaletteSopInstance;
@property (class, nonatomic, strong, readonly) NSString *pet20StepColorPaletteSopInstance;
@property (class, nonatomic, strong, readonly) NSString *springColorPaletteSopInstance;
@property (class, nonatomic, strong, readonly) NSString *summerColorPaletteSopInstance;
@property (class, nonatomic, strong, readonly) NSString *fallColorPaletteSopInstance;
@property (class, nonatomic, strong, readonly) NSString *winterColorPaletteSopInstance;
@property (class, nonatomic, strong, readonly) NSString *basicStudyNotificationClass;
@property (class, nonatomic, strong, readonly) NSString *papyrus3ImplicitVRLittleEndian;
@property (class, nonatomic, strong, readonly) NSString *storageCommitmentPushModelClass;
@property (class, nonatomic, strong, readonly) NSString *storageCommitmentPushModelInstance;
@property (class, nonatomic, strong, readonly) NSString *storageCommitmentPullModelClass;
@property (class, nonatomic, strong, readonly) NSString *storageCommitmentPullModelInstance;
@property (class, nonatomic, strong, readonly) NSString *proceduralEventLogging;
@property (class, nonatomic, strong, readonly) NSString *proceduralEventLoggingSopInstance;
@property (class, nonatomic, strong, readonly) NSString *substanceAdministrationLogging;
@property (class, nonatomic, strong, readonly) NSString *substanceAdministrationLoggingSopInstance;
@property (class, nonatomic, strong, readonly) NSString *dicomRegistry;
@property (class, nonatomic, strong, readonly) NSString *dicomControlledTerminology;
@property (class, nonatomic, strong, readonly) NSString *adultMouseAnatomyOntology;
@property (class, nonatomic, strong, readonly) NSString *uberonOntology;
@property (class, nonatomic, strong, readonly) NSString *integratedTaxonomicInformationSystemTaxonomicSerialNumber;
@property (class, nonatomic, strong, readonly) NSString *mouseGenomeInitiativeMgi;
@property (class, nonatomic, strong, readonly) NSString *pubchemCompoundCid;
@property (class, nonatomic, strong, readonly) NSString *dublinCore;
@property (class, nonatomic, strong, readonly) NSString *newYorkUniversityMelanomaClinicalCooperativeGroup;
@property (class, nonatomic, strong, readonly) NSString *mayoClinicNonRadiologicalImagesSpecificBodyStructureAnatomicalSurfaceRegionGuide;
@property (class, nonatomic, strong, readonly) NSString *imageBiomarkerStandardisationInitiative;
@property (class, nonatomic, strong, readonly) NSString *radiomicsOntology;
@property (class, nonatomic, strong, readonly) NSString *radelement;
@property (class, nonatomic, strong, readonly) NSString *icd11;
@property (class, nonatomic, strong, readonly) NSString *applicationContextName;
@property (class, nonatomic, strong, readonly) NSString *detachedPatientClass;
@property (class, nonatomic, strong, readonly) NSString *detachedPatientMetaClass;
@property (class, nonatomic, strong, readonly) NSString *detachedVisitClass;
@property (class, nonatomic, strong, readonly) NSString *detachedStudyClass;
@property (class, nonatomic, strong, readonly) NSString *studyComponentClass;
@property (class, nonatomic, strong, readonly) NSString *modalityPerformedClass;
@property (class, nonatomic, strong, readonly) NSString *modalityPerformedRetrieveClass;
@property (class, nonatomic, strong, readonly) NSString *modalityPerformedNotificationClass;
@property (class, nonatomic, strong, readonly) NSString *detachedResultsClass;
@property (class, nonatomic, strong, readonly) NSString *detachedResultsMetaClass;
@property (class, nonatomic, strong, readonly) NSString *detachedStudyMetaClass;
@property (class, nonatomic, strong, readonly) NSString *detachedInterpretationClass;
@property (class, nonatomic, strong, readonly) NSString *storageServiceClass;
@property (class, nonatomic, strong, readonly) NSString *basicFilmSessionClass;
@property (class, nonatomic, strong, readonly) NSString *basicFilmBoxClass;
@property (class, nonatomic, strong, readonly) NSString *basicGrayscaleImageBoxClass;
@property (class, nonatomic, strong, readonly) NSString *basicColorImageBoxClass;
@property (class, nonatomic, strong, readonly) NSString *referencedImageBoxClassRetired;
@property (class, nonatomic, strong, readonly) NSString *basicGrayscalePrintMetaClass;
@property (class, nonatomic, strong, readonly) NSString *referencedGrayscalePrintMetaClassRetired;
@property (class, nonatomic, strong, readonly) NSString *printJobClass;
@property (class, nonatomic, strong, readonly) NSString *basicAnnotationBoxClass;
@property (class, nonatomic, strong, readonly) NSString *printerClass;
@property (class, nonatomic, strong, readonly) NSString *printerConfigurationRetrievalClass;
@property (class, nonatomic, strong, readonly) NSString *printerInstance;
@property (class, nonatomic, strong, readonly) NSString *printerConfigurationRetrievalInstance;
@property (class, nonatomic, strong, readonly) NSString *basicColorPrintMetaClass;
@property (class, nonatomic, strong, readonly) NSString *referencedColorPrintMetaClassRetired;
@property (class, nonatomic, strong, readonly) NSString *voiLutBoxClassRetired;
@property (class, nonatomic, strong, readonly) NSString *presentationLutClass;
@property (class, nonatomic, strong, readonly) NSString *imageOverlayBoxClassRetired;
@property (class, nonatomic, strong, readonly) NSString *basicPrintImageOverlayBoxClass;
@property (class, nonatomic, strong, readonly) NSString *printQueueInstance;
@property (class, nonatomic, strong, readonly) NSString *printQueueClass;
@property (class, nonatomic, strong, readonly) NSString *storedPrintStorageClass;
@property (class, nonatomic, strong, readonly) NSString *hardcopyGrayscaleImageStorageClass;
@property (class, nonatomic, strong, readonly) NSString *hardcopyColorImageStorageClass;
@property (class, nonatomic, strong, readonly) NSString *pullPrintRequestClass;
@property (class, nonatomic, strong, readonly) NSString *pullStoredPrintMetaClass;
@property (class, nonatomic, strong, readonly) NSString *mediaCreationManagement;
@property (class, nonatomic, strong, readonly) NSString *displaySystem;
@property (class, nonatomic, strong, readonly) NSString *displaySystemSopInstance;
@property (class, nonatomic, strong, readonly) NSString *crImageStorage;
@property (class, nonatomic, strong, readonly) NSString *dxImageStoragePresentation;
@property (class, nonatomic, strong, readonly) NSString *dxImageStorageProcessing;
@property (class, nonatomic, strong, readonly) NSString *dxMammographyImageStoragePresentation;
@property (class, nonatomic, strong, readonly) NSString *dxMammographyImageStorageProcessing;
@property (class, nonatomic, strong, readonly) NSString *dxIntraoralImageStoragePresentation;
@property (class, nonatomic, strong, readonly) NSString *dxIntraoralImageStorageProcessing;
@property (class, nonatomic, strong, readonly) NSString *ctImageStorage;
@property (class, nonatomic, strong, readonly) NSString *enhancedCTImageStorage;
@property (class, nonatomic, strong, readonly) NSString *legacyConvertedEnhancedCTImageStorage;
@property (class, nonatomic, strong, readonly) NSString *usMultiframeImageStorageRetired;
@property (class, nonatomic, strong, readonly) NSString *usMultiframeImageStorage;
@property (class, nonatomic, strong, readonly) NSString *mrImageStorage;
@property (class, nonatomic, strong, readonly) NSString *enhancedMRImageStorage;
@property (class, nonatomic, strong, readonly) NSString *mrSpectroscopyStorage;
@property (class, nonatomic, strong, readonly) NSString *enhancedMRColorImageStorage;
@property (class, nonatomic, strong, readonly) NSString *legacyConvertedEnhancedMRImageStorage;
@property (class, nonatomic, strong, readonly) NSString *nmImageStorageRetired;
@property (class, nonatomic, strong, readonly) NSString *usImageStorageRetired;
@property (class, nonatomic, strong, readonly) NSString *usImageStorage;
@property (class, nonatomic, strong, readonly) NSString *enhancedUSVolumeStorage;
@property (class, nonatomic, strong, readonly) NSString *scImageStorage;
@property (class, nonatomic, strong, readonly) NSString *scMultiFrameSingleBitImageStorage;
@property (class, nonatomic, strong, readonly) NSString *scMultiFrameGrayscaleByteImageStorage;
@property (class, nonatomic, strong, readonly) NSString *scMultiFrameGrayscaleWordImageStorage;
@property (class, nonatomic, strong, readonly) NSString *scMultiFrameTrueColorImageStorage;
@property (class, nonatomic, strong, readonly) NSString *standaloneOverlayStorage;
@property (class, nonatomic, strong, readonly) NSString *standaloneCurveStorage;
@property (class, nonatomic, strong, readonly) NSString *waveformStorage;
@property (class, nonatomic, strong, readonly) NSString *twelveLeadECGWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *generalECGWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *ambulatoryECGWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *hemodynamicWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *cardiacElectrophysiologyWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *basicVoiceAudioWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *generalAudioWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *arterialPulseWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *respiratoryWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *multiChannelRespiratoryWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *routineScalpElectroencephalogramWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *electromyogramWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *electrooculogramWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *sleepElectroencephalogramWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *bodyPositionWaveformStorage;
@property (class, nonatomic, strong, readonly) NSString *standaloneModalityLutStorage;
@property (class, nonatomic, strong, readonly) NSString *standaloneVoiLutStorage;
@property (class, nonatomic, strong, readonly) NSString *grayscaleSoftcopyPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *colorSoftcopyPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *pseudoColorSoftcopyPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *blendingSoftcopyPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *xaXrfGrayscaleSoftcopyPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *grayscalePlanarMprVolumetricPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *compositingPlanarMprVolumetricPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *advancedBlendingPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *volumeRenderingVolumetricPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *segmentedVolumeRenderingVolumetricPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *multipleVolumeRenderingVolumetricPresentationStateStorage;
@property (class, nonatomic, strong, readonly) NSString *xaImageStorage;
@property (class, nonatomic, strong, readonly) NSString *enhancedXAImageStorage;
@property (class, nonatomic, strong, readonly) NSString *xrfImageStorage;
@property (class, nonatomic, strong, readonly) NSString *enhancedXrfImageStorage;
@property (class, nonatomic, strong, readonly) NSString *xaBiplaneImageStorageRetired;
@property (class, nonatomic, strong, readonly) NSString *xRay3dAngiographicImageStorage;
@property (class, nonatomic, strong, readonly) NSString *xRay3dCraniofacialImageStorage;
@property (class, nonatomic, strong, readonly) NSString *breastTomosynthesisImageStorage;
@property (class, nonatomic, strong, readonly) NSString *breastProjectionXRayImageStoragePresentation;
@property (class, nonatomic, strong, readonly) NSString *breastProjectionXRayImageStorageProcessing;
@property (class, nonatomic, strong, readonly) NSString *intravascularOctImageStoragePresentation;
@property (class, nonatomic, strong, readonly) NSString *intravascularOctImageStorageProcessing;
@property (class, nonatomic, strong, readonly) NSString *nmImageStorage;
@property (class, nonatomic, strong, readonly) NSString *parametricMapStorage;
@property (class, nonatomic, strong, readonly) NSString *rawDataStorage;
@property (class, nonatomic, strong, readonly) NSString *spatialRegistrationStorage;
@property (class, nonatomic, strong, readonly) NSString *spatialFiducialsStorage;
@property (class, nonatomic, strong, readonly) NSString *deformableSpatialRegistrationStorage;
@property (class, nonatomic, strong, readonly) NSString *segmentationStorage;
@property (class, nonatomic, strong, readonly) NSString *surfaceSegmentationStorage;
@property (class, nonatomic, strong, readonly) NSString *tractographyResultsStorage;
@property (class, nonatomic, strong, readonly) NSString *realWorldValueMappingStorage;
@property (class, nonatomic, strong, readonly) NSString *surfaceScanMeshStorage;
@property (class, nonatomic, strong, readonly) NSString *surfaceScanPointCloudStorage;
@property (class, nonatomic, strong, readonly) NSString *vlImageStorageRetired;
@property (class, nonatomic, strong, readonly) NSString *vlEndoscopicImageStorageClass;
@property (class, nonatomic, strong, readonly) NSString *videoEndoscopicImageStorage;
@property (class, nonatomic, strong, readonly) NSString *vlMicroscopicImageStorageClass;
@property (class, nonatomic, strong, readonly) NSString *videoMicroscopicImageStorage;
@property (class, nonatomic, strong, readonly) NSString *vlSlideCoordinatesMicroscopicImageStorageClass;
@property (class, nonatomic, strong, readonly) NSString *vlPhotographicImageStorageClass;
@property (class, nonatomic, strong, readonly) NSString *videoPhotographicImageStorage;
@property (class, nonatomic, strong, readonly) NSString *ophthalmic8BitPhotographyImageStorage;
@property (class, nonatomic, strong, readonly) NSString *ophthalmic16BitPhotographyImageStorage;
@property (class, nonatomic, strong, readonly) NSString *stereometricRelationshipStorage;
@property (class, nonatomic, strong, readonly) NSString *ophthalmicTomographyImageStorage;
@property (class, nonatomic, strong, readonly) NSString *wideFieldOphthalmicPhotographyStereographicProjectionImageStorage;
@property (class, nonatomic, strong, readonly) NSString *wideFieldOphthalmicPhotography3dCoordinatesImageStorage;
@property (class, nonatomic, strong, readonly) NSString *ophthalmicOpticalCoherenceTomographyEnFaceImageStorage;
@property (class, nonatomic, strong, readonly) NSString *ophthalmicOpticalCoherenceTomographyBScanVolumeAnalysisStorage;
@property (class, nonatomic, strong, readonly) NSString *vlWholeSlideMicroscopyImageStorage;
@property (class, nonatomic, strong, readonly) NSString *dermoscopicPhotographyImageStorage;
@property (class, nonatomic, strong, readonly) NSString *vlMultiframeImageStorageRetired;
@property (class, nonatomic, strong, readonly) NSString *lensometryMeasurementsStorage;
@property (class, nonatomic, strong, readonly) NSString *autorefractionMeasurementsStorage;
@property (class, nonatomic, strong, readonly) NSString *keratometryMeasurementsStorage;
@property (class, nonatomic, strong, readonly) NSString *subjectiveRefractionMeasurementsStorage;
@property (class, nonatomic, strong, readonly) NSString *visualAcuityMeasurementsStorage;
@property (class, nonatomic, strong, readonly) NSString *spectaclePrescriptionReportStorage;
@property (class, nonatomic, strong, readonly) NSString *ophthalmicAxialMeasurementsStorage;
@property (class, nonatomic, strong, readonly) NSString *intraocularLensCalculationsStorage;
@property (class, nonatomic, strong, readonly) NSString *macularGridThicknessAndVolumeReportStorage;
@property (class, nonatomic, strong, readonly) NSString *ophthalmicVisualFieldStaticPerimetryMeasurementsStorage;
@property (class, nonatomic, strong, readonly) NSString *ophthalmicThicknessMapStorage;
@property (class, nonatomic, strong, readonly) NSString *cornealTopographyMapStorage;
@property (class, nonatomic, strong, readonly) NSString *textSRStorageTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *audioSRStorageTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *detailSRStorageTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *comprehensiveSRStorageTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *basicTextSR;
@property (class, nonatomic, strong, readonly) NSString *enhancedSR;
@property (class, nonatomic, strong, readonly) NSString *comprehensiveSR;
@property (class, nonatomic, strong, readonly) NSString *comprehensive3dSRStorage;
@property (class, nonatomic, strong, readonly) NSString *extensibleSRStorage;
@property (class, nonatomic, strong, readonly) NSString *procedureLogStorage;
@property (class, nonatomic, strong, readonly) NSString *mammographyCadSR;
@property (class, nonatomic, strong, readonly) NSString *keyObjectSelectionDocument;
@property (class, nonatomic, strong, readonly) NSString *chestCadSR;
@property (class, nonatomic, strong, readonly) NSString *xRayRadiationDoseSRStorage;
@property (class, nonatomic, strong, readonly) NSString *radiopharmaceuticalRadiationDoseSRStorage;
@property (class, nonatomic, strong, readonly) NSString *colonCadSRStorage;
@property (class, nonatomic, strong, readonly) NSString *implantationPlanSRDocumentStorage;
@property (class, nonatomic, strong, readonly) NSString *acquisitionContextSRStorage;
@property (class, nonatomic, strong, readonly) NSString *simplifiedAdultEchoSRStorage;
@property (class, nonatomic, strong, readonly) NSString *patientRadiationDoseSRStorage;
@property (class, nonatomic, strong, readonly) NSString *plannedImagingAgentAdministrationSRStorage;
@property (class, nonatomic, strong, readonly) NSString *performedImagingAgentAdministrationSRStorage;
@property (class, nonatomic, strong, readonly) NSString *enhancedXRayRadiationDoseSRStorage;
@property (class, nonatomic, strong, readonly) NSString *contentAssessmentResultsStorage;
@property (class, nonatomic, strong, readonly) NSString *encapsulatedPdfStorage;
@property (class, nonatomic, strong, readonly) NSString *encapsulatedCdaStorage;
@property (class, nonatomic, strong, readonly) NSString *encapsulatedStlStorage;
@property (class, nonatomic, strong, readonly) NSString *encapsulatedObjStorage;
@property (class, nonatomic, strong, readonly) NSString *encapsulatedMtlStorage;
@property (class, nonatomic, strong, readonly) NSString *petImageStorage;
@property (class, nonatomic, strong, readonly) NSString *legacyConvertedEnhancedPETImageStorage;
@property (class, nonatomic, strong, readonly) NSString *standalonePETCurveStorage;
@property (class, nonatomic, strong, readonly) NSString *enhancedPETImageStorage;
@property (class, nonatomic, strong, readonly) NSString *basicStructuredDisplayStorage;
@property (class, nonatomic, strong, readonly) NSString *ctDefinedProcedureProtocolStorage;
@property (class, nonatomic, strong, readonly) NSString *ctPerformedProcedureProtocolStorage;
@property (class, nonatomic, strong, readonly) NSString *protocolApprovalStorage;
@property (class, nonatomic, strong, readonly) NSString *protocolApprovalInformationModelFind;
@property (class, nonatomic, strong, readonly) NSString *protocolApprovalInformationModelMove;
@property (class, nonatomic, strong, readonly) NSString *protocolApprovalInformationModelGet;
@property (class, nonatomic, strong, readonly) NSString *xaDefinedProcedureProtocolStorage;
@property (class, nonatomic, strong, readonly) NSString *xaPerformedProcedureProtocolStorage;
@property (class, nonatomic, strong, readonly) NSString *rtImageStorage;
@property (class, nonatomic, strong, readonly) NSString *rtDoseStorage;
@property (class, nonatomic, strong, readonly) NSString *rtStructureStorage;
@property (class, nonatomic, strong, readonly) NSString *rtBeamsTreatmentRecordStorageClass;
@property (class, nonatomic, strong, readonly) NSString *rtPlanStorage;
@property (class, nonatomic, strong, readonly) NSString *rtBrachyTreatmentRecordStorageClass;
@property (class, nonatomic, strong, readonly) NSString *rtTreatmentSummaryRecordStorageClass;
@property (class, nonatomic, strong, readonly) NSString *rtIonPlanStorage;
@property (class, nonatomic, strong, readonly) NSString *rtIonBeamsTreatmentRecordStorage;
@property (class, nonatomic, strong, readonly) NSString *rtPhysicianIntentStorage;
@property (class, nonatomic, strong, readonly) NSString *rtSegmentAnnotationStorage;
@property (class, nonatomic, strong, readonly) NSString *rtRadiationSetStorage;
@property (class, nonatomic, strong, readonly) NSString *cArmPhotonElectronRadiationStorage;
@property (class, nonatomic, strong, readonly) NSString *tomotherapeuticRadiationStorage;
@property (class, nonatomic, strong, readonly) NSString *roboticArmRadiationStorage;
@property (class, nonatomic, strong, readonly) NSString *rtRadiationRecordSetStorage;
@property (class, nonatomic, strong, readonly) NSString *rtRadiationSalvageRecordStorage;
@property (class, nonatomic, strong, readonly) NSString *tomotherapeuticRadiationRecordStorage;
@property (class, nonatomic, strong, readonly) NSString *cArmPhotonElectronRadiationRecordStorage;
@property (class, nonatomic, strong, readonly) NSString *roboticRadiationRecordStorage;
@property (class, nonatomic, strong, readonly) NSString *dicosCTImageStorage;
@property (class, nonatomic, strong, readonly) NSString *dicosDigitalXRayImageStorageForPresentation;
@property (class, nonatomic, strong, readonly) NSString *dicosDigitalXRayImageStorageForProcessing;
@property (class, nonatomic, strong, readonly) NSString *dicosThreatDetectionReportStorage;
@property (class, nonatomic, strong, readonly) NSString *dicos2dAitStorage;
@property (class, nonatomic, strong, readonly) NSString *dicos3dAitStorage;
@property (class, nonatomic, strong, readonly) NSString *dicosQuadrupoleResonanceQrStorage;
@property (class, nonatomic, strong, readonly) NSString *eddyCurrentImageStorage;
@property (class, nonatomic, strong, readonly) NSString *eddyCurrentMultiFrameImageStorage;
@property (class, nonatomic, strong, readonly) NSString *patientRootQueryFind;
@property (class, nonatomic, strong, readonly) NSString *patientRootQueryMove;
@property (class, nonatomic, strong, readonly) NSString *patientRootQueryGet;
@property (class, nonatomic, strong, readonly) NSString *studyRootQueryFind;
@property (class, nonatomic, strong, readonly) NSString *studyRootQueryMove;
@property (class, nonatomic, strong, readonly) NSString *studyRootQueryGet;
@property (class, nonatomic, strong, readonly) NSString *patientStudyQueryFind;
@property (class, nonatomic, strong, readonly) NSString *patientStudyQueryMove;
@property (class, nonatomic, strong, readonly) NSString *patientStudyQueryGet;
@property (class, nonatomic, strong, readonly) NSString *compositeInstanceRootRetrieveMove;
@property (class, nonatomic, strong, readonly) NSString *compositeInstanceRootRetrieveGet;
@property (class, nonatomic, strong, readonly) NSString *compositeInstanceRetrieveWithoutBulkDataGet;
@property (class, nonatomic, strong, readonly) NSString *definedProcedureProtocolInformationModelFind;
@property (class, nonatomic, strong, readonly) NSString *definedProcedureProtocolInformationModelMove;
@property (class, nonatomic, strong, readonly) NSString *definedProcedureProtocolInformationModelGet;
@property (class, nonatomic, strong, readonly) NSString *modalityWorklistFind;
@property (class, nonatomic, strong, readonly) NSString *generalPurposeWorklistManagementMetaSopClass;
@property (class, nonatomic, strong, readonly) NSString *generalPurposeWorklistFind;
@property (class, nonatomic, strong, readonly) NSString *generalPurposeScheduledProcedureStepSopClass;
@property (class, nonatomic, strong, readonly) NSString *generalPurposePerformedProcedureStepSopClass;
@property (class, nonatomic, strong, readonly) NSString *instanceAvailabilityNotification;
@property (class, nonatomic, strong, readonly) NSString *rtBeamsDeliveryInstructionStorageTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *rtConventionalMachineVerificationTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *rtIonMachineVerificationTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *unifiedWorklistAndProcedureStepServiceClassTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *unifiedProcedureStepPushTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *unifiedProcedureStepWatchTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *unifiedProcedureStepPullTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *unifiedProcedureStepEventTrialRetired;
@property (class, nonatomic, strong, readonly) NSString *unifiedWorklistAndProcedureStepSopInstance;
@property (class, nonatomic, strong, readonly) NSString *upsFilteredGlobalSubscriptionSopInstance;
@property (class, nonatomic, strong, readonly) NSString *unifiedWorklistAndProcedureStepServiceClass;
@property (class, nonatomic, strong, readonly) NSString *unifiedProcedureStepPush;
@property (class, nonatomic, strong, readonly) NSString *unifiedProcedureStepWatch;
@property (class, nonatomic, strong, readonly) NSString *unifiedProcedureStepPull;
@property (class, nonatomic, strong, readonly) NSString *unifiedProcedureStepEvent;
@property (class, nonatomic, strong, readonly) NSString *unifiedProcedureStepQuery;
@property (class, nonatomic, strong, readonly) NSString *rtBeamsDeliveryInstructionStorage;
@property (class, nonatomic, strong, readonly) NSString *rtConventionalMachineVerification;
@property (class, nonatomic, strong, readonly) NSString *rtIonMachineVerification;
@property (class, nonatomic, strong, readonly) NSString *rtBrachyApplicationSetupDeliveryInstructionStorage;
@property (class, nonatomic, strong, readonly) NSString *generalRelevantPatientInformationQuery;
@property (class, nonatomic, strong, readonly) NSString *breastImagingRelevantPatientInformationQuery;
@property (class, nonatomic, strong, readonly) NSString *cardiacRelevantPatientInformationQuery;
@property (class, nonatomic, strong, readonly) NSString *hangingProtocolStorage;
@property (class, nonatomic, strong, readonly) NSString *hangingProtocolInformationModelFind;
@property (class, nonatomic, strong, readonly) NSString *hangingProtocolInformationModelMove;
@property (class, nonatomic, strong, readonly) NSString *hangingProtocolInformationModelGet;
@property (class, nonatomic, strong, readonly) NSString *colorPaletteStorage;
@property (class, nonatomic, strong, readonly) NSString *colorPaletteInformationModelFind;
@property (class, nonatomic, strong, readonly) NSString *colorPaletteInformationModelMove;
@property (class, nonatomic, strong, readonly) NSString *colorPaletteInformationModelGet;
@property (class, nonatomic, strong, readonly) NSString *productCharacteristicsQuery;
@property (class, nonatomic, strong, readonly) NSString *substanceApprovalQuery;
@property (class, nonatomic, strong, readonly) NSString *genericImplantTemplateStorage;
@property (class, nonatomic, strong, readonly) NSString *genericImplantTemplateInformationModelFind;
@property (class, nonatomic, strong, readonly) NSString *genericImplantTemplateInformationModelMove;
@property (class, nonatomic, strong, readonly) NSString *genericImplantTemplateInformationModelGet;
@property (class, nonatomic, strong, readonly) NSString *implantAssemblyTemplateStorage;
@property (class, nonatomic, strong, readonly) NSString *implantAssemblyTemplateInformationModelFind;
@property (class, nonatomic, strong, readonly) NSString *implantAssemblyTemplateInformationModelMove;
@property (class, nonatomic, strong, readonly) NSString *implantAssemblyTemplateInformationModelGet;
@property (class, nonatomic, strong, readonly) NSString *implantTemplateGroupStorage;
@property (class, nonatomic, strong, readonly) NSString *implantTemplateGroupInformationModelFind;
@property (class, nonatomic, strong, readonly) NSString *implantTemplateGroupInformationModelMove;
@property (class, nonatomic, strong, readonly) NSString *implantTemplateGroupInformationModelGet;
@property (class, nonatomic, strong, readonly) NSString *nativeDicomModel;
@property (class, nonatomic, strong, readonly) NSString *abstractMultiDimensionalImageModel;
@property (class, nonatomic, strong, readonly) NSString *dicomContentMappingResource;
@property (class, nonatomic, strong, readonly) NSString *videoEndoscopicImageRealTimeCommunication;
@property (class, nonatomic, strong, readonly) NSString *videoPhotographicImageRealTimeCommunication;
@property (class, nonatomic, strong, readonly) NSString *audioWaveformRealTimeCommunication;
@property (class, nonatomic, strong, readonly) NSString *renditionSelectionDocumentRealTimeCommunication;
@property (class, nonatomic, strong, readonly) NSString *dicomDeviceName;
@property (class, nonatomic, strong, readonly) NSString *dicomDescription;
@property (class, nonatomic, strong, readonly) NSString *dicomManufacturer;
@property (class, nonatomic, strong, readonly) NSString *dicomManufacturerModelName;
@property (class, nonatomic, strong, readonly) NSString *dicomSoftwareVersion;
@property (class, nonatomic, strong, readonly) NSString *dicomVendorData;
@property (class, nonatomic, strong, readonly) NSString *dicomAeTitle;
@property (class, nonatomic, strong, readonly) NSString *dicomNetworkConnectionReference;
@property (class, nonatomic, strong, readonly) NSString *dicomApplicationCluster;
@property (class, nonatomic, strong, readonly) NSString *dicomAssociationInitiator;
@property (class, nonatomic, strong, readonly) NSString *dicomAssociationAcceptor;
@property (class, nonatomic, strong, readonly) NSString *dicomHostname;
@property (class, nonatomic, strong, readonly) NSString *dicomPort;
@property (class, nonatomic, strong, readonly) NSString *dicom;
@property (class, nonatomic, strong, readonly) NSString *dicomTransferRole;
@property (class, nonatomic, strong, readonly) NSString *dicomTransferSyntax;
@property (class, nonatomic, strong, readonly) NSString *dicomPrimaryDeviceType;
@property (class, nonatomic, strong, readonly) NSString *dicomRelatedDeviceReference;
@property (class, nonatomic, strong, readonly) NSString *dicomPreferredCalledAeTitle;
@property (class, nonatomic, strong, readonly) NSString *dicomTlsCyphersuite;
@property (class, nonatomic, strong, readonly) NSString *dicomAuthorizedNodeCertificateReference;
@property (class, nonatomic, strong, readonly) NSString *dicomThisNodeCertificateReference;
@property (class, nonatomic, strong, readonly) NSString *dicomInstalled;
@property (class, nonatomic, strong, readonly) NSString *dicomStationName;
@property (class, nonatomic, strong, readonly) NSString *dicomDeviceSerialNumber;
@property (class, nonatomic, strong, readonly) NSString *dicomInstitutionName;
@property (class, nonatomic, strong, readonly) NSString *dicomInstitutionAddress;
@property (class, nonatomic, strong, readonly) NSString *dicomInstitutionDepartmentName;
@property (class, nonatomic, strong, readonly) NSString *dicomIssuerOfPatientId;
@property (class, nonatomic, strong, readonly) NSString *dicomPreferredCallingAeTitle;
@property (class, nonatomic, strong, readonly) NSString *dicomSupportedCharacterSet;
@property (class, nonatomic, strong, readonly) NSString *dicomConfigurationRoot;
@property (class, nonatomic, strong, readonly) NSString *dicomDevicesRoot;
@property (class, nonatomic, strong, readonly) NSString *dicomUniqueAeTitlesRegistryRoot;
@property (class, nonatomic, strong, readonly) NSString *dicomDevice;
@property (class, nonatomic, strong, readonly) NSString *dicomNetworkAe;
@property (class, nonatomic, strong, readonly) NSString *dicomNetworkConnection;
@property (class, nonatomic, strong, readonly) NSString *dicomUniqueAeTitle;
@property (class, nonatomic, strong, readonly) NSString *dicomTransferCapability;
@property (class, nonatomic, strong, readonly) NSString *universalCoordinatedTime;
@property (class, nonatomic, strong, readonly) NSString *geMRImage;
@property (class, nonatomic, strong, readonly) NSString *geCTImage;
@property (class, nonatomic, strong, readonly) NSString *geDisplayImagermation;
@property (class, nonatomic, strong, readonly) NSString *geArmMigration;
@property (class, nonatomic, strong, readonly) NSString *geArmMigrationInstance;

@end

NS_ASSUME_NONNULL_END
