// *************************************************************
// Copyright (c) 1991-2023 LEAD Technologies, Inc.
// All Rights Reserved.
// *************************************************************
//
//  Leadtools.ImageProcessing.Color.h
//  Leadtools.ImageProcessing.Color
//

#if !defined(LEADTOOLS_IMAGEPROCESSING_COLOR_FRAMEWORK)
#define LEADTOOLS_IMAGEPROCESSING_COLOR_FRAMEWORK

#import <Leadtools.ImageProcessing.Color/LTEnums.h>
#import <Leadtools.ImageProcessing.Color/LTAdaptiveContrastCommand.h>
#import <Leadtools.ImageProcessing.Color/LTAddCommand.h>
#import <Leadtools.ImageProcessing.Color/LTAddWeightedCommand.h>
#import <Leadtools.ImageProcessing.Color/LTAdjustTintCommand.h>
#import <Leadtools.ImageProcessing.Color/LTApplyMathematicalLogicCommand.h>
#import <Leadtools.ImageProcessing.Color/LTAutoBinaryCommand.h>
#import <Leadtools.ImageProcessing.Color/LTColorLevelCommand.h>
#import <Leadtools.ImageProcessing.Color/LTAutoColorLevelCommand.h>
#import <Leadtools.ImageProcessing.Color/LTBalanceColorsCommand.h>
#import <Leadtools.ImageProcessing.Color/LTChangeContrastCommand.h>
#import <Leadtools.ImageProcessing.Color/LTChangeHueCommand.h>
#import <Leadtools.ImageProcessing.Color/LTChangeHueSaturationIntensityCommand.h>
#import <Leadtools.ImageProcessing.Color/LTChangeIntensityCommand.h>
#import <Leadtools.ImageProcessing.Color/LTChangeSaturationCommand.h>
#import <Leadtools.ImageProcessing.Color/LTChannelMixerCommand.h>
#import <Leadtools.ImageProcessing.Color/LTColorCountCommand.h>
#import <Leadtools.ImageProcessing.Color/LTColorIntensityBalanceCommand.h>
#import <Leadtools.ImageProcessing.Color/LTColorMergeCommand.h>
#import <Leadtools.ImageProcessing.Color/LTColorReplaceCommand.h>
#import <Leadtools.ImageProcessing.Color/LTColorSeparateCommand.h>
#import <Leadtools.ImageProcessing.Color/LTColorThresholdCommand.h>
#import <Leadtools.ImageProcessing.Color/LTContrastBrightnessIntensityCommand.h>
#import <Leadtools.ImageProcessing.Color/LTConvertToColoredGrayCommand.h>
#import <Leadtools.ImageProcessing.Color/LTDesaturateCommand.h>
#import <Leadtools.ImageProcessing.Color/LTDynamicBinaryCommand.h>
#import <Leadtools.ImageProcessing.Color/LTGammaCorrectCommand.h>
#import <Leadtools.ImageProcessing.Color/LTGammaCorrectExtendedCommand.h>
#import <Leadtools.ImageProcessing.Color/LTGrayScaleExtendedCommand.h>
#import <Leadtools.ImageProcessing.Color/LTGrayscaleToDuotoneCommand.h>
#import <Leadtools.ImageProcessing.Color/LTGrayscaleToMultitoneCommand.h>
#import <Leadtools.ImageProcessing.Color/LTHistogramCommand.h>
#import <Leadtools.ImageProcessing.Color/LTHistogramContrastCommand.h>
#import <Leadtools.ImageProcessing.Color/LTHistogramEqualizeCommand.h>
#import <Leadtools.ImageProcessing.Color/LTIntensityDetectCommand.h>
#import <Leadtools.ImageProcessing.Color/LTInvertCommand.h>
#import <Leadtools.ImageProcessing.Color/LTLightControlCommand.h>
#import <Leadtools.ImageProcessing.Color/LTLineProfileCommand.h>
#import <Leadtools.ImageProcessing.Color/LTLocalHistogramEqualizeCommand.h>
#import <Leadtools.ImageProcessing.Color/LTMathematicalFunctionCommand.h>
#import <Leadtools.ImageProcessing.Color/LTMultiplyCommand.h>
#import <Leadtools.ImageProcessing.Color/LTPosterizeCommand.h>
#import <Leadtools.ImageProcessing.Color/LTRemapHueCommand.h>
#import <Leadtools.ImageProcessing.Color/LTRemapIntensityCommand.h>
#import <Leadtools.ImageProcessing.Color/LTSegmentCommand.h>
#import <Leadtools.ImageProcessing.Color/LTSelectiveColorCommand.h>
#import <Leadtools.ImageProcessing.Color/LTSolarizeCommand.h>
#import <Leadtools.ImageProcessing.Color/LTStretchIntensityCommand.h>
#import <Leadtools.ImageProcessing.Color/LTSwapColorsCommand.h>

// Versioning
#import <Leadtools/LTLeadtools.h>

LEADTOOLS_EXPORT const unsigned char LeadtoolsImageProcessingColorVersionString[];
LEADTOOLS_EXPORT const double LeadtoolsImageProcessingColorVersionNumber;

#endif // #if !defined(LEADTOOLS_IMAGEPROCESSING_COLOR_FRAMEWORK)
