// *************************************************************
// Copyright (c) 1991-2023 LEAD Technologies, Inc.
// All Rights Reserved.
// *************************************************************
//
//  LTDicomTagConstants.h
//  Leadtools.Dicom
//

// DICOM Tags as defined in part 6 of the standard

// *****************************************************************************************************************************
// *** 0000
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode commandGroupLength;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode lengthToEndCommand;                                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode affectedSOPClassUID;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedSOPClassUID;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode recognitionCodeCommand;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode commandField;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode messageID;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode messageIDBeingRespondedTo;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode initiator;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode receiver;                                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode findLocation;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode moveDestination;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode priority;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataSetTypeCommand;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfMatches;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode responseSequenceNumber;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode status;                                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode offendingElement;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode errorComment;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode errorID;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode affectedSOPInstanceUID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedSOPInstanceUID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode eventTypeID;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode attributeIdentifierList;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode actionTypeID;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfRemainingSubOperations;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfCompletedSubOperations;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFailedSubOperations;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfWarningSubOperations;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode moveOriginatorApplicationEntityTitle;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode moveOriginatorMessageID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode dialogReceiver;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode terminalType;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode messageSetID;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode endMessageID;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayFormat;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode pagePositionID;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode textFormatID;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode normalReverse;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode addGrayScale;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode borders;                                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode copies;                                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode magnificationTypeCommand;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode erase;                                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode print;                                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlays;                                                     // Retired

// *****************************************************************************************************************************
// *** 0002
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode fileMetaInformationGroupLength;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode fileMetaInformationVersion;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode mediaStorageSOPClassUID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode mediaStorageSOPInstanceUID;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode transferSyntaxUID;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode implementationClassUID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode implementationVersionName;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicationEntityTitle;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode sendingApplicationEntityTitle;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode receivingApplicationEntityTitle;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourcePresentationAddress;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode sendingPresentationAddress;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode receivingPresentationAddress;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtvMetaInformationVersion;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtvCommunicationSOPClassUID;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtvCommunicationSOPInstanceUID;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtvSourceIdentifier;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtvFlowIdentifier;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtvFlowRTPSamplingRate;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtvFlowActualFrameDuration;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateInformationCreatorUID;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateInformation;                                        

// *****************************************************************************************************************************
// *** 0004
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode fileSetID;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode fileSetDescriptorFileID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode specificCharacterSetOfFileSetDescriptorFile;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode offsetFirstRootDirectory;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode offsetLastRootDirectory;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode fileSetConsistencyFlag;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode directoryRecordSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode offsetNextDirectory;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordInUseFlag;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode offsetChildDirectory;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode directoryRecordType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateRecordUID;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFileID;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrdrDirectoryRecordOffset;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSOPClassUIDInFile;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSOPInstanceUIDInFile;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedTransferSyntaxUIDInFile;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRelatedGeneralSOPClassUIDInFile;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfReferences;                                           // Retired

// *****************************************************************************************************************************
// *** 0008
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode lengthToEnd;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode specificCharacterSet;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode languageCodeSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageType;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode recognitionCode;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode instanceCreationDate;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode instanceCreationTime;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode instanceCreatorUID;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode instanceCoercionDateTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode sopClassUID;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode sopInstanceUID;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode relatedGeneralSOPClassUID;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode originalSpecializedSOPClassUID;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyDate;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode seriesDate;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionDate;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode contentDate;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayDate;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveDate;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionDateTime;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyTime;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode seriesTime;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionTime;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode contentTime;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayTime;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveTime;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataSetType;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataSetSubtype;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode nuclearMedicineSeriesType;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode accessionNumber;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode issuerOfAccessionNumberSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode queryRetrieveLevel;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode queryRetrieveView;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode retrieveAETitle;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode stationAETitle;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode instanceAvailability;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode failedSOPInstanceUIDList;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode modality;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode modalitiesInStudy;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode sopClassesInStudy;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicRegionsInStudyCodeSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode conversionType;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationIntentType;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode manufacturer;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode institutionName;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode institutionAddress;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode institutionCodeSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referringPhysicianName;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referringPhysicianAddress;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referringPhysicianTelephoneNumbers;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode referringPhysicianIdentificationSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode consultingPhysicianName;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode consultingPhysicianIdentificationSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode codeValue;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode extendedCodeValue;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeDesignator;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeVersion;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode codeMeaning;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode mappingResource;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode contextGroupVersion;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode contextGroupLocalVersion;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode extendedCodeMeaning;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeResourcesSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeURLType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode contextGroupExtensionFlag;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeUID;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode contextGroupExtensionCreatorUID;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeURL;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode contextIdentifier;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeIdentificationSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeRegistry;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeExternalID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeName;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode codingSchemeResponsibleOrganization;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode contextUID;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode mappingResourceUID;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode longCodeValue;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode urnCodeValue;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode equivalentCodeSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode mappingResourceName;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode contextGroupIdentificationSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode mappingResourceIdentificationSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode timezoneOffsetFromUTC;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode responsibleGroupCodeSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode equipmentModality;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode manufacturerRelatedModelGroup;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateDataElementCharacteristicsSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateGroupReference;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateCreatorReference;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockIdentifyingInformationStatus;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode nonidentifyingPrivateElements;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode deidentificationActionSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode identifyingPrivateElements;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode deidentificationAction;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateDataElement;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateDataElementValueMultiplicity;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateDataElementValueRepresentation;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateDataElementNumberOfItems;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateDataElementName;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateDataElementKeyword;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateDataElementDescription;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateDataElementEncoding;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode privateDataElementDefinitionSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode networkID;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode stationName;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyDescription;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureCodeSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode seriesDescription;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode seriesDescriptionCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode institutionalDepartmentName;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode institutionalDepartmentTypeCodeSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode physicianOfRecord;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode physicianOfRecordIdentificationSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode performingPhysicianName;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode performingPhysicianIdentificationSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode nameOfPhysicianReadingStudy;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode physicianReadingStudyIdentificationSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode operatorName;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode operatorIdentificationSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode admittingDiagnosesDescription;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode admittingDiagnosesCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode manufacturerModelName;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedResultsSequence;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedStudySequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPerformedProcedureStepSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSeriesSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPatientSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedVisitSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedOverlaySequence;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedStereometricInstanceSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedWaveformSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedImageSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedCurveSequence;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedInstanceSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRealWorldValueMappingInstanceSequence;           
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSOPClassUID;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSOPInstanceUID;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode definitionSourceSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode sopClassesSupported;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFrameNumber;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode simpleFrameList;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode calculatedFrameList;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeRange;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameExtractionSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiFrameSourceSOPInstanceUID;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode retrieveURL;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode transactionUID;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode warningReason;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode failureReason;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode failedSOPSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSOPSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherFailuresSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode studiesContainingOtherReferencedInstancesSequence;         
@property (class, nonatomic, assign, readonly) LTDicomTagCode relatedSeriesSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode lossyImageCompressionRetired;                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode derivationDescription;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceImageSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode stageName;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode stageNumber;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfStages;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewName;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewNumber;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfEventTimers;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfViewsInStage;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode eventElapsedTime;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode eventTimerName;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode eventTimerSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode eventTimeOffset;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode eventCodeSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode startTrim;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode stopTrim;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedDisplayFrameRate;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerPosition;                                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerOrientation;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicStructure;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicRegionSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicRegionModifierSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryAnatomicStructureSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicStructureSpaceOrRegionSequence;                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryAnatomicStructureModifierSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerPositionSequence;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerPositionModifierSequence;                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerOrientationSequence;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerOrientationModifierSequence;                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicStructureSpaceOrRegionCodeSequenceTrial;              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicPortalOfEntranceCodeSequenceTrial;                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicApproachDirectionCodeSequenceTrial;                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicPerspectiveDescriptionTrial;                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicPerspectiveCodeSequenceTrial;                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicLocationOfExaminingInstrumentDescriptionTrial;        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicLocationOfExaminingInstrumentCodeSequenceTrial;       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicStructureSpaceOrRegionModifierCodeSequenceTrial;      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode onAxisBackgroundAnatomicStructureCodeSequenceTrial;           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode alternateRepresentationSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode availableTransferSyntaxUID;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode irradiationEventUID;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceIrradiationEventSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalAdministrationEventUID;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode identifyingComments;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameType;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedImageEvidenceSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRawDataSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode creatorVersionUID;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode derivationImageSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceImageEvidenceSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelPresentation;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumetricProperties;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeBasedCalculationTechnique;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode complexImageComponent;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionContrast;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode derivationCodeSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPresentationStateSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedOtherPlaneSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameDisplaySequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedDisplayFrameRateInFloat;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode skipFrameRangeFlag;                                        

// *****************************************************************************************************************************
// *** 0010
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientName;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientID;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode issuerOfPatientID;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode typeOfPatientID;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode issuerOfPatientIDQualifiersSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourcePatientGroupIdentificationSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode groupOfPatientsIdentificationSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode subjectRelativePositionInImage;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientBirthDate;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientBirthTime;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientBirthDateInAlternativeCalendar;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientDeathDateInAlternativeCalendar;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientAlternativeCalendar;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSex;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientInsurancePlanCodeSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientPrimaryLanguageCodeSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientPrimaryLanguageModifierCodeSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode qualityControlSubject;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode qualityControlSubjectTypeCodeSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode strainDescription;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode strainNomenclature;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode strainStockNumber;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode strainSourceRegistryCodeSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode strainStockSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode strainSource;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode strainAdditionalInformation;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode strainCodeSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode geneticModificationsSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode geneticModificationsDescription;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode geneticModificationsNomenclature;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode geneticModificationsCodeSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherPatientIDs;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherPatientNames;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherPatientIDsSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientBirthName;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientAge;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSize;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSizeCodeSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientBodyMassIndex;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredAPDimension;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredLateralDimension;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientWeight;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientAddress;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode insurancePlanIdentification;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientMotherBirthName;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode militaryRank;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode branchOfService;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode medicalRecordLocator;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPatientPhotoSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode medicalAlerts;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode allergies;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode countryOfResidence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode regionOfResidence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientTelephoneNumbers;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientTelecomInformation;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode ethnicGroup;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode occupation;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode smokingStatus;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode additionalPatientHistory;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode pregnancyStatus;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode lastMenstrualDate;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientReligiousPreference;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSpeciesDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSpeciesCodeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSexNeutered;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicalOrientationType;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientBreedDescription;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientBreedCodeSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode breedRegistrationSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode breedRegistrationNumber;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode breedRegistryCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode responsiblePerson;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode responsiblePersonRole;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode responsibleOrganization;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientComments;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode examinedBodyThickness;                                     

// *****************************************************************************************************************************
// *** 0012
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialSponsorName;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialProtocolID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialProtocolName;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialSiteID;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialSiteName;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialSubjectID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialSubjectReadingID;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialTimePointID;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialTimePointDescription;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode longitudinalTemporalOffsetFromEvent;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode longitudinalTemporalEventType;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialCoordinatingCenterName;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientIdentityRemoved;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode deIdentificationMethod;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode deIdentificationMethodCodeSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialSeriesID;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialSeriesDescription;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialProtocolEthicsCommitteeName;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalTrialProtocolEthicsCommitteeApprovalNumber;        
@property (class, nonatomic, assign, readonly) LTDicomTagCode consentForClinicalTrialUseSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode distributionType;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode consentForDistributionFlag;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode ethicsCommitteeApprovalEffectivenessStartDate;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode ethicsCommitteeApprovalEffectivenessEndDate;               

// *****************************************************************************************************************************
// *** 0014
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode cadFileFormat;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentReferenceSystem;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentManufacturingProcedure;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentManufacturer;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialThickness;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialPipeDiameter;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialIsolationDiameter;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialGrade;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialPropertiesDescription;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialPropertiesFileFormat;                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialNotes;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentShape;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode curvatureType;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode outerDiameter;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode innerDiameter;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentWelderIDs;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryApprovalStatus;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryReviewDate;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryReviewTime;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryReviewerName;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode repairID;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode multipleComponentApprovalSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherApprovalStatus;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherSecondaryApprovalStatus;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode actualEnvironmentalConditions;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode expiryDate;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode environmentalConditions;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode evaluatorSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode evaluatorNumber;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode evaluatorName;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode evaluationAttempt;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode indicationSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode indicationNumber;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode indicationLabel;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode indicationDescription;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode indicationType;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode indicationDisposition;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode indicationROISequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode indicationPhysicalPropertySequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode propertyLabel;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemNumberOfAxes;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemAxesSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemAxisDescription;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemDataSetMapping;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemAxisNumber;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemAxisType;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemAxisUnits;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemAxisValues;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemTransformSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode transformDescription;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode transformNumberOfAxes;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode transformOrderOfAxes;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode transformedAxisUnits;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemTransformRotationAndScaleMatrix;           
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemTransformTranslationMatrix;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode internalDetectorFrameTime;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFramesIntegrated;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorTemperatureSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode sensorName;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode horizontalOffsetOfSensor;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode verticalOffsetOfSensor;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode sensorTemperature;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode darkCurrentSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode darkCurrentCounts;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode gainCorrectionReferenceSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode airCounts;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode kvUsedInGainCalibration;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode maUsedInGainCalibration;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFramesUsedForIntegration;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterMaterialUsedInGainCalibration;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterThicknessUsedInGainCalibration;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode dateOfGainCalibration;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeOfGainCalibration;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode badPixelImage;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode calibrationNotes;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode pulserEquipmentSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode pulserType;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode pulserNotes;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode receiverEquipmentSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode amplifierType;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode receiverNotes;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode preAmplifierEquipmentSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode preAmplifierNotes;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode transmitTransducerSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode receiveTransducerSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfElements;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode elementShape;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode elementDimensionA;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode elementDimensionB;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode elementPitchA;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredBeamDimensionA;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredBeamDimensionB;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode locationOfMeasuredBeamDiameter;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalFrequency;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredCenterFrequency;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredBandwidth;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode elementPitchB;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode pulserSettingsSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode pulseWidth;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode excitationFrequency;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode modulationType;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode damping;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode receiverSettingsSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquiredSoundpathLength;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionCompressionType;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionSampleSize;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode rectifierSmoothing;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode dacSequence;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode dacType;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode dacGainPoints;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode dacTimePoints;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode dacAmplitude;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode preAmplifierSettingsSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode transmitTransducerSettingsSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode receiveTransducerSettingsSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode incidentAngle;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode couplingTechnique;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode couplingMedium;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode couplingVelocity;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode probeCenterLocationX;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode probeCenterLocationZ;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode soundPathLength;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode delayLawIdentifier;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode gateSettingsSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode gateThreshold;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode velocityOfSound;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode calibrationSettingsSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode calibrationProcedure;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureVersion;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureCreationDate;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureExpirationDate;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureLastModifiedDate;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode calibrationTime;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode calibrationDate;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode probeDriveEquipmentSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode driveType;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode probeDriveNotes;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode driveProbeSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode probeInductance;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode probeResistance;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode receiveProbeSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode probeDriveSettingsSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode bridgeResistors;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode probeOrientationAngle;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode userSelectedGainY;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode userSelectedPhase;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode userSelectedOffsetX;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode userSelectedOffsetY;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelSettingsSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelThreshold;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode scannerSettingsSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanProcedure;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode translationRateX;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode translationRateY;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelOverlap;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageQualityIndicatorType;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageQualityIndicatorMaterial;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageQualityIndicatorSize;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode linacEnergy;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode linacOutput;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode activeAperture;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalAperture;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode apertureElevation;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode mainLobeAngle;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode mainRoofAngle;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode connectorType;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeModelNumber;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeAngleFloat;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeRoofAngle;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeElement1Position;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeMaterialVelocity;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeMaterial;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeOffsetZ;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeOriginOffsetX;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeTimeDelay;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeName;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeManufacturerName;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeDescription;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalBeamAngle;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeOffsetX;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeOffsetY;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeTotalLength;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeInContactLength;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeFrontGap;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeTotalHeight;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeFrontHeight;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeRearHeight;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeTotalWidth;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeInContactWidth;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeChamferHeight;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeCurve;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiusAlongTheWedge;                                       

// *****************************************************************************************************************************
// *** 0016
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode whitePoint;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryChromaticities;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode batteryLevel;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureTimeInSeconds;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode fNumber;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode oecfRows;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode oecfColumns;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode oecfColumnNames;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode oecfValues;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode spatialFrequencyResponseRows;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode spatialFrequencyResponseColumns;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode spatialFrequencyResponseColumnNames;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode spatialFrequencyResponseValues;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode colorFilterArrayPatternRows;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode colorFilterArrayPatternColumns;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode colorFilterArrayPatternValues;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode flashFiringStatus;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode flashReturnStatus;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode flashMode;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode flashFunctionPresent;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode flashRedEyeMode;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureProgram;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode spectralSensitivity;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode photographicSensitivity;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode selfTimerMode;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode sensitivityType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode standardOutputSensitivity;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedExposureIndex;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode isoSpeed;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode isoSpeedLatitudeYyy;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode isoSpeedLatitudeZzz;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode exifVersion;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode shutterSpeedValue;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode apertureValue;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode brightnessValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureBiasValue;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode maxApertureValue;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode subjectDistance;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode meteringMode;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode lightSource;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode focalLength;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode subjectArea;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode makerNote;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode temperature;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode humidity;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode pressure;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode waterDepth;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode acceleration;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode cameraElevationAngle;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode flashEnergy;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode subjectLocation;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode photographicExposureIndex;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode sensingMethod;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode fileSource;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode sceneType;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode customRendered;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureMode;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode whiteBalance;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode digitalZoomRatio;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode focalLengthIn35mmFilm;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode sceneCaptureType;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode gainControl;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrast;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode saturation;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode sharpness;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceSettingDescription;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode subjectDistanceRange;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode cameraOwnerName;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensSpecification;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensMake;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensModel;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensSerialNumber;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode interoperabilityIndex;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode interoperabilityVersion;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsVersionID;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsLatitudeRef;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsLatitude;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsLongitudeRef;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsLongitude;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsAltitudeRef;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsAltitude;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsTimeStamp;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsSatellites;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsStatus;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsMeasureMode;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsdop;                                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsSpeedRef;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsSpeed;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsTrackRef;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsTrack;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsImgDirectionRef;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsImgDirection;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsMapDatum;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsDestLatitudeRef;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsDestLatitude;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsDestLongitudeRef;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsDestLongitude;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsDestBearingRef;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsDestBearing;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsDestDistanceRef;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsDestDistance;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsProcessingMethod;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsAreaInformation;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsDateStamp;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode gpsDifferential;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode lightSourcePolarization;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode emitterColorTemperature;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode contactMethod;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode immersionMedia;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode opticalMagnificationFactor;                                

// *****************************************************************************************************************************
// *** 0018
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusAgent;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusAgentSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusT1Relaxivity;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusAdministrationRouteSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode bodyPartExamined;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanningSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode sequenceVariant;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanOptions;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrAcquisitionType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode sequenceName;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode angioFlag;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode interventionDrugInformationSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode interventionDrugStopTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode interventionDrugDose;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode interventionDrugCodeSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode additionalDrugSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode radionuclide;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceutical;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyWindowCenterline;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyWindowTotalWidth;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interventionDrugName;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode interventionDrugStartTime;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode interventionSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode therapyType;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interventionStatus;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode therapyDescription;                                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interventionDescription;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode cineRate;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode initialCineRunState;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode sliceThickness;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode kvp;                                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode countsAccumulated;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionTerminationCondition;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode effectiveDuration;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionStartCondition;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionStartConditionData;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionTerminationConditionData;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode repetitionTime;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode echoTime;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode inversionTime;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfAverages;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagingFrequency;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagedNucleus;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode echoNumber;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode magneticFieldStrength;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode spacingBetweenSlices;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPhaseEncodingSteps;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataCollectionDiameter;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode echoTrainLength;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode percentSampling;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode percentPhaseFieldOfView;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelBandwidth;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceSerialNumber;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceUID;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceID;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode plateID;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode generatorID;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridID;                                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode cassetteID;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryID;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode uniqueDeviceIdentifier;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode udiSequence;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode manufacturerDeviceClassUID;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryCaptureDeviceID;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode hardcopyCreationDeviceID;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dateOfSecondaryCapture;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeOfSecondaryCapture;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryCaptureDeviceManufacturer;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode hardcopyDeviceManufacturer;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryCaptureDeviceManufacturerModelName;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryCaptureDeviceSoftwareVersions;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode hardcopyDeviceSoftwareVersion;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode hardcopyDeviceManufacturerModelName;                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode softwareVersions;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode videoImageFormatAcquired;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode digitalImageFormatAcquired;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode protocolName;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusRoute;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusVolume;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusStartTime;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusStopTime;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusTotalDose;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode syringeCounts;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastFlowRate;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastFlowDuration;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusIngredient;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusIngredientConcentration;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode spatialResolution;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode triggerTime;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode triggerSourceOrType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalInterval;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameTime;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode cardiacFramingType;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameTimeVector;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameDelay;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageTriggerDelay;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiplexGroupTimeOffset;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode triggerTimeOffset;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode synchronizationTrigger;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode synchronizationChannel;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode triggerSamplePosition;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalRoute;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalVolume;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalStartTime;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalStopTime;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode radionuclideTotalDose;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode radionuclideHalfLife;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode radionuclidePositronFraction;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalSpecificActivity;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalStartDateTime;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalStopDateTime;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode beatRejectionFlag;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode lowRRValue;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode highRRValue;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode intervalsAcquired;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode intervalsRejected;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode pvcRejection;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode skipBeats;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode heartRate;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode cardiacNumberOfImages;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode triggerWindow;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionDiameter;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode distanceSourceToDetector;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode distanceSourceToPatient;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode estimatedRadiographicMagnificationFactor;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryDetectorTilt;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryDetectorSlew;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableHeight;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTraverse;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableMotion;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableVerticalIncrement;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableLateralIncrement;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableLongitudinalIncrement;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableAngle;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableType;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode rotationDirection;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode angularPosition;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode radialPosition;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanArc;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode angularStep;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode centerOfRotationOffset;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rotationOffset;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode fieldOfViewShape;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode fieldOfViewDimension;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureTime;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayTubeCurrent;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposure;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureInUAs;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode averagePulseWidth;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationSetting;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rectificationType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationMode;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageAndFluoroscopyAreaDoseProduct;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterType;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode typeOfFilters;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode intensifierSize;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagerPixelSpacing;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode grid;                                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode generatorPower;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode collimatorGridName;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode collimatorType;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode focalDistance;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode xFocusCenter;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode yFocusCenter;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode focalSpot;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode anodeTargetMaterial;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode bodyPartThickness;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode compressionForce;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode compressionPressure;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode paddleDescription;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode compressionContactArea;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionMode;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseModeName;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquiredSubtractionMaskFlag;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode fluoroscopyPersistenceFlag;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode fluoroscopyLastImageHoldPersistenceFlag;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode upperLimitNumberOfPersistentFluoroscopyFrames;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusAutoInjectionTriggerFlag;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusInjectionDelay;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode xaAcquisitionPhaseDetailsSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode xaAcquisitionFrameRate;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode xaPlaneDetailsSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionFieldOfViewLabel;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayFilterDetailsSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode xaAcquisitionDuration;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionPipelineType;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageFilterDetailsSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode appliedMaskSubtractionFlag;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedSeriesDescriptionCodeSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode dateOfLastCalibration;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeOfLastCalibration;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode dateTimeOfLastCalibration;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode convolutionKernel;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode upperLowerPixelValues;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode actualFrameDuration;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode countRate;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode preferredPlaybackSequencing;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode receiveCoilName;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode transmitCoilName;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode plateType;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode phosphorType;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode waterEquivalentDiameter;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode waterEquivalentDiameterCalculationMethodCodeSequence;      
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanVelocity;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode wholeBodyTechnique;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanLength;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionMatrix;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode inPlanePhaseEncodingDirection;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode flipAngle;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode variableFlipAngleFlag;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode sar;                                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode dbDt;                                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode b1rms;                                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionDeviceProcessingDescription;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionDeviceProcessingCode;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode cassetteOrientation;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode cassetteSize;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposuresOnPlate;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode relativeXRayExposure;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureIndex;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetExposureIndex;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviationIndex;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode columnAngulation;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode tomoLayerHeight;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode tomoAngle;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode tomoTime;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode tomoType;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode tomoClass;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTomosynthesisSourceImages;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerMotion;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerType;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerPrimaryAngle;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerSecondaryAngle;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerPrimaryAngleIncrement;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerSecondaryAngleIncrement;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorPrimaryAngle;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorSecondaryAngle;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode shutterShape;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode shutterLeftVerticalEdge;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode shutterRightVerticalEdge;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode shutterUpperHorizontalEdge;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode shutterLowerHorizontalEdge;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode centerOfCircularShutter;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiusOfCircularShutter;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode verticesOfThePolygonalShutter;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode shutterPresentationValue;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode shutterOverlayGroup;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode shutterPresentationColorCIELabValue;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode outlineShapeType;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode outlineLeftVerticalEdge;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode outlineRightVerticalEdge;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode outlineUpperHorizontalEdge;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode outlineLowerHorizontalEdge;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode centerOfCircularOutline;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode diameterOfCircularOutline;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPolygonalVertices;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode verticesOfThePolygonalOutline;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode collimatorShape;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode collimatorLeftVerticalEdge;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode collimatorRightVerticalEdge;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode collimatorUpperHorizontalEdge;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode collimatorLowerHorizontalEdge;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode centerOfCircularCollimator;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiusOfCircularCollimator;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode verticesOfThePolygonalCollimator;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionTimeSynchronized;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeSource;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeDistributionProtocol;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode ntpSourceAddress;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode pageNumberVector;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameLabelVector;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode framePrimaryAngleVector;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameSecondaryAngleVector;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode sliceLocationVector;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayWindowLabelVector;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalScannedPixelSpacing;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode digitizingDeviceTransportDirection;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode rotationOfScannedFilm;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode biopsyTargetSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetUID;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode localizingCursorPosition;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode calculatedTargetPosition;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetLabel;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayedZValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode ivusAcquisition;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode ivusPullbackRate;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode ivusGatedRate;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode ivusPullbackStartFrameNumber;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode ivusPullbackStopFrameNumber;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode lesionNumber;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionComments;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode outputPower;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerData;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerIdentificationSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode focusDepth;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode processingFunction;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode postprocessingFunction;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode mechanicalIndex;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode boneThermalIndex;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode cranialThermalIndex;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode softTissueThermalIndex;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode softTissueFocusThermalIndex;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode softTissueSurfaceThermalIndex;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode dynamicRange;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalGain;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode depthOfScanField;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientPosition;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewPosition;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode projectionEponymousNameCodeSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageTransformationMatrix;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageTranslationVector;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode sensitivity;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode sequenceOfUltrasoundRegions;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode regionSpatialFormat;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode regionDataType;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode regionFlags;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode regionLocationMinX0;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode regionLocationMinY0;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode regionLocationMaxX1;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode regionLocationMaxY1;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencePixelX0;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencePixelY0;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode physicalUnitsXDirection;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode physicalUnitsYDirection;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencePixelPhysicalValueX;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencePixelPhysicalValueY;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode physicalDeltaX;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode physicalDeltaY;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerFrequency;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerType;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode pulseRepetitionFrequency;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode dopplerCorrectionAngle;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode steeringAngle;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode dopplerSampleVolumeXPositionRetired;                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dopplerSampleVolumeXPosition;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode dopplerSampleVolumeYPositionRetired;                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dopplerSampleVolumeYPosition;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode tmLinePositionX0Retired;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode tmLinePositionX0;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode tmLinePositionY0Retired;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode tmLinePositionY0;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode tmLinePositionX1Retired;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode tmLinePositionX1;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode tmLinePositionY1Retired;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode tmLinePositionY1;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelComponentOrganization;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelComponentMask;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelComponentRangeStart;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelComponentRangeStop;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelComponentPhysicalUnits;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelComponentDataType;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTableBreakPoints;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableOfXBreakPoints;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableOfYBreakPoints;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTableEntries;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableOfPixelValues;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableOfParameterValues;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rWaveTimeVector;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode activeImageAreaOverlayGroup;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorConditionsNominalFlag;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorTemperature;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorType;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorConfiguration;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorDescription;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorMode;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorID;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode dateOfLastDetectorCalibration;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeOfLastDetectorCalibration;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposuresOnDetectorSinceLastCalibration;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposuresOnDetectorSinceManufactured;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorTimeSinceLastExposure;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorActiveTime;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorActivationOffsetFromExposure;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorBinning;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorElementPhysicalSize;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorElementSpacing;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorActiveShape;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorActiveDimension;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorActiveOrigin;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorManufacturerName;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorManufacturerModelName;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode fieldOfViewOrigin;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode fieldOfViewRotation;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode fieldOfViewHorizontalFlip;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelDataAreaOriginRelativeToFOV;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelDataAreaRotationAngleRelativeToFOV;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridAbsorbingMaterial;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridSpacingMaterial;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridThickness;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridPitch;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridAspectRatio;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridPeriod;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridFocalDistance;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterMaterial;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterThicknessMinimum;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterThicknessMaximum;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterBeamPathLengthMinimum;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterBeamPathLengthMaximum;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureControlMode;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureControlModeDescription;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureStatus;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode phototimerSetting;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureTimeInUS;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayTubeCurrentInUA;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode contentQualification;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode pulseSequenceName;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrImagingModifierSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode echoPulseSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode inversionRecovery;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode flowCompensation;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode multipleSpinEcho;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiPlanarExcitation;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode phaseContrast;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeOfFlightContrast;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode spoiling;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode steadyStatePulseSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode echoPlanarPulseSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode tagAngleFirstAxis;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode magnetizationTransfer;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode t2Preparation;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode bloodSignalNulling;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode saturationRecovery;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode spectrallySelectedSuppression;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode spectrallySelectedExcitation;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode spatialPreSaturation;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode tagging;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode oversamplingPhase;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode tagSpacingFirstDimension;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode geometryOfKSpaceTraversal;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentedKSpaceTraversal;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode rectilinearPhaseEncodeReordering;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode tagThickness;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode partialFourierDirection;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode cardiacSynchronizationTechnique;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode receiveCoilManufacturerName;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrReceiveCoilSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode receiveCoilType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode quadratureReceiveCoil;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiCoilDefinitionSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiCoilConfiguration;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiCoilElementName;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiCoilElementUsed;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrTransmitCoilSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode transmitCoilManufacturerName;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode transmitCoilType;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode spectralWidth;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode chemicalShiftReference;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeLocalizationTechnique;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrAcquisitionFrequencyEncodingSteps;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode deCoupling;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode deCoupledNucleus;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode deCouplingFrequency;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode deCouplingMethod;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode deCouplingChemicalShiftReference;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode kSpaceFiltering;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeDomainFiltering;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfZeroFills;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode baselineCorrection;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelReductionFactorInPlane;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode cardiacRRIntervalSpecified;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionDuration;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameAcquisitionDateTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionDirectionality;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionGradientDirectionSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelAcquisition;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelAcquisitionTechnique;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode inversionTimes;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode metaboliteMapDescription;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode partialFourier;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode effectiveEchoTime;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode metaboliteMapCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode chemicalShiftSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode cardiacSignalSource;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionBValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionGradientOrientation;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode velocityEncodingDirection;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode velocityEncodingMinimumValue;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode velocityEncodingAcquisitionSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfKSpaceTrajectories;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode coverageOfKSpace;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode spectroscopyAcquisitionPhaseRows;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelReductionFactorInPlaneRetired;                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode transmitterFrequency;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode resonantNucleus;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode frequencyCorrection;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrSpectroscopyFOVGeometrySequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode slabThickness;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode slabOrientation;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode midSlabPosition;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrSpatialSaturationSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrTimingAndRelatedParametersSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrEchoSequence;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrModifierSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrDiffusionSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode cardiacSynchronizationSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrAveragesSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrfovGeometrySequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeLocalizationSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode spectroscopyAcquisitionDataColumns;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionAnisotropyType;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameReferenceDateTime;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrMetaboliteMapSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelReductionFactorOutOfPlane;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode spectroscopyAcquisitionOutOfPlanePhaseSteps;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode bulkMotionStatus;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelReductionFactorSecondInPlane;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode cardiacBeatRejectionTechnique;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode respiratoryMotionCompensationTechnique;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode respiratorySignalSource;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode bulkMotionCompensationTechnique;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode bulkMotionSignalSource;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicableSafetyStandardAgency;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicableSafetyStandardDescription;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode operatingModeSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode operatingModeType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode operatingMode;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode specificAbsorptionRateDefinition;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode gradientOutputType;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode specificAbsorptionRateValue;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode gradientOutput;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode flowCompensationDirection;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode taggingDelay;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode respiratoryMotionCompensationTechniqueDescription;         
@property (class, nonatomic, assign, readonly) LTDicomTagCode respiratorySignalSourceID;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode chemicalShiftMinimumIntegrationLimitInHz;                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode chemicalShiftMaximumIntegrationLimitInHz;                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrVelocityEncodingSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode firstOrderPhaseCorrection;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode waterReferencedPhaseCorrection;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrSpectroscopyAcquisitionType;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode respiratoryCyclePosition;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode velocityEncodingMaximumValue;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode tagSpacingSecondDimension;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode tagAngleSecondAxis;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameAcquisitionDuration;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrImageFrameTypeSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrSpectroscopyFrameTypeSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrAcquisitionPhaseEncodingStepsInPlane;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrAcquisitionPhaseEncodingStepsOutOfPlane;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode spectroscopyAcquisitionPhaseColumns;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode cardiacCyclePosition;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode specificAbsorptionRateSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode rfEchoTrainLength;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode gradientEchoTrainLength;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode arterialSpinLabelingContrast;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode mrArterialSpinLabelingSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslTechniqueDescription;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslSlabNumber;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslSlabThickness;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslSlabOrientation;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslMidSlabPosition;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslContext;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslPulseTrainDuration;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslCrusherFlag;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslCrusherFlowLimit;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslCrusherDescription;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslBolusCutOffFlag;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslBolusCutOffTimingSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslBolusCutOffTechnique;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslBolusCutOffDelayTime;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode aslSlabSequence;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode chemicalShiftMinimumIntegrationLimitInPpm;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode chemicalShiftMaximumIntegrationLimitInPpm;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode waterReferenceAcquisition;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode echoPeakPosition;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctAcquisitionTypeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode tubeAngle;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctAcquisitionDetailsSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode revolutionTime;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode singleCollimationWidth;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalCollimationWidth;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctTableDynamicsSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableSpeed;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableFeedPerRotation;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode spiralPitchFactor;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctGeometrySequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataCollectionCenterPatient;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctReconstructionSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionAlgorithm;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode convolutionKernelGroup;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionFieldOfView;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionTargetCenterPatient;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionAngle;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageFilter;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctExposureSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionPixelSpacing;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureModulationType;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode estimatedDoseSaving;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctxRayDetailsSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctPositionSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode tablePosition;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureTimeInMs;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctImageFrameTypeSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayTubeCurrentInMA;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureInMAs;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode constantVolumeFlag;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode fluoroscopyFlag;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode distanceSourceToDataCollectionCenter;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusAgentNumber;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusIngredientCodeSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastAdministrationProfileSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusUsageSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusAgentAdministered;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusAgentDetected;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusAgentPhase;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctdIvol;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctdiPhantomTypeCodeSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode calciumScoringMassFactorPatient;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode calciumScoringMassFactorDevice;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyWeightingFactor;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctAdditionalXRaySourceSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergyCTAcquisition;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergyCTAcquisitionSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergyCTProcessingSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergyCTCharacteristicsSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergyCTXRaySourceSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRaySourceIndex;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRaySourceID;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergySourceTechnique;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceStartDateTime;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceEndDateTime;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode switchingPhaseNumber;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode switchingPhaseNominalDuration;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode switchingPhaseTransitionDuration;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode effectiveBinEnergy;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergyCTXRayDetectorSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayDetectorIndex;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayDetectorID;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergyDetectorType;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayDetectorLabel;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalMaxEnergy;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalMinEnergy;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedXRayDetectorIndex;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedXRaySourceIndex;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPathIndex;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergyCTPathSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergyCTPathIndex;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiEnergyAcquisitionDescription;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode monoenergeticEnergyEquivalent;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialCodeSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode decompositionMethod;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode decompositionDescription;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode decompositionAlgorithmIdentificationSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode decompositionMaterialSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialAttenuationSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode photonEnergy;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayMassAttenuationCoefficient;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode projectionPixelCalibrationSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode distanceSourceToIsocenter;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode distanceObjectToTableTop;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode objectPixelSpacingInCenterOfBeam;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerPositionSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode tablePositionSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode collimatorShapeSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode planesInAcquisition;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode xaxrfFrameCharacteristicsSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameAcquisitionSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayReceptorType;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionProtocolName;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionProtocolDescription;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusIngredientOpaque;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode distanceReceptorPlaneToDetectorHousing;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode intensifierActiveShape;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode intensifierActiveDimension;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode physicalDetectorSize;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionOfIsocenterProjection;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode fieldOfViewSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode fieldOfViewDescription;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureControlSensingRegionsSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureControlSensingRegionShape;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureControlSensingRegionLeftVerticalEdge;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureControlSensingRegionRightVerticalEdge;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureControlSensingRegionUpperHorizontalEdge;           
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureControlSensingRegionLowerHorizontalEdge;           
@property (class, nonatomic, assign, readonly) LTDicomTagCode centerOfCircularExposureControlSensingRegion;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiusOfCircularExposureControlSensingRegion;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode verticesOfThePolygonalExposureControlSensingRegion;        
@property (class, nonatomic, assign, readonly) LTDicomTagCode columnAngulationPatient;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamAngle;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameDetectorParametersSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode calculatedAnatomyThickness;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode calibrationSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode objectThicknessSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode planeIdentification;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode fieldOfViewDimensionInFloat;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterReferenceSystemSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerIsocenterPrimaryAngle;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerIsocenterSecondaryAngle;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerIsocenterDetectorRotationAngle;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableXPositionToIsocenter;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableYPositionToIsocenter;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableZPositionToIsocenter;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableHorizontalRotationAngle;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableHeadTiltAngle;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableCradleTiltAngle;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameDisplayShutterSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquiredImageAreaDoseProduct;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode cArmPositionerTabletopRelationship;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayGeometrySequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode irradiationEventIdentificationSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRay3DFrameTypeSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode contributingSourcesSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRay3DAcquisitionSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryPositionerScanArc;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryPositionerScanArc;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryPositionerScanStartAngle;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryPositionerScanStartAngle;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryPositionerIncrement;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryPositionerIncrement;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode startAcquisitionDateTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode endAcquisitionDateTime;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryPositionerIncrementSign;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryPositionerIncrementSign;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicationName;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicationVersion;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicationManufacturer;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmType;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmDescription;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRay3DReconstructionSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode perProjectionAcquisitionSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorPositionSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayAcquisitionDoseSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRaySourceIsocenterPrimaryAngle;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRaySourceIsocenterSecondaryAngle;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode breastSupportIsocenterPrimaryAngle;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode breastSupportIsocenterSecondaryAngle;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode breastSupportXPositionToIsocenter;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode breastSupportYPositionToIsocenter;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode breastSupportZPositionToIsocenter;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorIsocenterPrimaryAngle;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorIsocenterSecondaryAngle;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorXPositionToIsocenter;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorYPositionToIsocenter;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorZPositionToIsocenter;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayGridSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayFilterSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorActiveAreaTLHCPosition;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorActiveAreaOrientation;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionerPrimaryAngleDirection;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionBMatrixSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionBValueXX;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionBValueXY;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionBValueXZ;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionBValueYY;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionBValueYZ;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionBValueZZ;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode functionalMRSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode functionalSettlingPhaseFramesPresent;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode functionalSyncPulse;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode settlingPhaseFrame;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode decayCorrectionDateTime;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode startDensityThreshold;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode startRelativeDensityDifferenceThreshold;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode startCardiacTriggerCountThreshold;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode startRespiratoryTriggerCountThreshold;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode terminationCountsThreshold;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode terminationDensityThreshold;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode terminationRelativeDensityThreshold;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode terminationTimeThreshold;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode terminationCardiacTriggerCountThreshold;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode terminationRespiratoryTriggerCountThreshold;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorGeometry;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode transverseDetectorSeparation;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode axialDetectorDimension;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalAgentNumber;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode petFrameAcquisitionSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode petDetectorMotionDetailsSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode petTableDynamicsSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode petPositionSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode petFrameCorrectionFactorsSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalUsageSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode attenuationCorrectionSource;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfIterations;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfSubsets;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode petReconstructionSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode petFrameTypeSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeOfFlightInformationUsed;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionType;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode decayCorrected;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode attenuationCorrected;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode scatterCorrected;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode deadTimeCorrected;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryMotionCorrected;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientMotionCorrected;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode countLossNormalizationCorrected;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode randomsCorrected;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode nonUniformRadialSamplingCorrected;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode sensitivityCalibrated;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorNormalizationCorrection;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode iterativeReconstructionMethod;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode attenuationCorrectionTemporalRelationship;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientPhysiologicalStateSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientPhysiologicalStateCodeSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode depthOfFocus;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode excludedIntervalsSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode exclusionStartDateTime;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode exclusionDuration;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode usImageDescriptionSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageDataTypeSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataType;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerScanPatternCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode aliasedDataType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionMeasuringDeviceUsed;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerGeometryCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerBeamSteeringCodeSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode transducerApplicationCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode zeroVelocityPixelValue;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceLocationLabel;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceLocationDescription;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceBasisCodeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceGeometryCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode offsetDistance;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode offsetDirection;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode potentialScheduledProtocolCodeSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode potentialRequestedProcedureCodeSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode potentialReasonsForProcedure;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode potentialReasonsForProcedureCodeSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode potentialDiagnosticTasks;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode contraindicationsCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDefinedProtocolSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPerformedProtocolSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode predecessorProtocolSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode protocolPlanningInformation;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode protocolDesignRationale;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSpecificationSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode modelSpecificationSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode parametersSpecificationSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode instructionSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode instructionIndex;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode instructionText;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode instructionDescription;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode instructionPerformedFlag;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode instructionPerformedDateTime;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode instructionPerformanceComment;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientPositioningInstructionSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode positioningMethodCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode positioningLandmarkSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetFrameOfReferenceUID;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionProtocolElementSpecificationSequence;           
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionProtocolElementSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode protocolElementNumber;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode protocolElementName;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode protocolElementCharacteristicsSummary;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode protocolElementPurpose;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionMotion;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionStartLocationSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionEndLocationSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionProtocolElementSpecificationSequence;        
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionProtocolElementSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode storageProtocolElementSpecificationSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode storageProtocolElementSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedSeriesDescription;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceAcquisitionProtocolElementNumber;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceAcquisitionBeamNumber;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceReconstructionProtocolElementNumber;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionStartLocationSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionEndLocationSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionAlgorithmSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionTargetCenterLocationSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageFilterDescription;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode ctdIvolNotificationTrigger;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode dlpNotificationTrigger;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode autoKVPSelectionType;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode autoKVPUpperBound;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode autoKVPLowerBound;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode protocolDefinedPatientPosition;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode contributingEquipmentSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode contributionDateTime;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode contributionDescription;                                   

// *****************************************************************************************************************************
// *** 0020
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyInstanceUID;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode seriesInstanceUID;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyID;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode seriesNumber;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionNumber;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode instanceNumber;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode isotopeNumber;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode phaseNumber;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode intervalNumber;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeSlotNumber;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode angleNumber;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode itemNumber;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientOrientation;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayNumber;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveNumber;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode lutNumber;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagePosition;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagePositionPatient;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageOrientation;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageOrientationPatient;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode location;                                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameOfReferenceUID;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode laterality;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageLaterality;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageGeometryType;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode maskingImage;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode reportNumber;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode temporalPositionIdentifier;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTemporalPositions;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode temporalResolution;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode synchronizationFrameOfReferenceUID;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode sopInstanceUIDOfConcatenationSource;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode seriesInStudy;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionsInSeries;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagesInAcquisition;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagesInSeries;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionsInStudy;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagesInStudy;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode reference;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetPositionReferenceIndicator;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode positionReferenceIndicator;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode sliceLocation;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherStudyNumbers;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPatientRelatedStudies;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPatientRelatedSeries;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPatientRelatedInstances;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfStudyRelatedSeries;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfStudyRelatedInstances;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfSeriesRelatedInstances;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceImageIDs;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode modifyingDeviceID;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode modifiedImageID;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode modifiedImageDate;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode modifyingDeviceManufacturer;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode modifiedImageTime;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode modifiedImageDescription;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageComments;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode originalImageIdentification;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode originalImageIdentificationNomenclature;                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode stackID;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode inStackPositionNumber;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameAnatomySequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameLaterality;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameContentSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode planePositionSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode planeOrientationSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode temporalPositionIndex;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalCardiacTriggerDelayTime;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalCardiacTriggerTimePriorToRPeak;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode actualCardiacTriggerTimePriorToRPeak;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameAcquisitionNumber;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode dimensionIndexValues;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameComments;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode concatenationUID;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode inConcatenationNumber;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode inConcatenationTotalNumber;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode dimensionOrganizationUID;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode dimensionIndexPointer;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode functionalGroupPointer;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode unassignedSharedConvertedAttributesSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode unassignedPerFrameConvertedAttributesSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode conversionSourceAttributesSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode dimensionIndexPrivateCreator;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode dimensionOrganizationSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode dimensionIndexSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode concatenationFrameOffsetNumber;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode functionalGroupPrivateCreator;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalPercentageOfCardiacPhase;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalPercentageOfRespiratoryPhase;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode startingRespiratoryAmplitude;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode startingRespiratoryPhase;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode endingRespiratoryAmplitude;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode endingRespiratoryPhase;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode respiratoryTriggerType;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rrIntervalTimeNominal;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode actualCardiacTriggerDelayTime;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode respiratorySynchronizationSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode respiratoryIntervalTime;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalRespiratoryTriggerDelayTime;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode respiratoryTriggerDelayThreshold;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode actualRespiratoryTriggerDelayTime;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagePositionVolume;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageOrientationVolume;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode ultrasoundAcquisitionGeometry;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode apexPosition;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeToTransducerMappingMatrix;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeToTableMappingMatrix;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeToTransducerRelationship;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientFrameOfReferenceSource;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode temporalPositionTimeOffset;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode planePositionVolumeSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode planeOrientationVolumeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode temporalPositionSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode dimensionOrganizationType;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeFrameOfReferenceUID;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableFrameOfReferenceUID;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode dimensionDescriptionLabel;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientOrientationInFrameSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameLabel;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionIndex;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode contributingSOPInstancesReferenceSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionIndex;                                       

// *****************************************************************************************************************************
// *** 0022
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode lightPathFilterPassThroughWavelength;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode lightPathFilterPassBand;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagePathFilterPassThroughWavelength;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagePathFilterPassBand;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientEyeMovementCommanded;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientEyeMovementCommandCodeSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode sphericalLensPower;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode cylinderLensPower;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode cylinderAxis;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode emmetropicMagnification;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode intraOcularPressure;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode horizontalFieldOfView;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode pupilDilated;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode degreeOfDilation;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode stereoBaselineAngle;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode stereoBaselineDisplacement;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode stereoHorizontalPixelOffset;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode stereoVerticalPixelOffset;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode stereoRotation;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionDeviceTypeCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode illuminationTypeCodeSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode lightPathFilterTypeStackCodeSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagePathFilterTypeStackCodeSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensesCodeSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelDescriptionCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode refractiveStateSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode mydriaticAgentCodeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode relativeImagePositionCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode cameraAngleOfView;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode stereoPairsSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode leftImageSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode rightImageSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode stereoPairsPresent;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode axialLengthOfTheEye;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicFrameLocationSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceCoordinates;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode depthSpatialResolution;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumDepthDistortion;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode alongScanSpatialResolution;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumAlongScanDistortion;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicImageOrientation;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode depthOfTransverseImage;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode mydriaticAgentConcentrationUnitsSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode acrossScanSpatialResolution;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumAcrossScanDistortion;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode mydriaticAgentConcentration;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode illuminationWaveLength;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode illuminationPower;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode illuminationBandwidth;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode mydriaticAgentSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialMeasurementsRightEyeSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialMeasurementsLeftEyeSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialMeasurementsDeviceType;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthMeasurementsType;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLength;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensStatusCodeSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode vitreousStatusCodeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode iolFormulaCodeSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode iolFormulaDetail;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode keratometerIndex;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceOfOphthalmicAxialLengthCodeSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceOfCornealSizeDataCodeSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetRefraction;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode refractiveProcedureOccurred;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode refractiveSurgeryTypeCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicUltrasoundMethodCodeSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode surgicallyInducedAstigmatismSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode typeOfOpticalCorrection;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode toricIOLPowerSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode predictedToricErrorSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode preSelectedForImplantation;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode toricIOLPowerForExactEmmetropiaSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode toricIOLPowerForExactTargetRefractionSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthMeasurementsSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode iolPower;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode predictedRefractiveError;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthVelocity;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensStatusDescription;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode vitreousStatusDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode iolPowerSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensConstantSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode iolManufacturer;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensConstantDescription;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantName;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode keratometryMeasurementTypeCodeSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantPartNumber;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedOphthalmicAxialMeasurementsSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthMeasurementsSegmentNameCodeSequence;  
@property (class, nonatomic, assign, readonly) LTDicomTagCode refractiveErrorBeforeRefractiveSurgeryCodeSequence;        
@property (class, nonatomic, assign, readonly) LTDicomTagCode iolPowerForExactEmmetropia;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode iolPowerForExactTargetRefraction;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode anteriorChamberDepthDefinitionCodeSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensThicknessSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode anteriorChamberDepthSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode calculationCommentSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode calculationCommentType;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode calculationComment;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensThickness;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode anteriorChamberDepth;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceOfLensThicknessDataCodeSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceOfAnteriorChamberDepthDataCodeSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceOfRefractiveMeasurementsSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceOfRefractiveMeasurementsCodeSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthMeasurementModified;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthDataSourceCodeSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthAcquisitionMethodCodeSequence;           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode signalToNoiseRatio;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthDataSourceDescription;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthMeasurementsTotalLengthSequence;      
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthMeasurementsSegmentalLengthSequence;  
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthMeasurementsLengthSummationSequence;  
@property (class, nonatomic, assign, readonly) LTDicomTagCode ultrasoundOphthalmicAxialLengthMeasurementsSequence;       
@property (class, nonatomic, assign, readonly) LTDicomTagCode opticalOphthalmicAxialLengthMeasurementsSequence;          
@property (class, nonatomic, assign, readonly) LTDicomTagCode ultrasoundSelectedOphthalmicAxialLengthSequence;           
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthSelectionMethodCodeSequence;          
@property (class, nonatomic, assign, readonly) LTDicomTagCode opticalSelectedOphthalmicAxialLengthSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectedSegmentalOphthalmicAxialLengthSequence;            
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectedTotalOphthalmicAxialLengthSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthQualityMetricSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthQualityMetricTypeCodeSequence;           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthQualityMetricTypeDescription;            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode intraocularLensCalculationsRightEyeSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode intraocularLensCalculationsLeftEyeSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedOphthalmicAxialLengthMeasurementQCImageSequence; 
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicMappingDeviceType;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionMethodCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionMethodAlgorithmSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicThicknessMapTypeCodeSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicThicknessMappingNormalsSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode retinalThicknessDefinitionCodeSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelValueMappingToCodedConceptSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode mappedPixelValue;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelValueMappingExplanation;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicThicknessMapQualityThresholdSequence;            
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicThicknessMapThresholdQualityRating;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode anatomicStructureReferencePoint;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode registrationToLocalizerSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode registeredLocalizerUnits;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode registeredLocalizerTopLeftHandCorner;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode registeredLocalizerBottomRightHandCorner;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicThicknessMapQualityRatingSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode relevantOPTAttributesSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode transformationMethodCodeSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode transformationAlgorithmSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAxialLengthMethod;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicFOV;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDimensionalToThreeDimensionalMapSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode wideFieldOphthalmicPhotographyQualityRatingSequence;       
@property (class, nonatomic, assign, readonly) LTDicomTagCode wideFieldOphthalmicPhotographyQualityThresholdSequence;    
@property (class, nonatomic, assign, readonly) LTDicomTagCode wideFieldOphthalmicPhotographyThresholdQualityRating;      
@property (class, nonatomic, assign, readonly) LTDicomTagCode xCoordinatesCenterPixelViewAngle;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode yCoordinatesCenterPixelViewAngle;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfMapPoints;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDimensionalToThreeDimensionalMapData;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode derivationAlgorithmSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicImageTypeCodeSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicImageTypeDescription;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanPatternTypeCodeSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSurfaceMeshIdentificationSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicVolumetricPropertiesFlag;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAnatomicReferencePointXCoordinate;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicAnatomicReferencePointYCoordinate;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicEnFaceImageQualityRatingSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode qualityThreshold;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode octbScanAnalysisAcquisitionParametersSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfBScansPerFrame;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode bScanSlabThickness;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode distanceBetweenBScanSlabs;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode bScanCycleTime;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode bScanCycleTimeVector;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode aScanRate;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode bScanRate;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceMeshZPixelOffset;                                   

// *****************************************************************************************************************************
// *** 0024
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldHorizontalExtent;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldVerticalExtent;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldShape;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode screeningTestModeCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumStimulusLuminance;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode backgroundLuminance;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode stimulusColorCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode backgroundIlluminationColorCodeSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode stimulusArea;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode stimulusPresentationTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationMonitoringCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldCatchTrialSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationCheckedQuantity;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientNotProperlyFixatedQuantity;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentedVisualStimuliDataFlag;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfVisualStimuli;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode excessiveFixationLossesDataFlag;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode excessiveFixationLosses;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode stimuliRetestingQuantity;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode commentsOnPatientPerformanceOfVisualField;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode falseNegativesEstimateFlag;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode falseNegativesEstimate;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode negativeCatchTrialsQuantity;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode falseNegativesQuantity;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode excessiveFalseNegativesDataFlag;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode excessiveFalseNegatives;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode falsePositivesEstimateFlag;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode falsePositivesEstimate;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode catchTrialsDataFlag;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode positiveCatchTrialsQuantity;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode testPointNormalsDataFlag;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode testPointNormalsSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode globalDeviationProbabilityNormalsFlag;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode falsePositivesQuantity;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode excessiveFalsePositivesDataFlag;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode excessiveFalsePositives;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldTestNormalsFlag;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode resultsNormalsSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode ageCorrectedSensitivityDeviationAlgorithmSequence;         
@property (class, nonatomic, assign, readonly) LTDicomTagCode globalDeviationFromNormal;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalizedDefectSensitivityDeviationAlgorithmSequence;    
@property (class, nonatomic, assign, readonly) LTDicomTagCode localizedDeviationFromNormal;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientReliabilityIndicator;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldMeanSensitivity;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode globalDeviationProbability;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode localDeviationProbabilityNormalsFlag;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode localizedDeviationProbability;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode shortTermFluctuationCalculated;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode shortTermFluctuation;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode shortTermFluctuationProbabilityCalculated;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode shortTermFluctuationProbability;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode correctedLocalizedDeviationFromNormalCalculated;           
@property (class, nonatomic, assign, readonly) LTDicomTagCode correctedLocalizedDeviationFromNormal;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode correctedLocalizedDeviationFromNormalProbabilityCalculated;
@property (class, nonatomic, assign, readonly) LTDicomTagCode correctedLocalizedDeviationFromNormalProbability;          
@property (class, nonatomic, assign, readonly) LTDicomTagCode globalDeviationProbabilitySequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode localizedDeviationProbabilitySequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode fovealSensitivityMeasured;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode fovealSensitivity;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldTestDuration;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldTestPointSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldTestPointXCoordinate;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldTestPointYCoordinate;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode ageCorrectedSensitivityDeviationValue;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode stimulusResults;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode sensitivityValue;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode retestStimulusSeen;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode retestSensitivityValue;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldTestPointNormalsSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode quantifiedDefect;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode ageCorrectedSensitivityDeviationProbabilityValue;          
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalizedDefectCorrectedSensitivityDeviationFlag;        
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalizedDefectCorrectedSensitivityDeviationValue;       
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalizedDefectCorrectedSensitivityDeviationProbabilityValue;
@property (class, nonatomic, assign, readonly) LTDicomTagCode minimumSensitivityValue;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode blindSpotLocalized;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode blindSpotXCoordinate;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode blindSpotYCoordinate;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualAcuityMeasurementSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode refractiveParametersUsedOnPatientSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode measurementLaterality;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicPatientClinicalInformationLeftEyeSequence;       
@property (class, nonatomic, assign, readonly) LTDicomTagCode ophthalmicPatientClinicalInformationRightEyeSequence;      
@property (class, nonatomic, assign, readonly) LTDicomTagCode fovealPointNormativeDataFlag;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode fovealPointProbabilityValue;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode screeningBaselineMeasured;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode screeningBaselineMeasuredSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode screeningBaselineType;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode screeningBaselineValue;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmSource;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataSetName;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataSetVersion;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataSetSource;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataSetDescription;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldTestReliabilityGlobalIndexSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualFieldGlobalResultsIndexSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataObservationSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode indexNormalsFlag;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode indexProbability;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode indexProbabilitySequence;                                  

// *****************************************************************************************************************************
// *** 0028
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode samplesPerPixel;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode samplesPerPixelUsed;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode photometricInterpretation;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageDimensions;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode planarConfiguration;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFrames;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameIncrementPointer;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameDimensionPointer;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode rows;                                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode columns;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode planes;                                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode ultrasoundColorDataPresent;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelSpacing;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode zoomFactor;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode zoomCenter;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelAspectRatio;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageFormat;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode manipulatedImage;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode correctedImage;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode compressionRecognitionCode;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode compressionCode;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode compressionOriginator;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode compressionLabel;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode compressionDescription;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode compressionSequence;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode compressionStepPointers;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode repeatInterval;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode bitsGrouped;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode perimeterTable;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode perimeterValue;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode predictorRows;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode predictorColumns;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode predictorConstants;                                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockedPixels;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockRows;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockColumns;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode rowOverlap;                                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode columnOverlap;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode bitsAllocated;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode bitsStored;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode highBit;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelRepresentation;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode smallestValidPixelValue;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode largestValidPixelValue;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode smallestImagePixelValue;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode largestImagePixelValue;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode smallestPixelValueInSeries;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode largestPixelValueInSeries;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode smallestImagePixelValueInPlane;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode largestImagePixelValueInPlane;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelPaddingValue;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelPaddingRangeLimit;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode floatPixelPaddingValue;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleFloatPixelPaddingValue;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode floatPixelPaddingRangeLimit;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleFloatPixelPaddingRangeLimit;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageLocation;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode qualityControlImage;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode burnedInAnnotation;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode recognizableVisualFeatures;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode longitudinalTemporalInformationModified;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedColorPaletteInstanceUID;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode transformLabel;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode transformVersionNumber;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTransformSteps;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode sequenceOfCompressedData;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode detailsOfCoefficients;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode rowsForNthOrderCoefficients;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode columnsForNthOrderCoefficients;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode coefficientCoding;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode coefficientCodingPointers;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dctLabel;                                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataBlockDescription;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataBlock;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode normalizationFactorFormat;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode zonalMapNumberFormat;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode zonalMapLocation;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode zonalMapFormat;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode adaptiveMapFormat;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode codeNumberFormat;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode codeLabel;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTables;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode codeTableLocation;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode bitsForCodeWord;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageDataLocation;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelSpacingCalibrationType;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelSpacingCalibrationDescription;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelIntensityRelationship;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelIntensityRelationshipSign;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode windowCenter;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode windowWidth;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode rescaleIntercept;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rescaleSlope;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode rescaleType;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode windowCenterWidthExplanation;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode voilutFunction;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode grayScale;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedViewingMode;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode grayLookupTableDescriptor;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode redPaletteColorLookupTableDescriptor;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode greenPaletteColorLookupTableDescriptor;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode bluePaletteColorLookupTableDescriptor;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode alphaPaletteColorLookupTableDescriptor;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode largeRedPaletteColorLookupTableDescriptor;                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode largeGreenPaletteColorLookupTableDescriptor;                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode largeBluePaletteColorLookupTableDescriptor;                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode paletteColorLookupTableUID;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode grayLookupTableData;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode redPaletteColorLookupTableData;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode greenPaletteColorLookupTableData;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode bluePaletteColorLookupTableData;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode alphaPaletteColorLookupTableData;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode largeRedPaletteColorLookupTableData;                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode largeGreenPaletteColorLookupTableData;                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode largeBluePaletteColorLookupTableData;                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode largePaletteColorLookupTableUID;                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentedRedPaletteColorLookupTableData;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentedGreenPaletteColorLookupTableData;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentedBluePaletteColorLookupTableData;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentedAlphaPaletteColorLookupTableData;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode storedValueColorRangeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode minimumStoredValueMapped;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumStoredValueMapped;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode breastImplantPresent;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode partialView;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode partialViewDescription;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode partialViewCodeSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode spatialLocationsPreserved;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataFrameAssignmentSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataPathAssignment;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode bitsMappedToColorLookupTable;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingLUT1Sequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingLUT1TransferFunction;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingWeightConstant;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingLookupTableDescriptor;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingLookupTableData;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode enhancedPaletteColorLookupTableSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingLUT2Sequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingLUT2TransferFunction;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataPathID;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode rgblutTransferFunction;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode alphaLUTTransferFunction;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode iccProfile;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode colorSpace;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode lossyImageCompression;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode lossyImageCompressionRatio;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode lossyImageCompressionMethod;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode modalityLUTSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode lutDescriptor;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode lutExplanation;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode modalityLUTType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode lutData;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode voilutSequence;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode softcopyVOILUTSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagePresentationComments;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode biPlaneAcquisitionSequence;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode representativeFrameNumber;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameNumbersOfInterestFOI;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameOfInterestDescription;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameOfInterestType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode maskPointer;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode rWavePointer;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode maskSubtractionSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode maskOperation;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicableFrameRange;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode maskFrameNumbers;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastFrameAveraging;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode maskSubPixelShift;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode tidOffset;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode maskOperationExplanation;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode equipmentAdministratorSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfDisplaySubsystems;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode currentConfigurationID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySubsystemID;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySubsystemName;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySubsystemDescription;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode systemStatus;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode systemStatusComment;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetLuminanceCharacteristicsSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode luminanceCharacteristicsID;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySubsystemConfigurationSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode configurationID;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode configurationName;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode configurationDescription;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedTargetLuminanceCharacteristicsID;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode qaResultsSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySubsystemQAResultsSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode configurationQAResultsSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode measurementEquipmentSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode measurementFunctions;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode measurementEquipmentType;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualEvaluationResultSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayCalibrationResultSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode ddlValue;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode ciExyWhitePoint;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayFunctionType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode gammaValue;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfLuminancePoints;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode luminanceResponseSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetMinimumLuminance;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetMaximumLuminance;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode luminanceValue;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode luminanceResponseDescription;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode whitePointFlag;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayDeviceTypeCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySubsystemSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode luminanceResultSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode ambientLightValueSource;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredCharacteristics;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode luminanceUniformityResultSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualEvaluationTestSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode testResult;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode testResultComment;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode testImageValidation;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode testPatternCodeSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode measurementPatternCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualEvaluationMethodCodeSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelDataProviderURL;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataPointRows;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataPointColumns;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode signalDomainColumns;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode largestMonochromePixelValue;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataRepresentation;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelMeasuresSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameVOILUTSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelValueTransformationSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode signalDomainRows;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayFilterPercentage;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode framePixelShiftSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode subtractionItemID;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelIntensityRelationshipLUTSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode framePixelDataPropertiesSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode geometricalProperties;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode geometricMaximumDistortion;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageProcessingApplied;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode maskSelectionMode;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode lutFunction;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode maskVisibilityPercentage;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelShiftSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode regionPixelShiftSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode verticesOfTheRegion;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiFramePresentationSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelShiftFrameRange;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode lutFrameRange;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageToEquipmentMappingMatrix;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode equipmentCoordinateSystemIdentification;                   

// *****************************************************************************************************************************
// *** 0032
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyStatusID;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyPriorityID;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyIDIssuer;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyVerifiedDate;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyVerifiedTime;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyReadDate;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyReadTime;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStudyStartDate;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStudyStartTime;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStudyStopDate;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStudyStopTime;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStudyLocation;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStudyLocationAETitle;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForStudy;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestingPhysicianIdentificationSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestingPhysician;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestingService;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestingServiceCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyArrivalDate;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyArrivalTime;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyCompletionDate;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyCompletionTime;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyComponentStatusID;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedProcedureDescription;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedProcedureCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForVisit;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForVisitCodeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedContrastAgent;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode studyComments;                                                // Retired

// *****************************************************************************************************************************
// *** 0034
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode flowIdentifierSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode flowIdentifier;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode flowTransferSyntaxUID;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode flowRTPSamplingRate;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceIdentifier;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameOriginTimestamp;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode includesImagingSubject;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameUsefulnessGroupSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode realTimeBulkDataFlowSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode cameraPositionGroupSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode includesInformation;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeOfFrameGroupSequence;                                  

// *****************************************************************************************************************************
// *** 0038
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPatientAliasSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode visitStatusID;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode admissionID;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode issuerOfAdmissionID;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode issuerOfAdmissionIDSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode routeOfAdmissions;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledAdmissionDate;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledAdmissionTime;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledDischargeDate;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledDischargeTime;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledPatientInstitutionResidence;                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode admittingDate;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode admittingTime;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode dischargeDate;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dischargeTime;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dischargeDiagnosisDescription;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dischargeDiagnosisCodeSequence;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode specialNeeds;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode serviceEpisodeID;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode issuerOfServiceEpisodeID;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode serviceEpisodeDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode issuerOfServiceEpisodeIDSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode pertinentDocumentsSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode pertinentResourcesSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode resourceDescription;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode currentPatientLocation;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientInstitutionResidence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientState;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientClinicalTrialParticipationSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode visitComments;                                             

// *****************************************************************************************************************************
// *** 003a
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformOriginality;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfWaveformChannels;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfWaveformSamples;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode samplingFrequency;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiplexGroupLabel;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelDefinitionSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformChannelNumber;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelLabel;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelStatus;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelSourceSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelSourceModifiersSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceWaveformSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelDerivationDescription;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelSensitivity;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelSensitivityUnitsSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelSensitivityCorrectionFactor;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelBaseline;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelTimeSkew;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelSampleSkew;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelOffset;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformBitsStored;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterLowFrequency;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterHighFrequency;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode notchFilterFrequency;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode notchFilterBandwidth;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformDataDisplayScale;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformDisplayBackgroundCIELabValue;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformPresentationGroupSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationGroupNumber;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelDisplaySequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelRecommendedDisplayCIELabValue;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelPosition;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayShadingFlag;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionalChannelDisplayScale;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode absoluteChannelDisplayScale;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiplexedAudioChannelsDescriptionCodeSequence;           
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelIdentificationCode;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelMode;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiplexGroupUID;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode powerlineFrequency;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelImpedanceSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode impedanceValue;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode impedanceMeasurementDateTime;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode impedanceMeasurementFrequency;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode impedanceMeasurementCurrentType;                           

// *****************************************************************************************************************************
// *** 0040
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStationAETitle;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepStartDate;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepStartTime;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepEndDate;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepEndTime;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledPerformingPhysicianName;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepDescription;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProtocolCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepID;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode stageCodeSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledPerformingPhysicianIdentificationSequence;        
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStationName;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepLocation;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode preMedication;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepStatus;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode orderPlacerIdentifierSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode orderFillerIdentifierSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode localNamespaceEntityID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode universalEntityID;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode universalEntityIDType;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode identifierTypeCode;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode assigningFacilitySequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode assigningJurisdictionCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode assigningAgencyOrDepartmentCodeSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedNonImageCompositeSOPInstanceSequence;            
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedStationAETitle;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedStationName;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedLocation;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureStepStartDate;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureStepStartTime;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureStepEndDate;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureStepEndTime;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureStepStatus;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureStepID;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureStepDescription;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureTypeDescription;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProtocolCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProtocolType;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStepAttributesSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestAttributesSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode commentsOnThePerformedProcedureStep;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureStepDiscontinuationReasonCodeSequence;   
@property (class, nonatomic, assign, readonly) LTDicomTagCode quantitySequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode quantity;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuringUnitsSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode billingItemSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalTimeOfFluoroscopy;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalNumberOfExposures;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode entranceDose;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposedArea;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode distanceSourceToEntrance;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode distanceSourceToSupport;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureDoseSequence;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode commentsOnRadiationDose;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayOutput;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode halfValueLayer;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode organDose;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode organExposed;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode billingProcedureStepSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode filmConsumptionSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode billingSuppliesAndDevicesSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedProcedureStepSequence;                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedSeriesSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode commentsOnTheScheduledProcedureStep;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode protocolContextSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode contentItemModifierSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledSpecimenSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenAccessionNumber;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerIdentifier;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode issuerOfTheContainerIdentifierSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode alternateContainerIdentifierSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerTypeCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerDescription;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerComponentSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenSequence;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenIdentifier;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenDescriptionSequenceTrial;                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenDescriptionTrial;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenUID;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionContextSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionContextDescription;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenDescriptionSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode issuerOfTheSpecimenIdentifierSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenTypeCodeSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenShortDescription;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenDetailedDescription;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenPreparationSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenPreparationStepContentItemSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenLocalizationContentItemSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode slideIdentifier;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode wholeSlideMicroscopyImageFrameTypeSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageCenterPointCoordinatesSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode xOffsetInSlideCoordinateSystem;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode yOffsetInSlideCoordinateSystem;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode zOffsetInSlideCoordinateSystem;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelSpacingSequence;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateSystemAxisCodeSequence;                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode measurementUnitsCodeSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode vitalStainCodeSequenceTrial;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedProcedureID;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForTheRequestedProcedure;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedProcedurePriority;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientTransportArrangements;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedProcedureLocation;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode placerOrderNumberProcedure;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode fillerOrderNumberProcedure;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode confidentialityCode;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode reportingPriority;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForRequestedProcedureCodeSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode namesOfIntendedRecipientsOfResults;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode intendedRecipientsOfResultsIdentificationSequence;         
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForPerformedProcedureCodeSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedProcedureDescriptionTrial;                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode personIdentificationCodeSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode personAddress;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode personTelephoneNumbers;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode personTelecomInformation;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedProcedureComments;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForTheImagingServiceRequest;                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode issueDateOfImagingServiceRequest;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode issueTimeOfImagingServiceRequest;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode placerOrderNumberImagingServiceRequestRetired;                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode fillerOrderNumberImagingServiceRequestRetired;                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode orderEnteredBy;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode orderEntererLocation;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode orderCallbackPhoneNumber;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode orderCallbackTelecomInformation;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode placerOrderNumberImagingServiceRequest;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode fillerOrderNumberImagingServiceRequest;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagingServiceRequestComments;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode confidentialityConstraintOnPatientDataDescription;         
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalPurposeScheduledProcedureStepStatus;                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalPurposePerformedProcedureStepStatus;                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalPurposeScheduledProcedureStepPriority;                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcessingApplicationsCodeSequence;                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepStartDateTime;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode multipleCopiesFlag;                                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcessingApplicationsCodeSequence;                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepExpirationDateTime;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode humanPerformerCodeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepModificationDateTime;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode expectedCompletionDateTime;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode resultingGeneralPurposePerformedProcedureStepsSequence;       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedGeneralPurposeScheduledProcedureStepSequence;       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledWorkitemCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedWorkitemCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode inputAvailabilityFlag;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode inputInformationSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode relevantInformationSequence;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedGeneralPurposeScheduledProcedureStepTransactionUID;   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStationNameCodeSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStationClassCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledStationGeographicLocationCodeSequence;            
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedStationNameCodeSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedStationClassCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedStationGeographicLocationCodeSequence;            
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedSubsequentWorkitemCodeSequence;                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode nonDICOMOutputCodeSequence;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode outputInformationSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledHumanPerformersSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode actualHumanPerformersSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode humanPerformerOrganization;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode humanPerformerName;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode rawDataHandling;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode inputReadinessState;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureStepStartDateTime;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureStepEndDateTime;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureStepCancellationDateTime;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode outputDestinationSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode dicomStorageSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode stowrsStorageSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode storageURL;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode xdsStorageSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode entranceDoseInMGy;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode entranceDoseDerivation;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode parametricMapFrameTypeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedImageRealWorldValueMappingSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode realWorldValueMappingSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelValueMappingCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode lutLabel;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode realWorldValueLastValueMapped;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode realWorldValueLUTData;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleFloatRealWorldValueLastValueMapped;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleFloatRealWorldValueFirstValueMapped;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode realWorldValueFirstValueMapped;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode quantityDefinitionSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode realWorldValueIntercept;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode realWorldValueSlope;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode findingsFlagTrial;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode relationshipType;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode findingsSequenceTrial;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode findingsGroupUIDTrial;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFindingsGroupUIDTrial;                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode findingsGroupRecordingDateTrial;                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode findingsGroupRecordingTimeTrial;                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode findingsSourceCategoryCodeSequenceTrial;                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode verifyingOrganization;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode documentingOrganizationIdentifierCodeSequenceTrial;           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode verificationDateTime;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationDateTime;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationStartDateTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode valueType;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptNameCodeSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode measurementPrecisionDescriptionTrial;                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode continuityOfContent;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode urgencyOrPriorityAlertsTrial;                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode sequencingIndicatorTrial;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode documentIdentifierCodeSequenceTrial;                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode documentAuthorTrial;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode documentAuthorIdentifierCodeSequenceTrial;                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode identifierCodeSequenceTrial;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode verifyingObserverSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode objectBinaryIdentifierTrial;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode verifyingObserverName;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode documentingObserverIdentifierCodeSequenceTrial;               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode authorObserverSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode participantSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode custodialOrganizationSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode participationType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode participationDateTime;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode observerType;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureIdentifierCodeSequenceTrial;                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode verifyingObserverIdentificationCodeSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode objectDirectoryBinaryIdentifierTrial;                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode equivalentCDADocumentSequence;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedWaveformChannels;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode dateOfDocumentOrVerbalTransactionTrial;                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeOfDocumentCreationOrVerbalTransactionTrial;               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dateTime;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode date;                                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode time;                                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode personName;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode uid;                                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode reportStatusIDTrial;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode temporalRangeType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSamplePositions;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFrameNumbers;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedTimeOffsets;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDateTime;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode textValue;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode floatingPointValue;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode rationalNumeratorValue;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rationalDenominatorValue;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationCategoryCodeSequenceTrial;                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptCodeSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode bibliographicCitationTrial;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode purposeOfReferenceCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationUID;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedObservationUIDTrial;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedObservationClassTrial;                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedObjectObservationClassTrial;                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode annotationGroupNumber;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationDateTrial;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationTimeTrial;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode measurementAutomationTrial;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode modifierCodeSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode identificationDescriptionTrial;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinatesSetGeometricTypeTrial;                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmCodeSequenceTrial;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmDescriptionTrial;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelCoordinatesSetTrial;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredValueSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode numericValueQualifierCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode currentObserverTrial;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode numericValue;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedAccessionSequenceTrial;                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode reportStatusCommentTrial;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureContextSequenceTrial;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode verbalSourceTrial;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode addressTrial;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode telephoneNumberTrial;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode verbalSourceIdentifierCodeSequenceTrial;                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode predecessorDocumentsSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRequestSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcedureCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode currentRequestedProcedureEvidenceSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode reportDetailSequenceTrial;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode pertinentOtherEvidenceSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode hl7StructuredDocumentReferenceSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationSubjectUIDTrial;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationSubjectClassTrial;                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationSubjectTypeCodeSequenceTrial;                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode completionFlag;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode completionFlagDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode verificationFlag;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode archiveRequested;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode preliminaryFlag;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode contentTemplateSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode identicalDocumentsSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationSubjectContextFlagTrial;                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode observerContextFlagTrial;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureContextFlagTrial;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode contentSequence;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode relationshipSequenceTrial;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode relationshipTypeCodeSequenceTrial;                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode languageCodeSequenceTrial;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode tabulatedValuesSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTableRows;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTableColumns;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableRowNumber;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableColumnNumber;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableRowDefinitionSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableColumnDefinitionSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode cellValuesSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode uniformResourceLocatorTrial;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformAnnotationSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode templateIdentifier;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode templateVersion;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode templateLocalVersion;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode templateExtensionFlag;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode templateExtensionOrganizationUID;                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode templateExtensionCreatorUID;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedContentItemIdentifier;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode hl7InstanceIdentifier;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode hl7DocumentEffectiveTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode hl7DocumentTypeCodeSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode documentClassCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode retrieveURI;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode retrieveLocationUID;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode typeOfInstances;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode dicomRetrievalSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode dicomMediaRetrievalSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode wadoRetrievalSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode xdsRetrievalSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode wadorsRetrievalSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode repositoryUniqueID;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode homeCommunityID;                                           

// *****************************************************************************************************************************
// *** 0042
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode documentTitle;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode encapsulatedDocument;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode mimeTypeOfEncapsulatedDocument;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceInstanceSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode listOfMIMETypes;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode encapsulatedDocumentLength;                                

// *****************************************************************************************************************************
// *** 0044
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode productPackageIdentifier;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode substanceAdministrationApproval;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode approvalStatusFurtherDescription;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode approvalStatusDateTime;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode productTypeCodeSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode productName;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode productDescription;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode productLotIdentifier;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode productExpirationDateTime;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode substanceAdministrationDateTime;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode substanceAdministrationNotes;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode substanceAdministrationDeviceID;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode productParameterSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode substanceAdministrationParameterSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode approvalSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode assertionCodeSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode assertionUID;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode asserterIdentificationSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode assertionDateTime;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode assertionExpirationDateTime;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode assertionComments;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode relatedAssertionSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedAssertionUID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode approvalSubjectSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode organizationalRoleCodeSequence;                            

// *****************************************************************************************************************************
// *** 0046
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensDescription;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode rightLensSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode leftLensSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode unspecifiedLateralityLensSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode cylinderSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode prismSequence;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode horizontalPrismPower;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode horizontalPrismBase;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode verticalPrismPower;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode verticalPrismBase;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode lensSegmentType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode opticalTransmittance;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelWidth;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode pupilSize;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealSize;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealSizeSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode autorefractionRightEyeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode autorefractionLeftEyeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode distancePupillaryDistance;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode nearPupillaryDistance;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode intermediatePupillaryDistance;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherPupillaryDistance;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode keratometryRightEyeSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode keratometryLeftEyeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode steepKeratometricAxisSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiusOfCurvature;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode keratometricPower;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode keratometricAxis;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode flatKeratometricAxisSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode backgroundColor;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode optotype;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode optotypePresentation;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode subjectiveRefractionRightEyeSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode subjectiveRefractionLeftEyeSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode addNearSequence;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode addIntermediateSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode addOtherSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode addPower;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewingDistance;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode corneaMeasurementsSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceOfCorneaMeasurementDataCodeSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode steepCornealAxisSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode flatCornealAxisSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealPower;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealAxis;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode corneaMeasurementMethodCodeSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode refractiveIndexOfCornea;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode refractiveIndexOfAqueousHumor;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualAcuityTypeCodeSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualAcuityRightEyeSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualAcuityLeftEyeSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualAcuityBothEyesOpenSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewingDistanceType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode visualAcuityModifiers;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode decimalVisualAcuity;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode optotypeDetailedDefinition;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRefractiveMeasurementsSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode spherePower;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode cylinderPower;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealTopographySurface;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealVertexLocation;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode pupilCentroidXCoordinate;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode pupilCentroidYCoordinate;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode equivalentPupilRadius;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealTopographyMapTypeCodeSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode verticesOfTheOutlineOfPupil;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealTopographyMappingNormalsSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumCornealCurvatureSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumCornealCurvature;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumCornealCurvatureLocation;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode minimumKeratometricSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode simulatedKeratometricCylinderSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode averageCornealPower;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealISValue;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode analyzedArea;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceRegularityIndex;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceAsymmetryIndex;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealEccentricityIndex;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode keratoconusPredictionIndex;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode decimalPotentialVisualAcuity;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealTopographyMapQualityEvaluation;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceImageCornealProcessedDataSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealPointLocation;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealPointEstimated;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode axialPower;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode tangentialPower;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode refractivePower;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode relativeElevation;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode cornealWavefront;                                          

// *****************************************************************************************************************************
// *** 0048
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagedVolumeWidth;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagedVolumeHeight;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagedVolumeDepth;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalPixelMatrixColumns;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalPixelMatrixRows;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalPixelMatrixOriginSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenLabelInImage;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode focusMethod;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode extendedDepthOfField;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFocalPlanes;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode distanceBetweenFocalPlanes;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedAbsentPixelCIELabValue;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode illuminatorTypeCodeSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageOrientationSlide;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode opticalPathSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode opticalPathIdentifier;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode opticalPathDescription;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode illuminationColorCodeSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode specimenReferenceSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode condenserLensPower;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode objectiveLensPower;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode objectiveLensNumericalAperture;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode paletteColorLookupTableSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedImageNavigationSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode topLeftHandCornerOfLocalizerArea;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode bottomRightHandCornerOfLocalizerArea;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode opticalPathIdentificationSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode planePositionSlideSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode columnPositionInTotalImagePixelMatrix;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode rowPositionInTotalImagePixelMatrix;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelOriginInterpretation;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfOpticalPaths;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalPixelMatrixFocalPlanes;                               

// *****************************************************************************************************************************
// *** 0050
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode calibrationImage;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceSequence;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerComponentTypeCodeSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerComponentThickness;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceLength;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerComponentWidth;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceDiameter;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceDiameterUnits;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceVolume;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode intermarkerDistance;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerComponentMaterial;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerComponentID;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerComponentLength;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerComponentDiameter;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode containerComponentDescription;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceDescription;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode longDeviceDescription;                                     

// *****************************************************************************************************************************
// *** 0052
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode contrastBolusIngredientPercentByVolume;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode octFocalDistance;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamSpotSize;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode effectiveRefractiveIndex;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode octAcquisitionDomain;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode octOpticalCenterWavelength;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode axialResolution;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangingDepth;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode aLineRate;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode aLinesPerFrame;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode catheterRotationalRate;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode aLinePixelSpacing;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode modeOfPercutaneousAccessSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode intravascularOCTFrameTypeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode octzOffsetApplied;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode intravascularFrameContentSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode intravascularLongitudinalDistance;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode intravascularOCTFrameContentSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode octzOffsetCorrection;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode catheterDirectionOfRotation;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode seamLineLocation;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode firstALineLocation;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode seamLineIndex;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPaddedALines;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpolationType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode refractiveIndexApplied;                                    

// *****************************************************************************************************************************
// *** 0054
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyWindowVector;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfEnergyWindows;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyWindowInformationSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyWindowRangeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyWindowLowerLimit;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyWindowUpperLimit;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalInformationSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode residualSyringeCounts;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyWindowName;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorVector;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfDetectors;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorInformationSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode phaseVector;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPhases;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode phaseInformationSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFramesInPhase;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode phaseDelay;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode pauseBetweenFrames;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode phaseDescription;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rotationVector;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfRotations;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode rotationInformationSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFramesInRotation;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode rrIntervalVector;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfRRIntervals;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode gatedInformationSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataInformationSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeSlotVector;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTimeSlots;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeSlotInformationSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeSlotTime;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode sliceVector;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfSlices;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode angularViewVector;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeSliceVector;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTimeSlices;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode startAngle;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode typeOfDetectorMotion;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode triggerVector;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTriggersInPhase;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewCodeSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewModifierCodeSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode radionuclideCodeSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode administrationRouteCodeSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiopharmaceuticalCodeSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode calibrationDataSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyWindowNumber;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageID;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientOrientationCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientOrientationModifierCodeSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientGantryRelationshipCodeSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode sliceProgressionDirection;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanProgressionDirection;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode seriesType;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode units;                                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode countsSource;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode reprojectionMethod;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode suvType;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode randomsCorrectionMethod;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode attenuationCorrectionMethod;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode decayCorrection;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode reconstructionMethod;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorLinesOfResponseUsed;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode scatterCorrectionMethod;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode axialAcceptance;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode axialMash;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode transverseMash;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorElementSize;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode coincidenceWindowWidth;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryCountsType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameReferenceTime;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryPromptsCountsAccumulated;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryCountsAccumulated;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode sliceSensitivityFactor;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode decayFactor;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseCalibrationFactor;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode scatterFractionFactor;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode deadTimeFactor;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageIndex;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode countsIncluded;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode deadTimeCorrectionFlag;                                       // Retired

// *****************************************************************************************************************************
// *** 0060
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode histogramSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode histogramNumberOfBins;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode histogramFirstBinValue;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode histogramLastBinValue;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode histogramBinWidth;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode histogramExplanation;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode histogramData;                                             

// *****************************************************************************************************************************
// *** 0062
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentationType;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentSequence;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentedPropertyCategoryCodeSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentNumber;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentLabel;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentDescription;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentationAlgorithmIdentificationSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentAlgorithmType;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentAlgorithmName;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentIdentificationSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSegmentNumber;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedDisplayGrayscaleValue;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedDisplayCIELabValue;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumFractionalValue;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentedPropertyTypeCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentationFractionalType;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentedPropertyTypeModifierCodeSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode usedSegmentsSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentsOverlap;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackingID;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackingUID;                                               

// *****************************************************************************************************************************
// *** 0064
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode deformableRegistrationSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceFrameOfReferenceUID;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode deformableRegistrationGridSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridDimensions;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridResolution;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode vectorGridData;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode preDeformationMatrixRegistrationSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode postDeformationMatrixRegistrationSequence;                 

// *****************************************************************************************************************************
// *** 0066
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfSurfaces;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceSequence;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceNumber;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceComments;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceProcessing;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceProcessingRatio;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceProcessingDescription;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedPresentationOpacity;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedPresentationType;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode finiteVolume;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode manifold;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfacePointsSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfacePointsNormalsSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceMeshPrimitivesSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfSurfacePoints;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode pointCoordinatesData;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode pointPositionAccuracy;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode meanPointDistance;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumPointDistance;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode pointsBoundingBoxCoordinates;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode axisOfRotation;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode centerOfRotation;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfVectors;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode vectorDimensionality;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode vectorAccuracy;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode vectorCoordinateData;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode trianglePointIndexList;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode edgePointIndexList;                                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode vertexPointIndexList;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode triangleStripSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode triangleFanSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode lineSequence;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode primitivePointIndexList;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceCount;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSurfaceSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSurfaceNumber;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentSurfaceGenerationAlgorithmIdentificationSequence;   
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentSurfaceSourceInstanceSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmFamilyCodeSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmNameCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmVersion;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmParameters;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode facetSequence;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceProcessingAlgorithmIdentificationSequence;          
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmName;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedPointRadius;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedLineThickness;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode longPrimitivePointIndexList;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode longTrianglePointIndexList;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode longEdgePointIndexList;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode longVertexPointIndexList;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackSetSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackSequence;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedDisplayCIELabValueList;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackingAlgorithmIdentificationSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackSetNumber;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackSetLabel;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackSetDescription;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackSetAnatomicalTypeCodeSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode measurementsSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackSetStatisticsSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode floatingPointValues;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackPointIndexList;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode trackStatisticsSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode measurementValuesSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionAcquisitionCodeSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffusionModelCodeSequence;                                

// *****************************************************************************************************************************
// *** 0068
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantSize;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateVersion;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode replacedImplantTemplateSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantType;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode derivationImplantTemplateSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode originalImplantTemplateSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode effectiveDateTime;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTargetAnatomySequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode informationFromManufacturerSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode notificationFromManufacturerSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode informationIssueDateTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode informationSummary;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantRegulatoryDisapprovalCodeSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode overallTemplateSpatialTolerance;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode hpglDocumentSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode hpglDocumentID;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode hpglDocumentLabel;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewOrientationCodeSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewOrientationModifierCodeSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode hpglDocumentScaling;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode hpglDocument;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode hpglContourPenNumber;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode hpglPenSequence;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode hpglPenNumber;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode hpglPenLabel;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode hpglPenDescription;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedRotationPoint;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode boundingRectangle;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplate3DModelSurfaceNumber;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceModelDescriptionSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceModelLabel;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceModelScalingFactor;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialsCodeSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode coatingMaterialsCodeSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTypeCodeSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationMethodCodeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode matingFeatureSetsSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode matingFeatureSetID;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode matingFeatureSetLabel;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode matingFeatureSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode matingFeatureID;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode matingFeatureDegreeOfFreedomSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode degreeOfFreedomID;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode degreeOfFreedomType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDMatingFeatureCoordinatesSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedHPGLDocumentID;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDMatingPoint;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDMatingAxes;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDDegreeOfFreedomSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode threeDDegreeOfFreedomAxis;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeOfFreedom;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode threeDMatingPoint;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode threeDMatingAxes;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDDegreeOfFreedomAxis;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode planningLandmarkPointSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode planningLandmarkLineSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode planningLandmarkPlaneSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode planningLandmarkID;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode planningLandmarkDescription;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode planningLandmarkIdentificationCodeSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDPointCoordinatesSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDPointCoordinates;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode threeDPointCoordinates;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDLineCoordinatesSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDLineCoordinates;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode threeDLineCoordinates;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDPlaneCoordinatesSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDPlaneIntersection;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode threeDPlaneOrigin;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode threeDPlaneNormal;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode modelModification;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode modelMirroring;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode modelUsageCodeSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode modelGroupUID;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode relativeURIReferenceWithinEncapsulatedDocument;            

// *****************************************************************************************************************************
// *** 0070
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicAnnotationSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicLayer;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode boundingBoxAnnotationUnits;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode anchorPointAnnotationUnits;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicAnnotationUnits;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode unformattedTextValue;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode textObjectSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicObjectSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode boundingBoxTopLeftHandCorner;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode boundingBoxBottomRightHandCorner;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode boundingBoxTextHorizontalJustification;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode anchorPoint;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode anchorPointVisibility;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicDimensions;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfGraphicPoints;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicData;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicType;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicFilled;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageRotationRetired;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageHorizontalFlip;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageRotation;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayedAreaTopLeftHandCornerTrial;                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayedAreaBottomRightHandCornerTrial;                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayedAreaTopLeftHandCorner;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayedAreaBottomRightHandCorner;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayedAreaSelectionSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicLayerSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicLayerOrder;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicLayerRecommendedDisplayGrayscaleValue;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicLayerRecommendedDisplayRGBValue;                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicLayerDescription;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode contentLabel;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode contentDescription;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationCreationDate;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationCreationTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode contentCreatorName;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode contentCreatorIdentificationCodeSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode alternateContentDescriptionSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationSizeMode;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationPixelSpacing;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationPixelAspectRatio;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationPixelMagnificationRatio;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicGroupLabel;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicGroupDescription;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode compoundGraphicSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode compoundGraphicInstanceID;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode fontName;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode fontNameType;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode cssFontName;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode rotationAngle;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode textStyleSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode lineStyleSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode fillStyleSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicGroupSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode textColorCIELabValue;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode horizontalAlignment;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode verticalAlignment;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode shadowStyle;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode shadowOffsetX;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode shadowOffsetY;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode shadowColorCIELabValue;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode underlined;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode bold;                                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode italic;                                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode patternOnColorCIELabValue;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode patternOffColorCIELabValue;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode lineThickness;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode lineDashingStyle;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode linePattern;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode fillPattern;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode fillMode;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode shadowOpacity;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode gapLength;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode diameterOfVisibility;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rotationPoint;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode tickAlignment;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode showTickLabel;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode tickLabelAlignment;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode compoundGraphicUnits;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode patternOnOpacity;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode patternOffOpacity;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode majorTicksSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode tickPosition;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode tickLabel;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode compoundGraphicType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicGroupID;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode shapeType;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode registrationSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode matrixRegistrationSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode matrixSequence;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameOfReferenceToDisplayedCoordinateSystemTransformationMatrix;
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameOfReferenceTransformationMatrixType;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode registrationTypeCodeSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode fiducialDescription;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode fiducialIdentifier;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode fiducialIdentifierCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode contourUncertaintyRadius;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode usedFiducialsSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicCoordinatesDataSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode fiducialUID;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFiducialUID;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode fiducialSetSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode fiducialSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode fiducialsPropertyCategoryCodeSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode graphicLayerRecommendedDisplayCIELabValue;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode relativeOpacity;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSpatialRegistrationSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingPosition;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationDisplayCollectionUID;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationSequenceCollectionUID;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationSequencePositionIndex;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode renderedImageReferenceSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumetricPresentationStateInputSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationInputType;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode inputSequencePositionIndex;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode crop;                                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode croppingSpecificationIndex;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode compositingMethod;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumetricPresentationInputNumber;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageVolumeGeometry;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumetricPresentationInputSetUID;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumetricPresentationInputSetSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode globalCrop;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode globalCroppingSpecificationIndex;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode renderingMethod;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeCroppingSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeCroppingMethod;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode boundingBoxCrop;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode obliqueCroppingPlaneSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode plane;                                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode planeNormal;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode croppingSpecificationNumber;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode multiPlanarReconstructionStyle;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode mprThicknessType;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode mprSlabThickness;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode mprTopLeftHandCorner;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode mprViewWidthDirection;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode mprViewWidth;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfVolumetricCurvePoints;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumetricCurvePoints;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode mprViewHeightDirection;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode mprViewHeight;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode renderProjection;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewpointPosition;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewpointLookAtPoint;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode viewpointUpDirection;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode renderFieldOfView;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode samplingStepSize;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode shadingStyle;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode ambientReflectionIntensity;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode lightDirection;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode diffuseReflectionIntensity;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode specularReflectionIntensity;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode shininess;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationStateClassificationComponentSequence;          
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentType;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentInputSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumetricPresentationInputIndex;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationStateCompositorComponentSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode weightingTransferFunctionSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode weightingLookupTableDescriptor;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode weightingLookupTableData;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumetricAnnotationSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedStructuredContextSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedContentItem;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumetricPresentationInputAnnotationSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode annotationClipping;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationAnimationStyle;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedAnimationRate;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode animationCurveSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode animationStepSize;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode swivelRange;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumetricCurveUpDirections;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeStreamSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rgbaTransferFunctionDescription;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode advancedBlendingSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingInputNumber;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingDisplayInputSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingDisplaySequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingMode;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeSeriesBlending;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode geometryForDisplay;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode thresholdSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode thresholdValueSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode thresholdType;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode thresholdValue;                                            

// *****************************************************************************************************************************
// *** 0072
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode hangingProtocolName;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode hangingProtocolDescription;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode hangingProtocolLevel;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode hangingProtocolCreator;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode hangingProtocolCreationDateTime;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode hangingProtocolDefinitionSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode hangingProtocolUserIdentificationCodeSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode hangingProtocolUserGroupName;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceHangingProtocolSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPriorsReferenced;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageSetsSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageSetSelectorSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageSetSelectorUsageFlag;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorAttribute;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorValueNumber;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode timeBasedImageSetsSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageSetNumber;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageSetSelectorCategory;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode relativeTime;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode relativeTimeUnits;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode abstractPriorValue;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode abstractPriorCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageSetLabel;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorAttributeVR;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorSequencePointer;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorSequencePointerPrivateCreator;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorAttributePrivateCreator;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorAEValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorASValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorATValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorDAValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorCSValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorDTValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorISValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorOBValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorLOValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorOFValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorLTValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorOWValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorPNValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorTMValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorSHValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorUNValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorSTValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorUCValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorUTValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorURValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorDSValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorODValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorFDValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorOLValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorFLValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorULValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorUSValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorSLValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorSSValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorUIValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorCodeSequenceValue;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorOVValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorSVValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorUVValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfScreens;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalScreenDefinitionSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfVerticalPixels;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfHorizontalPixels;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode displayEnvironmentSpatialPosition;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode screenMinimumGrayscaleBitDepth;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode screenMinimumColorBitDepth;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicationMaximumRepaintTime;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySetsSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySetNumber;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySetLabel;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySetPresentationGroup;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySetPresentationGroupDescription;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode partialDataDisplayHandling;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode synchronizedScrollingSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySetScrollingGroup;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode navigationIndicatorSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode navigationDisplaySet;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceDisplaySets;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxesSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxNumber;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxLayoutType;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxTileHorizontalDimension;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxTileVerticalDimension;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxScrollDirection;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxSmallScrollType;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxSmallScrollAmount;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxLargeScrollType;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxLargeScrollAmount;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxOverlapPriority;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode cineRelativeToRealTime;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterOperationsSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterByCategory;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterByAttributePresence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode filterByOperator;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode structuredDisplayBackgroundCIELabValue;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode emptyImageBoxCIELabValue;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode structuredDisplayImageBoxSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode structuredDisplayTextBoxSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFirstFrameSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxSynchronizationSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode synchronizedImageBoxList;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode typeOfSynchronization;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode blendingOperationType;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode reformattingOperationType;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode reformattingThickness;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode reformattingInterval;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode reformattingOperationInitialViewDirection;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode threeDRenderingType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode sortingOperationsSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode sortByCategory;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode sortingDirection;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySetPatientOrientation;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode voiType;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode pseudoColorType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode pseudoColorPaletteInstanceReferenceSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode showGrayscaleInverted;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode showImageTrueSizeFlag;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode showGraphicAnnotationFlag;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode showPatientDemographicsFlag;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode showAcquisitionTechniquesFlag;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySetHorizontalJustification;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode displaySetVerticalJustification;                           

// *****************************************************************************************************************************
// *** 0074
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode continuationStartMeterset;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode continuationEndMeterset;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureStepState;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureStepProgressInformationSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureStepProgress;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureStepProgressDescription;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureStepProgressParametersSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureStepCommunicationsURISequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode contactURI;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode contactDisplayName;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureStepDiscontinuationReasonCodeSequence;            
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamTaskSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamTaskType;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamOrderIndexTrial;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode autosequenceFlag;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopVerticalAdjustedPosition;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopLongitudinalAdjustedPosition;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopLateralAdjustedPosition;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportAdjustedAngle;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopEccentricAdjustedAngle;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopPitchAdjustedAngle;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopRollAdjustedAngle;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveryVerificationImageSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode verificationImageTiming;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleExposureFlag;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleExposureOrdering;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleExposureMetersetTrial;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleExposureFieldDeltaTrial;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode relatedReferenceRTImageSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalMachineVerificationSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode conventionalMachineVerificationSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionMachineVerificationSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode failedAttributesSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode overriddenAttributesSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode conventionalControlPointVerificationSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionControlPointVerificationSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode attributeOccurrenceSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode attributeOccurrencePointer;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode attributeItemSelector;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode attributeOccurrencePrivateCreator;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorSequencePointerItems;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcedureStepPriority;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode worklistLabel;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureStepLabel;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode scheduledProcessingParametersSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode performedProcessingParametersSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode unifiedProcedureStepPerformedProcedureSequence;            
@property (class, nonatomic, assign, readonly) LTDicomTagCode relatedProcedureStepSequence;                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureStepRelationshipType;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode replacedProcedureStepSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode deletionLock;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode receivingAE;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestingAE;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForCancellation;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode scpStatus;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode subscriptionListStatus;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode unifiedProcedureStepListStatus;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamOrderIndex;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleExposureMeterset;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleExposureFieldDelta;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyTaskSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode continuationStartTotalReferenceAirKerma;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode continuationEndTotalReferenceAirKerma;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode continuationPulseNumber;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelDeliveryOrderSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedChannelNumber;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode startCumulativeTimeWeight;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode endCumulativeTimeWeight;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode omittedChannelSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForChannelOmission;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForChannelOmissionDescription;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelDeliveryOrderIndex;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelDeliveryContinuationSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode omittedApplicationSetupSequence;                           

// *****************************************************************************************************************************
// *** 0076
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantAssemblyTemplateName;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantAssemblyTemplateIssuer;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantAssemblyTemplateVersion;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode replacedImplantAssemblyTemplateSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantAssemblyTemplateType;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode originalImplantAssemblyTemplateSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode derivationImplantAssemblyTemplateSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantAssemblyTemplateTargetAnatomySequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode procedureTypeCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode surgicalTechnique;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentTypesSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentTypeCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode exclusiveComponentType;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode mandatoryComponentType;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentID;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode componentAssemblySequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode component1ReferencedID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode component1ReferencedMatingFeatureSetID;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode component1ReferencedMatingFeatureID;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode component2ReferencedID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode component2ReferencedMatingFeatureSetID;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode component2ReferencedMatingFeatureID;                       

// *****************************************************************************************************************************
// *** 0078
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupName;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupDescription;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupIssuer;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupVersion;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode replacedImplantTemplateGroupSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupTargetAnatomySequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupMembersSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupMemberID;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode threeDImplantTemplateGroupMemberMatchingPoint;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode threeDImplantTemplateGroupMemberMatchingAxes;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupMemberMatching2DCoordinatesSequence;   
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDImplantTemplateGroupMemberMatchingPoint;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode twoDImplantTemplateGroupMemberMatchingAxes;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupVariationDimensionSequence;            
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupVariationDimensionName;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupVariationDimensionRankSequence;        
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedImplantTemplateGroupMemberID;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode implantTemplateGroupVariationDimensionRank;                

// *****************************************************************************************************************************
// *** 0080
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceScanAcquisitionTypeCodeSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceScanModeCodeSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode registrationMethodCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode shotDurationTime;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode shotOffsetTime;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfacePointPresentationValueData;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfacePointColorCIELabValueData;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode uvMappingSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode textureLabel;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode uValueData;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode vValueData;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedTextureSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSurfaceDataSequence;                             

// *****************************************************************************************************************************
// *** 0082
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode assessmentSummary;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode assessmentSummaryDescription;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode assessedSOPInstanceSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedComparisonSOPInstanceSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfAssessmentObservations;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode assessmentObservationsSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationSignificance;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationDescription;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode structuredConstraintObservationSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode assessedAttributeValueSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode assessmentSetID;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode assessmentRequesterSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorAttributeName;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode selectorAttributeKeyword;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode assessmentTypeCodeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationBasisCodeSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode assessmentLabel;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode constraintType;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode specificationSelectionGuidance;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode constraintValueSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode recommendedDefaultValueSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode constraintViolationSignificance;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode constraintViolationCondition;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode modifiableConstraintFlag;                                  

// *****************************************************************************************************************************
// *** 0088
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode storageMediaFileSetID;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode storageMediaFileSetUID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode iconImageSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode topicTitle;                                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode topicSubject;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode topicAuthor;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode topicKeywords;                                                // Retired

// *****************************************************************************************************************************
// *** 0100
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode sopInstanceStatus;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode sopAuthorizationDateTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode sopAuthorizationComment;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode authorizationEquipmentCertificationNumber;                 

// *****************************************************************************************************************************
// *** 0400
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode macidNumber;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode macCalculationTransferSyntaxUID;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode macAlgorithm;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataElementsSigned;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode digitalSignatureUID;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode digitalSignatureDateTime;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode certificateType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode certificateOfSigner;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode signature;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode certifiedTimestampType;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode certifiedTimestamp;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode digitalSignaturePurposeCodeSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDigitalSignatureSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSOPInstanceMACSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode mac;                                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode encryptedAttributesSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode encryptedContentTransferSyntaxUID;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode encryptedContent;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode modifiedAttributesSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode nonconformingModifiedAttributesSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode nonconformingDataElementValue;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode originalAttributesSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode attributeModificationDateTime;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode modifyingSystem;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceOfPreviousValues;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForTheAttributeModification;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode instanceOriginStatus;                                      

// *****************************************************************************************************************************
// *** 1000
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode escapeTriplet;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode runLengthTriplet;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode huffmanTableSize;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode huffmanTableTriplet;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode shiftTableSize;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode shiftTableTriplet;                                            // Retired

// *****************************************************************************************************************************
// *** 1010
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode zonalMap;                                                     // Retired

// *****************************************************************************************************************************
// *** 2000
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfCopies;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode printerConfigurationSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode printPriority;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode mediumType;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode filmDestination;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode filmSessionLabel;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode memoryAllocation;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumMemoryAllocation;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode colorImagePrintingFlag;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode collationFlag;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode annotationFlag;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageOverlayFlag;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationLUTFlag;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxPresentationLUTFlag;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode memoryBitDepth;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode printingBitDepth;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode mediaInstalledSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherMediaAvailableSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode supportedImageDisplayFormatsSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFilmBoxSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedStoredPrintSequence;                                // Retired

// *****************************************************************************************************************************
// *** 2010
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageDisplayFormat;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode annotationDisplayFormatID;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode filmOrientation;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode filmSizeID;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode printerResolutionID;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode defaultPrinterResolutionID;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode magnificationType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode smoothingType;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode defaultMagnificationType;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherMagnificationTypesAvailable;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode defaultSmoothingType;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode otherSmoothingTypesAvailable;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode borderDensity;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode emptyImageDensity;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode minDensity;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode maxDensity;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode trim;                                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode configurationInformation;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode configurationInformationDescription;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumCollatedFilms;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode illumination;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode reflectedAmbientLight;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode printerPixelSpacing;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFilmSessionSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedImageBoxSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedBasicAnnotationBoxSequence;                      

// *****************************************************************************************************************************
// *** 2020
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxPosition;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode polarity;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedImageSize;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedDecimateCropBehavior;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedResolutionID;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedImageSizeFlag;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode decimateCropResult;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode basicGrayscaleImageSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode basicColorImageSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedImageOverlayBoxSequence;                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedVOILUTBoxSequence;                                  // Retired

// *****************************************************************************************************************************
// *** 2030
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode annotationPosition;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode textString;                                                

// *****************************************************************************************************************************
// *** 2040
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedOverlayPlaneSequence;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedOverlayPlaneGroups;                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayPixelDataSequence;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayMagnificationType;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlaySmoothingType;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayOrImageMagnification;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode magnifyToNumberOfColumns;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayForegroundDensity;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayBackgroundDensity;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayMode;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode thresholdDensity;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedImageBoxSequenceRetired;                            // Retired

// *****************************************************************************************************************************
// *** 2050
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationLUTSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationLUTShape;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPresentationLUTSequence;                         

// *****************************************************************************************************************************
// *** 2100
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode printJobID;                                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode executionStatus;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode executionStatusInfo;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode creationDate;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode creationTime;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode originator;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode destinationAE;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode ownerID;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFilms;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPrintJobSequencePullStoredPrint;                    // Retired

// *****************************************************************************************************************************
// *** 2110
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode printerStatus;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode printerStatusInfo;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode printerName;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode printQueueID;                                                 // Retired

// *****************************************************************************************************************************
// *** 2120
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode queueStatus;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode printJobDescriptionSequence;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPrintJobSequence;                                   // Retired

// *****************************************************************************************************************************
// *** 2130
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode printManagementCapabilitiesSequence;                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode printerCharacteristicsSequence;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode filmBoxContentSequence;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageBoxContentSequence;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode annotationContentSequence;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageOverlayBoxContentSequence;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode presentationLUTContentSequence;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode proposedStudySequence;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode originalImageSequence;                                        // Retired

// *****************************************************************************************************************************
// *** 2200
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode labelUsingInformationExtractedFromInstances;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode labelText;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode labelStyleSelection;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode mediaDisposition;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode barcodeValue;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode barcodeSymbology;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode allowMediaSplitting;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode includeNonDICOMObjects;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode includeDisplayApplication;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode preserveCompositeInstancesAfterMediaCreation;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalNumberOfPiecesOfMediaCreated;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestedMediaApplicationProfile;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedStorageMediaSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode failureAttributes;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode allowLossyCompression;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode requestPriority;                                           

// *****************************************************************************************************************************
// *** 3002
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtImageLabel;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtImageName;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtImageDescription;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode reportedValuesOrigin;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtImagePlane;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayImageReceptorTranslation;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode xRayImageReceptorAngle;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtImageOrientation;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagePlanePixelSpacing;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtImagePosition;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationMachineName;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationMachineSAD;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationMachineSSD;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtImageSID;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToReferenceObjectDistance;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionNumber;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode exposureSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode metersetExposure;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode diaphragmPosition;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode fluenceMapSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode fluenceDataSource;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode fluenceDataScale;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryFluenceModeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode fluenceMode;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode fluenceModeID;                                             

// *****************************************************************************************************************************
// *** 3004
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhType;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseUnits;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseType;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode spatialTransformOfDose;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseComment;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode normalizationPoint;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseSummationType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode gridFrameOffsetVector;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseGridScaling;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtDoseROISequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseValue;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode tissueHeterogeneityCorrection;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhNormalizationPoint;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhNormalizationDoseValue;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhSequence;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhDoseScaling;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhVolumeUnits;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhNumberOfBins;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhData;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhReferencedROISequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhroiContributionType;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhMinimumDose;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhMaximumDose;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode dvhMeanDose;                                               

// *****************************************************************************************************************************
// *** 3006
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode structureSetLabel;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode structureSetName;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode structureSetDescription;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode structureSetDate;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode structureSetTime;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFrameOfReferenceSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtReferencedStudySequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtReferencedSeriesSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode contourImageSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode predecessorStructureSetSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode structureSetROISequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiNumber;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFrameOfReferenceUID;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiName;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiDescription;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiDisplayColor;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiVolume;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtRelatedROISequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtroiRelationship;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiGenerationAlgorithm;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiDerivationAlgorithmIdentificationSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiGenerationDescription;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiContourSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode contourSequence;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode contourGeometricType;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode contourSlabThickness;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode contourOffsetVector;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfContourPoints;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode contourNumber;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode attachedContours;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourcePixelPlanesCharacteristicsSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode contourData;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtroiObservationsSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode observationNumber;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedROINumber;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiObservationLabel;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtroiIdentificationCodeSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiObservationDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode relatedRTROIObservationsSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtroiInterpretedType;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiInterpreter;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiPhysicalPropertiesSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiPhysicalProperty;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiPhysicalPropertyValue;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiElementalCompositionSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiElementalCompositionAtomicNumber;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiElementalCompositionAtomicMassFraction;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode additionalRTROIIdentificationCodeSequence;                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameOfReferenceRelationshipSequence;                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode relatedFrameOfReferenceUID;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameOfReferenceTransformationType;                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameOfReferenceTransformationMatrix;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode frameOfReferenceTransformationComment;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientLocationCoordinatesSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientLocationCoordinatesCodeSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportPositionSequence;                            

// *****************************************************************************************************************************
// *** 3008
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredDoseReferenceSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredDoseDescription;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredDoseType;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredDoseValue;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentSessionBeamSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentSessionIonBeamSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode currentFractionNumber;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentControlPointDate;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentControlPointTime;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentTerminationStatus;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentTerminationCode;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentVerificationStatus;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedTreatmentRecordSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode specifiedPrimaryMeterset;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode specifiedSecondaryMeterset;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredPrimaryMeterset;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredSecondaryMeterset;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode specifiedTreatmentTime;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredTreatmentTime;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode controlPointDeliverySequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionControlPointDeliverySequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode specifiedMeterset;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredMeterset;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode metersetRateSet;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode metersetRateDelivered;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanSpotMetersetsDelivered;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseRateDelivered;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentSummaryCalculatedDoseReferenceSequence;           
@property (class, nonatomic, assign, readonly) LTDicomTagCode cumulativeDoseToDoseReference;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode firstTreatmentDate;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode mostRecentTreatmentDate;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFractionsDelivered;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode overrideSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode parameterSequencePointer;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode overrideParameterPointer;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode parameterItemIndex;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredDoseReferenceNumber;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode parameterPointer;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode overrideReason;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode parameterValueNumber;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode correctedParameterSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode correctionValue;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode calculatedDoseReferenceSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode calculatedDoseReferenceNumber;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode calculatedDoseReferenceDescription;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode calculatedDoseReferenceDoseValue;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode startMeterset;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode endMeterset;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedMeasuredDoseReferenceSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedMeasuredDoseReferenceNumber;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedCalculatedDoseReferenceSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedCalculatedDoseReferenceNumber;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamLimitingDeviceLeafPairsSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedWedgeSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedCompensatorSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedBlockSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentSummaryMeasuredDoseReferenceSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedSnoutSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedRangeShifterSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedLateralSpreadingDeviceSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedRangeModulatorSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedSourceSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceSerialNumber;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentSessionApplicationSetupSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicationSetupCheck;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedBrachyAccessoryDeviceSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedBrachyAccessoryDeviceNumber;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedChannelSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode specifiedChannelTotalTime;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredChannelTotalTime;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode specifiedNumberOfPulses;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredNumberOfPulses;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode specifiedPulseRepetitionInterval;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredPulseRepetitionInterval;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedSourceApplicatorSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSourceApplicatorNumber;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedChannelShieldSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedChannelShieldNumber;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyControlPointDeliveredSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode safePositionExitDate;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode safePositionExitTime;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode safePositionReturnDate;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode safePositionReturnTime;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode pulseSpecificBrachyControlPointDeliveredSequence;          
@property (class, nonatomic, assign, readonly) LTDicomTagCode pulseNumber;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyPulseControlPointDeliveredSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode currentTreatmentStatus;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentStatusComment;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionGroupSummarySequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFractionNumber;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionGroupType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamStopperPosition;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionStatusSummarySequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentDate;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentTime;                                             

// *****************************************************************************************************************************
// *** 300a
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPlanLabel;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPlanName;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPlanDescription;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPlanDate;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPlanTime;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentProtocols;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode planIntent;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentSites;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPlanGeometry;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode prescriptionDescription;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseReferenceSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseReferenceNumber;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseReferenceUID;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseReferenceStructureType;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalBeamEnergyUnit;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseReferenceDescription;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseReferencePointCoordinates;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalPriorDose;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseReferenceType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode constraintWeight;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveryWarningDose;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveryMaximumDose;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetMinimumDose;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetPrescriptionDose;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetMaximumDose;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetUnderdoseVolumeFraction;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode organAtRiskFullVolumeDose;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode organAtRiskLimitDose;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode organAtRiskMaximumDose;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode organAtRiskOverdoseVolumeFraction;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode toleranceTableSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode toleranceTableNumber;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode toleranceTableLabel;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryAngleTolerance;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamLimitingDeviceAngleTolerance;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamLimitingDeviceToleranceSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamLimitingDevicePositionTolerance;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode snoutPositionTolerance;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportAngleTolerance;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopEccentricAngleTolerance;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopPitchAngleTolerance;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopRollAngleTolerance;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopVerticalPositionTolerance;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopLongitudinalPositionTolerance;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopLateralPositionTolerance;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPlanRelationship;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionGroupSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionGroupNumber;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionGroupDescription;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFractionsPlanned;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFractionPatternDigitsPerDay;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode repeatFractionCycleLength;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionPattern;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfBeams;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDoseSpecificationPoint;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDoseReferenceUID;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDose;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamMeterset;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDosePointDepth;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDosePointEquivalentDepth;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDosePointSSD;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDoseMeaning;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDoseVerificationControlPointSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode averageBeamDosePointDepth;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode averageBeamDosePointEquivalentDepth;                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode averageBeamDosePointSSD;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDoseType;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode alternateBeamDose;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode alternateBeamDoseType;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode depthValueAveragingFlag;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDosePointSourceToExternalContourDistance;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfBrachyApplicationSetups;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyApplicationSetupDoseSpecificationPoint;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyApplicationSetupDose;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamSequence;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentMachineName;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryDosimeterUnit;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceAxisDistance;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamLimitingDeviceSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtBeamLimitingDeviceType;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToBeamLimitingDeviceDistance;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterToBeamLimitingDeviceDistance;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfLeafJawPairs;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode leafPositionBoundaries;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamNumber;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamName;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDescription;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamType;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamDeliveryDurationLimit;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationType;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode highDoseTechniqueType;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceImageNumber;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode plannedVerificationImageSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode imagingDeviceSpecificAcquisitionParameters;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentDeliveryType;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfWedges;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeSequence;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeNumber;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeType;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeID;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeAngle;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeFactor;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalWedgeTrayWaterEquivalentThickness;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeOrientation;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterToWedgeTrayDistance;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToWedgeTrayDistance;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeThinEdgePosition;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode bolusID;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode bolusDescription;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode effectiveWedgeAngle;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfCompensators;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode materialID;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalCompensatorTrayFactor;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorNumber;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorID;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToCompensatorTrayDistance;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorRows;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorColumns;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorPixelSpacing;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorPosition;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorTransmissionData;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorThicknessData;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfBoli;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorTrayID;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfBlocks;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalBlockTrayFactor;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalBlockTrayWaterEquivalentThickness;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockSequence;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockTrayID;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToBlockTrayDistance;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterToBlockTrayDistance;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockType;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode accessoryCode;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockDivergence;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockMountingPosition;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockNumber;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockName;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockThickness;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockTransmission;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockNumberOfPoints;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockData;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicatorSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicatorID;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicatorType;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicatorDescription;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode cumulativeDoseReferenceCoefficient;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode finalCumulativeMetersetWeight;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfControlPoints;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode controlPointSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode controlPointIndex;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalBeamEnergy;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseRateSet;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgePositionSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgePosition;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamLimitingDevicePositionSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode leafJawPositions;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryAngle;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryRotationDirection;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamLimitingDeviceAngle;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamLimitingDeviceRotationDirection;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportAngle;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportRotationDirection;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopEccentricAxisDistance;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopEccentricAngle;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopEccentricRotationDirection;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopVerticalPosition;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopLongitudinalPosition;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopLateralPosition;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterPosition;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode surfaceEntryPoint;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToSurfaceDistance;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode averageBeamDosePointSourceToExternalContourDistance;       
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToExternalContourDistance;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode externalContourEntryPoint;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode cumulativeMetersetWeight;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopPitchAngle;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopPitchRotationDirection;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopRollAngle;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopRollRotationDirection;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode headFixationAngle;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryPitchAngle;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryPitchRotationDirection;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryPitchAngleTolerance;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationEye;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode chairHeadFramePosition;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode headFixationAngleTolerance;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode chairHeadFramePositionTolerance;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationLightAzimuthalAngleTolerance;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationLightPolarAngleTolerance;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSetupSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSetupNumber;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSetupLabel;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientAdditionalPosition;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationDeviceSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationDeviceType;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationDeviceLabel;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationDeviceDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationDevicePosition;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationDevicePitchAngle;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationDeviceRollAngle;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode shieldingDeviceSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode shieldingDeviceType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode shieldingDeviceLabel;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode shieldingDeviceDescription;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode shieldingDevicePosition;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode setupTechnique;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode setupTechniqueDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode setupDeviceSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode setupDeviceType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode setupDeviceLabel;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode setupDeviceDescription;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode setupDeviceParameter;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode setupReferenceDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopVerticalSetupDisplacement;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopLongitudinalSetupDisplacement;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode tableTopLateralSetupDisplacement;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyTreatmentTechnique;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyTreatmentType;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentMachineSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceSequence;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceNumber;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceType;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceManufacturer;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode activeSourceDiameter;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode activeSourceLength;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceModelID;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceDescription;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceEncapsulationNominalThickness;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceEncapsulationNominalTransmission;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceIsotopeName;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceIsotopeHalfLife;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceStrengthUnits;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceAirKermaRate;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceStrength;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceStrengthReferenceDate;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceStrengthReferenceTime;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicationSetupSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicationSetupType;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicationSetupNumber;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicationSetupName;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicationSetupManufacturer;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode templateNumber;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode templateType;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode templateName;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalReferenceAirKerma;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyAccessoryDeviceSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyAccessoryDeviceNumber;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyAccessoryDeviceID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyAccessoryDeviceType;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyAccessoryDeviceName;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyAccessoryDeviceNominalThickness;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyAccessoryDeviceNominalTransmission;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelEffectiveLength;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelInnerLength;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode afterloaderChannelID;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicatorTipLength;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelSequence;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelNumber;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelLength;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelTotalTime;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceMovementType;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPulses;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode pulseRepetitionInterval;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicatorNumber;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicatorID;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicatorType;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicatorName;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicatorLength;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicatorManufacturer;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicatorWallNominalThickness;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicatorWallNominalTransmission;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceApplicatorStepSize;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode transferTubeNumber;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode transferTubeLength;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelShieldSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelShieldNumber;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelShieldID;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelShieldName;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelShieldNominalThickness;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelShieldNominalTransmission;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode finalCumulativeTimeWeight;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyControlPointSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode controlPointRelativePosition;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode controlPoint3DPosition;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode cumulativeTimeWeight;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorDivergence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorMountingPosition;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToCompensatorDistance;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalCompensatorTrayWaterEquivalentThickness;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterToCompensatorTrayDistance;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorColumnOffset;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterToCompensatorDistances;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorRelativeStoppingPowerRatio;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorMillingToolDiameter;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionRangeCompensatorSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorDescription;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationMassNumber;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationAtomicNumber;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationChargeState;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanMode;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode modulatedScanModeType;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode virtualSourceAxisDistances;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode snoutSequence;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode snoutPosition;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode snoutID;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfRangeShifters;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeShifterSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeShifterNumber;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeShifterID;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeShifterType;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeShifterDescription;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfLateralSpreadingDevices;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode lateralSpreadingDeviceSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode lateralSpreadingDeviceNumber;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode lateralSpreadingDeviceID;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode lateralSpreadingDeviceType;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode lateralSpreadingDeviceDescription;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode lateralSpreadingDeviceWaterEquivalentThickness;            
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfRangeModulators;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeModulatorSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeModulatorNumber;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeModulatorID;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeModulatorType;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeModulatorDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamCurrentModulationID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportType;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportID;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportAccessoryCode;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode trayAccessoryCode;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationLightAzimuthalAngle;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixationLightPolarAngle;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode metersetRate;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeShifterSettingsSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeShifterSetting;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterToRangeShifterDistance;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeShifterWaterEquivalentThickness;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode lateralSpreadingDeviceSettingsSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode lateralSpreadingDeviceSetting;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterToLateralSpreadingDeviceDistance;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeModulatorSettingsSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeModulatorGatingStartValue;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeModulatorGatingStopValue;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeModulatorGatingStartWaterEquivalentThickness;         
@property (class, nonatomic, assign, readonly) LTDicomTagCode rangeModulatorGatingStopWaterEquivalentThickness;          
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterToRangeModulatorDistance;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanSpotTimeOffset;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanSpotTuneID;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanSpotPrescribedIndices;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfScanSpotPositions;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanSpotReordered;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanSpotPositionMap;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanSpotReorderingAllowed;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanSpotMetersetWeights;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanningSpotSize;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanSpotSizesDelivered;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPaintings;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionToleranceTableSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionBeamSequence;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionBeamLimitingDeviceSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionBlockSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionControlPointSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionWedgeSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode ionWedgePositionSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSetupImageSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode setupImageComment;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode motionSynchronizationSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode controlPointOrientation;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalAccessorySequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalAccessoryID;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalAccessoryDescription;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalAccessoryType;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalAccessoryNumber;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToGeneralAccessoryDistance;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode isocenterToGeneralAccessoryDistance;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicatorGeometrySequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicatorApertureShape;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicatorOpening;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicatorOpeningX;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode applicatorOpeningY;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToApplicatorMountingPositionDistance;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfBlockSlabItems;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockSlabSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockSlabThickness;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockSlabNumber;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceMotionControlSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceMotionExecutionMode;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceMotionObservationMode;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceMotionParameterCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode distalDepthFraction;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode distalDepth;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalRangeModulationFractions;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalRangeModulatedRegionDepths;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode depthDoseParametersSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredDepthDoseParametersSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredDistalDepthFraction;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredDistalDepth;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredNominalRangeModulationFractions;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredNominalRangeModulatedRegionDepths;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveredReferenceDoseDefinition;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceDoseDefinition;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtControlPointIndex;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationGenerationModeIndex;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDefinedDeviceIndex;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseIdentificationIndex;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfRTControlPoints;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRadiationGenerationModeIndex;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentPositionIndex;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDeviceIndex;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentPositionGroupLabel;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentPositionGroupUID;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentPositionGroupSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedTreatmentPositionIndex;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRadiationDoseIdentificationIndex;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtAccessoryHolderWaterEquivalentThickness;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTAccessoryHolderDeviceIndex;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtAccessoryHolderSlotExistenceFlag;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtAccessoryHolderSlotSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtAccessoryHolderSlotID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtAccessoryHolderSlotDistance;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtAccessorySlotDistance;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtAccessoryHolderDefinitionSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtAccessoryDeviceSlotID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtRadiationSequence;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseIdentificationSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseIdentificationLabel;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceDoseType;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode primaryDoseValueIndicator;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseValuesSequence;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseValuePurpose;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceDosePointCoordinates;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseValuesParametersSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode metersetToDoseMappingSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode expectedInVivoMeasurementValuesSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode expectedInVivoMeasurementValueIndex;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseInVivoMeasurementLabel;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseCentralAxisDisplacement;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseValue;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseSourceToSkinDistance;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseMeasurementPointCoordinates;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDoseSourceToExternalContourDistance;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtToleranceSetSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtToleranceSetLabel;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode attributeToleranceValuesSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode toleranceValue;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportPositionToleranceSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentTimeLimit;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode cArmPhotonElectronControlPointSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTRadiationSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTInstanceSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTPatientSetupSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceToPatientSurfaceDistance;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentMachineSpecialModeCodeSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode intendedNumberOfFractions;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtRadiationSetIntent;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtRadiationPhysicalAndGeometricContentDetailFlag;          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtRecordFlag;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentDeviceIdentificationSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTPhysicianIntentSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode cumulativeMeterset;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveryRate;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveryRateUnitSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentPositionSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationSourceAxisDistance;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfRTBeamLimitingDevices;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtBeamLimitingDeviceProximalDistance;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtBeamLimitingDeviceDistalDistance;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelRTBeamDelimiterDeviceOrientationLabelCodeSequence; 
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamModifierOrientationAngle;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode fixedRTBeamDelimiterDeviceSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelRTBeamDelimiterDeviceSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfParallelRTBeamDelimiters;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelRTBeamDelimiterBoundaries;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelRTBeamDelimiterPositions;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtBeamLimitingDeviceOffset;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtBeamDelimiterGeometrySequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtBeamLimitingDeviceDefinitionSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelRTBeamDelimiterOpeningMode;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode parallelRTBeamDelimiterLeafMountingSide;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSetupUID;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode wedgeDefinitionSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationBeamWedgeAngle;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationBeamWedgeThinEdgeDistance;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationBeamEffectiveWedgeAngle;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfWedgePositions;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtBeamLimitingDeviceOpeningSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfRTBeamLimitingDeviceOpenings;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDosimeterUnitSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtDeviceDistanceReferenceLocationCodeSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationDeviceConfigurationAndCommissioningKeySequence;   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportPositionParameterSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportPositionSpecificationMethod;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportPositionDeviceParameterSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceOrderIndex;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportPositionParameterOrderIndex;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportPositionDeviceToleranceSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportPositionToleranceOrderIndex;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorDefinitionSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorMapOrientation;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorProximalThicknessMap;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorDistalThicknessMap;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorBasePlaneOffset;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorShapeFabricationCodeSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode compensatorShapeSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationBeamCompensatorMillingToolDiameter;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockDefinitionSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockEdgeData;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockOrientation;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationBeamBlockThickness;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationBeamBlockSlabThickness;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode blockEdgeDataSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfRTAccessoryHolders;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode generalAccessoryDefinitionSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfGeneralAccessories;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode bolusDefinitionSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfBoluses;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode equipmentFrameOfReferenceUID;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode equipmentFrameOfReferenceDescription;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode equipmentReferencePointCoordinatesSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode equipmentReferencePointCodeSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtBeamLimitingDeviceAngle;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceRollAngle;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationGenerationModeSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationGenerationModeLabel;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationGenerationModeDescription;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationGenerationModeMachineCodeSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationTypeCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode nominalEnergy;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode minimumNominalEnergy;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumNominalEnergy;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationFluenceModifierCodeSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode energyUnitCodeSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfRadiationGenerationModes;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientSupportDevicesSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPatientSupportDevices;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtBeamModifierDefinitionDistance;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode beamAreaLimitSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTPrescriptionSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentSessionUID;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtRadiationUsage;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTRadiationSetSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTRadiationRecordSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtRadiationSetDeliveryNumber;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode clinicalFractionNumber;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentFractionCompletionStatus;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtRadiationSetUsage;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentDeliveryContinuationFlag;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentRecordContentOrigin;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentTerminationStatus;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentTerminationReasonCodeSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode machineSpecificTreatmentTerminationCodeSequence;           
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtRadiationSalvageRecordControlPointSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode startingMetersetValueKnownFlag;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentTerminationDescription;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentToleranceViolationSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentToleranceViolationCategory;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentToleranceViolationAttributeSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentToleranceViolationDescription;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentToleranceViolationIdentification;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentToleranceViolationDateTime;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode recordedRTControlPointDateTime;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRadiationRTControlPointIndex;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode alternateValueSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode confirmationSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode interlockSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode interlockDateTime;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode interlockDescription;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode interlockOriginatingDeviceSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode interlockCodeSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode interlockResolutionCodeSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode interlockResolutionUserSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode overrideDateTime;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentToleranceViolationTypeCodeSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentToleranceViolationCauseCodeSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode measuredMetersetToDoseMappingSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedExpectedInVivoMeasurementValueIndex;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode doseMeasurementDeviceCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode additionalParameterRecordingInstanceSequence;              
@property (class, nonatomic, assign, readonly) LTDicomTagCode interlockOriginDescription;                                

// *****************************************************************************************************************************
// *** 300c
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTPlanSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedBeamSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedBeamNumber;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedReferenceImageNumber;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode startCumulativeMetersetWeight;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode endCumulativeMetersetWeight;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedBrachyApplicationSetupSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedBrachyApplicationSetupNumber;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSourceNumber;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFractionGroupSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFractionGroupNumber;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedVerificationImageSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedReferenceImageSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDoseReferenceSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDoseReferenceNumber;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachyReferencedDoseReferenceSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedStructureSetSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPatientSetupNumber;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDoseSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedToleranceTableNumber;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedBolusSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedWedgeNumber;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedCompensatorNumber;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedBlockNumber;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedControlPointIndex;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedControlPointSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedStartControlPointIndex;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedStopControlPointIndex;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRangeShifterNumber;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedLateralSpreadingDeviceNumber;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRangeModulatorNumber;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode omittedBeamTaskSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForOmission;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForOmissionDescription;                              

// *****************************************************************************************************************************
// *** 300e
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode approvalStatus;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode reviewDate;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode reviewTime;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode reviewerName;                                              

// *****************************************************************************************************************************
// *** 3010
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiobiologicalDoseEffectSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiobiologicalDoseEffectFlag;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode effectiveDoseCalculationMethodCategoryCodeSequence;        
@property (class, nonatomic, assign, readonly) LTDicomTagCode effectiveDoseCalculationMethodCodeSequence;                
@property (class, nonatomic, assign, readonly) LTDicomTagCode effectiveDoseCalculationMethodDescription;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeUID;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode originatingSOPInstanceReferenceSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeConstituentSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode equivalentConceptualVolumeInstanceReferenceSequence;       
@property (class, nonatomic, assign, readonly) LTDicomTagCode equivalentConceptualVolumesSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedConceptualVolumeUID;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeCombinationExpression;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeConstituentIndex;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeCombinationFlag;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeCombinationDescription;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeSegmentationDefinedFlag;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeSegmentationReferenceSequence;             
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeConstituentSegmentationReferenceSequence;  
@property (class, nonatomic, assign, readonly) LTDicomTagCode constituentConceptualVolumeUID;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode derivationConceptualVolumeSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceConceptualVolumeUID;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeDerivationAlgorithmSequence;               
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeDescription;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceConceptualVolumeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode authorIdentificationSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode manufacturerModelVersion;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceAlternateIdentifier;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceAlternateIdentifierType;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceAlternateIdentifierFormat;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentationCreationTemplateLabel;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentationTemplateUID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedSegmentReferenceIndex;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentReferenceSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentReferenceIndex;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode directSegmentReferenceSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode combinationSegmentReferenceSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeSequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentedRTAccessoryDeviceSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentCharacteristicsSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode relatedSegmentCharacteristicsSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentCharacteristicsPrecedence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtSegmentAnnotationSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentAnnotationCategoryCodeSequence;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentAnnotationTypeCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceLabel;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceTypeCodeSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode segmentAnnotationTypeModifierCodeSequence;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientEquipmentRelationshipCodeSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedFiducialsUID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode patientTreatmentOrientationSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode userContentLabel;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode userContentLongLabel;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode entityLabel;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode entityName;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode entityDescription;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode entityLongLabel;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode deviceIndex;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentPhaseIndex;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentPhaseUID;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPrescriptionIndex;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtSegmentAnnotationIndex;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode basisRTTreatmentPhaseIndex;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode relatedRTTreatmentPhaseIndex;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTTreatmentPhaseIndex;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTPrescriptionIndex;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedParentRTPrescriptionIndex;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode manufacturerDeviceIdentifier;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode instanceLevelReferencedPerformedProcedureStepSequence;     
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentPhaseIntentPresenceFlag;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiotherapyTreatmentType;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode teletherapyRadiationType;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode brachytherapySourceType;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTTreatmentPhaseSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDirectSegmentInstanceSequence;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode intendedRTTreatmentPhaseSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode intendedPhaseStartDate;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode intendedPhaseEndDate;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentPhaseIntervalSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode temporalRelationshipIntervalAnchor;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode minimumNumberOfIntervalDays;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumNumberOfIntervalDays;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode pertinentSOPClassesInStudy;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode pertinentSOPClassesInSeries;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPrescriptionLabel;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPhysicianIntentPredecessorSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentApproachLabel;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPhysicianIntentSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPhysicianIntentIndex;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentIntentType;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPhysicianIntentNarrative;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtProtocolCodeSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode reasonForSuperseding;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtDiagnosisCodeSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedRTPhysicianIntentIndex;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPhysicianIntentInputInstanceSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtAnatomicPrescriptionSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode priorTreatmentDoseDescription;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode priorTreatmentReferenceSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode dosimetricObjectiveEvaluationScope;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode therapeuticRoleCategoryCodeSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode therapeuticRoleTypeCodeSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeOptimizationPrecedence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeCategoryCodeSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeBlockingConstraint;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeTypeCodeSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode conceptualVolumeTypeModifierCodeSequence;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtPrescriptionSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode dosimetricObjectiveSequence;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode dosimetricObjectiveTypeCodeSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode dosimetricObjectiveUID;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDosimetricObjectiveUID;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode dosimetricObjectiveParameterSequence;                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedDosimetricObjectivesSequence;                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode absoluteDosimetricObjectiveFlag;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode dosimetricObjectiveWeight;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode dosimetricObjectivePurpose;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode planningInputInformationSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentSite;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentSiteCodeSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionPatternSequence;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentTechniqueNotes;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode prescriptionNotes;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfIntervalFractions;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFractions;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode intendedDeliveryDuration;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionationNotes;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentTechniqueCodeSequence;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode prescriptionNotesSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionBasedRelationshipSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode fractionBasedRelationshipIntervalAnchor;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode minimumHoursBetweenFractions;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode intendedFractionStartTime;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode intendedStartDayOfWeek;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode weekdayFractionPatternSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode deliveryTimeStructureCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode treatmentSiteModifierCodeSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode roboticBaseLocationIndicator;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode roboticPathNodeSetCodeSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode roboticNodeIdentifier;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode rtTreatmentSourceCoordinates;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationSourceCoordinateSystemYawAngle;                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationSourceCoordinateSystemRollAngle;                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode radiationSourceCoordinateSystemPitchAngle;                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode roboticPathControlPointSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode tomotherapeuticControlPointSequence;                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode tomotherapeuticLeafOpenDurations;                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode tomotherapeuticLeafInitialClosedDurations;                 

// *****************************************************************************************************************************
// *** 4000
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode arbitrary;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode textComments;                                                 // Retired

// *****************************************************************************************************************************
// *** 4008
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode resultsID;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode resultsIDIssuer;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedInterpretationSequence;                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode reportProductionStatusTrial;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationRecordedDate;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationRecordedTime;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationRecorder;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode referenceToRecordedSound;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationTranscriptionDate;                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationTranscriptionTime;                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationTranscriber;                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationText;                                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationAuthor;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationApproverSequence;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationApprovalDate;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationApprovalTime;                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode physicianApprovingInterpretation;                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationDiagnosisDescription;                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationDiagnosisCodeSequence;                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode resultsDistributionListSequence;                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode distributionName;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode distributionAddress;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationID;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationIDIssuer;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationTypeID;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode interpretationStatusID;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode impressions;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode resultsComments;                                              // Retired

// *****************************************************************************************************************************
// *** 4010
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode lowEnergyDetectors;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode highEnergyDetectors;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorGeometrySequence;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode threatROIVoxelSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode threatROIBase;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode threatROIExtents;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode threatROIBitmap;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode routeSegmentID;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode gantryType;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode ooiOwnerType;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode routeSegmentSequence;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode potentialThreatObjectID;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode threatSequence;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode threatCategory;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode threatCategoryDescription;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode atdAbilityAssessment;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode atdAssessmentFlag;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode atdAssessmentProbability;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode mass;                                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode density;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode zEffective;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode boardingPassID;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode centerOfMass;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode centerOfPTO;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode boundingPolygon;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode routeSegmentStartLocationID;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode routeSegmentEndLocationID;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode routeSegmentLocationIDType;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode abortReason;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode volumeOfPTO;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode abortFlag;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode routeSegmentStartTime;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode routeSegmentEndTime;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode tdrType;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode internationalRouteSegment;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode threatDetectionAlgorithmAndVersion;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode assignedLocation;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode alarmDecisionTime;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode alarmDecision;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfTotalObjects;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfAlarmObjects;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode ptoRepresentationSequence;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode atdAssessmentSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode tipType;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode dicosVersion;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode ooiOwnerCreationTime;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode ooiType;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode ooiSize;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode acquisitionStatus;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode basisMaterialsCodeSequence;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode phantomType;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode ooiOwnerSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode scanType;                                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode itineraryID;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode itineraryIDType;                                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode itineraryIDAssigningAuthority;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode routeID;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode routeIDAssigningAuthority;                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode inboundArrivalType;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode carrierID;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode carrierIDAssigningAuthority;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourceOrientation;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode sourcePosition;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode beltHeight;                                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode algorithmRoutingCodeSequence;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode transportClassification;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode ooiTypeDescriptor;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalProcessingTime;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode detectorCalibrationData;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode additionalScreeningPerformed;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode additionalInspectionSelectionCriteria;                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode additionalInspectionMethodSequence;                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode aitDeviceType;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode qrMeasurementsSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode targetMaterialSequence;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode snrThreshold;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageScaleRepresentation;                                  
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedPTOSequence;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode referencedTDRInstanceSequence;                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode ptoLocationDescription;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode anomalyLocatorIndicatorSequence;                           
@property (class, nonatomic, assign, readonly) LTDicomTagCode anomalyLocatorIndicator;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode ptoRegionSequence;                                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode inspectionSelectionCriteria;                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode secondaryInspectionMethodSequence;                         
@property (class, nonatomic, assign, readonly) LTDicomTagCode prcsToRCSOrientation;                                      

// *****************************************************************************************************************************
// *** 4ffe
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode macParametersSequence;                                     

// *****************************************************************************************************************************
// *** 50xx
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveDimensions;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfPoints;                                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode typeOfData;                                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveDescription;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode axisUnits;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode axisLabels;                                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataValueRepresentation;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode minimumCoordinateValue;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode maximumCoordinateValue;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveRange;                                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveDataDescriptor;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateStartValue;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode coordinateStepValue;                                          // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveActivationLayer;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode audioType;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode audioSampleFormat;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfChannels;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfSamples;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode sampleRate;                                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode totalTime;                                                    // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode audioSampleData;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode audioComments;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveLabel;                                                   // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveReferencedOverlaySequence;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveReferencedOverlayGroup;                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode curveData;                                                    // Retired

// *****************************************************************************************************************************
// *** 5200
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode sharedFunctionalGroupsSequence;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode perFrameFunctionalGroupsSequence;                          

// *****************************************************************************************************************************
// *** 5400
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformSequence;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelMinimumValue;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode channelMaximumValue;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformBitsAllocated;                                     
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformSampleInterpretation;                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformPaddingValue;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode waveformData;                                              

// *****************************************************************************************************************************
// *** 5600
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode firstOrderPhaseCorrectionAngle;                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode spectroscopyData;                                          

// *****************************************************************************************************************************
// *** 60xx
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayRows;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayColumns;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayPlanes;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode numberOfFramesInOverlay;                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayDescription;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayType;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlaySubtype;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayOrigin;                                             
@property (class, nonatomic, assign, readonly) LTDicomTagCode imageFrameOrigin;                                          
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayPlaneOrigin;                                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayCompressionCode;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayCompressionOriginator;                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayCompressionLabel;                                      // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayCompressionDescription;                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayCompressionStepPointers;                               // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayRepeatInterval;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayBitsGrouped;                                           // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayBitsAllocated;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayBitPosition;                                        
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayFormat;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayLocation;                                              // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayCodeLabel;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayNumberOfTables;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayCodeTableLocation;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayBitsForCodeWord;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayActivationLayer;                                    
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayDescriptorGray;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayDescriptorRed;                                         // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayDescriptorGreen;                                       // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayDescriptorBlue;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlaysGray;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlaysRed;                                                  // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlaysGreen;                                                // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlaysBlue;                                                 // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiArea;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiMean;                                                   
@property (class, nonatomic, assign, readonly) LTDicomTagCode roiStandardDeviation;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayLabel;                                              
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayData;                                               
@property (class, nonatomic, assign, readonly) LTDicomTagCode overlayComments;                                              // Retired

// *****************************************************************************************************************************
// *** 7fe0
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode extendedOffsetTable;                                       
@property (class, nonatomic, assign, readonly) LTDicomTagCode extendedOffsetTableLengths;                                
@property (class, nonatomic, assign, readonly) LTDicomTagCode floatPixelData;                                            
@property (class, nonatomic, assign, readonly) LTDicomTagCode doubleFloatPixelData;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode pixelData;                                                 
@property (class, nonatomic, assign, readonly) LTDicomTagCode coefficientsSDVN;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode coefficientsSDHN;                                             // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode coefficientsSDDN;                                             // Retired

// *****************************************************************************************************************************
// *** 7fxx
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode variablePixelData;                                            // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode variableNextDataGroup;                                        // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode variableCoefficientsSDVN;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode variableCoefficientsSDHN;                                     // Retired
@property (class, nonatomic, assign, readonly) LTDicomTagCode variableCoefficientsSDDN;                                     // Retired

// *****************************************************************************************************************************
// *** fffa
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode digitalSignaturesSequence;                                 

// *****************************************************************************************************************************
// *** fffc
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode dataSetTrailingPadding;                                    

// *****************************************************************************************************************************
// *** fffe
// *****************************************************************************************************************************
@property (class, nonatomic, assign, readonly) LTDicomTagCode item;                                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode itemDelimitationItem;                                      
@property (class, nonatomic, assign, readonly) LTDicomTagCode sequenceDelimitationItem;                                  

